# Managed API for Confluence Cloud
Managed API for Confluence Cloud is an API Client for Confluence Cloud by [Adaptavist](https://www.adaptavist.com/) primarily designed for the use in [ScriptRunner Connect](https://scriptrunnerconnect.com). You can read more about Managed APIs [here](https://docs.adaptavist.com/src/managed-apis).

This is a runtime agnostic version of the Managed API (with `core` suffix) that makes it easy to port it to any runtime you may want to use this Managed API on.

# Platform specific ports
- [ScriptRunner Connect](https://www.npmjs.com/package/@managed-api/confluence-cloud-v2-sr-connect)

# Supported API calls
- [fetch](https://docs.adaptavist.com/src/managed-apis/managed-api-abstractions)
- Ancestor
    - [getAllAncestorsOfDatabase](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-databases-id-ancestors-get)
    - [getAllAncestorsOfFolder](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-folders-id-ancestors-get)
    - [getAllAncestorsOfPage](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-pages-id-ancestors-get)
    - [getAllAncestorsOfSmartLink](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-embeds-id-ancestors-get)
    - [getAllAncestorsOfWhiteboard](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-whiteboards-id-ancestors-get)
- Attachment
    - [deleteAttachment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-attachments-id-delete)
    - [getAttachmentById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-attachments-id-get)
    - [getAttachments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-attachments-get)
    - BlogPost
        - [getAttachments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-blogposts-id-attachments-get)
    - CustomContent
        - [getAttachments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-custom-content-id-attachments-get)
    - Label
        - [getAttachments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-labels-id-attachments-get)
    - Page
        - [getAttachments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-pages-id-attachments-get)
- BlogPost
    - [createBlogPost](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-post)
    - [deleteBlogPost](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-id-delete)
    - [getBlogPostById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-id-get)
    - [getBlogPosts](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-get)
    - [getBlogPostsForLabel](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-labels-id-blogposts-get)
    - [getBlogPostsInSpace](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-spaces-id-blogposts-get)
    - [updateBlogPost](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-id-put)
- Children
    - [getChildCustomContent](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-custom-content-id-children-get)
    - [getChildPages](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-pages-id-children-get)
    - [getDatabaseDirectChildren](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-databases-id-direct-children-get)
    - [getFolderDirectChildren](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-folders-id-direct-children-get)
    - [getPageDirectChildren](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-pages-id-direct-children-get)
    - [getSmartLinkDirectChildren](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-embeds-id-direct-children-get)
    - [getWhiteboardDirectChildren](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-whiteboards-id-direct-children-get)
- Comment
    - Attachment
        - [getComments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-attachments-id-footer-comments-get)
    - CustomContent
        - [getComments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-custom-content-id-footer-comments-get)
    - Footer
        - [createComment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-post)
        - [deleteComment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-comment-id-delete)
        - [getChildrenComments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-id-children-get)
        - [getCommentById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-comment-id-get)
        - [getComments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-get)
        - [updateComment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-comment-id-put)
        - BlogPost
            - [getComments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-blogposts-id-footer-comments-get)
        - Page
            - [getComments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-pages-id-footer-comments-get)
    - Inline
        - [createComment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-post)
        - [deleteComment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-comment-id-delete)
        - [getChildrenComments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-id-children-get)
        - [getCommentById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-comment-id-get)
        - [getComments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-get)
        - [updateComment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-comment-id-put)
        - BlogPost
            - [getComments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-blogposts-id-inline-comments-get)
        - Page
            - [getComments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-pages-id-inline-comments-get)
- Content
    - [convertIdsToTypes](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content/#api-group-content)
    - Property
        - Attachment
            - [createContentProperty](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-post)
            - [deleteContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-property-id-delete)
            - [getContentProperties](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-get)
            - [getContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-property-id-get)
            - [updateContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-property-id-put)
        - BlogPost
            - [createContentProperty](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-post)
            - [deleteContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-property-id-delete)
            - [getContentProperties](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-get)
            - [getContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-property-id-get)
            - [updateContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-property-id-put)
        - Comment
            - [createContentProperty](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-post)
            - [deleteContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-property-id-delete)
            - [getContentProperties](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-get)
            - [getContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-property-id-get)
            - [updateContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-property-id-put)
        - CustomContent
            - [createContentProperty](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-post)
            - [deleteContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-property-id-delete)
            - [getContentProperties](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-get)
            - [getContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-property-id-get)
            - [updateContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-property-id-put)
        - Folder
            - [createContentProperty](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-id-properties-post)
            - [deleteContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-folder-id-properties-property-id-delete)
            - [getContentProperties](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-id-properties-get)
            - [getContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-folder-id-properties-property-id-get)
            - [updateContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-folder-id-properties-property-id-put)
        - Page
            - [createContentProperty](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-post)
            - [deleteContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-property-id-delete)
            - [getContentProperties](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-get)
            - [getContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-property-id-get)
            - [updateContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-property-id-put)
        - Whiteboard
            - [createContentProperty](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-id-properties-post)
            - [deleteContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-whiteboard-id-properties-property-id-delete)
            - [getContentProperties](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-id-properties-get)
            - [getContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-whiteboard-id-properties-property-id-get)
            - [updateContentPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-whiteboard-id-properties-property-id-put)
- CustomContent
    - [createCustomContent](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-custom-content-post)
    - [deleteCustomContent](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-custom-content-id-delete)
    - [getCustomContentById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-custom-content-id-get)
    - [getCustomContentByType](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-blogposts-id-custom-content-get)
    - [updateCustomContent](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-custom-content-id-put)
    - BlogPost
        - [getCustomContentByType](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-blogposts-id-custom-content-get)
    - Page
        - [getCustomContentByType](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-pages-id-custom-content-get)
    - Space
        - [getCustomContentByType](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-spaces-id-custom-content-get)
- Database
    - [createDatabase](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-post)
    - [deleteDatabase](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-delete)
    - [getDatabaseById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
- Descendant
    - [getDatabaseDescendants](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-databases-id-descendants-get)
    - [getFolderDescendants](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-folders-id-descendants-get)
    - [getPageDescendants](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-pages-id-descendants-get)
    - [getSmartLinkDescendants](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-embeds-id-descendants-get)
    - [getWhiteboardDescendants](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-whiteboards-id-descendants-get)
- Folder
    - [createFolder](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-post)
    - [deleteFolder](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-delete)
    - [getFolderById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
- Label
    - [getLabels](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-labels-get)
    - Attachment
        - [getLabels](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-attachments-id-labels-get)
    - BlogPost
        - [getLabels](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-blogposts-id-labels-get)
    - CustomContent
        - [getLabels](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-custom-content-id-labels-get)
    - Page
        - [getLabels](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-pages-id-labels-get)
    - Space
        - [getLabels](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-spaces-id-labels-get)
        - [getLabelsForContent](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-spaces-id-content-labels-get)
- Like
    - BlogPost
        - [getAccountIdsOfLikes](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-blogposts-id-likes-users-get)
        - [getLikeCount](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-blogposts-id-likes-count-get)
    - Comment
        - Footer
            - [getAccountIdsOfLikes](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-footer-comments-id-likes-users-get)
            - [getLikeCount](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-footer-comments-id-likes-count-get)
        - Inline
            - [getAccountIdsOfLikes](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-inline-comments-id-likes-users-get)
            - [getLikeCount](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-inline-comments-id-likes-count-get)
    - Page
        - [getAccountIdsOfLikes](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-pages-id-likes-users-get)
        - [getLikeCount](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-pages-id-likes-count-get)
- Page
    - [createPage](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-post)
    - [deletePage](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-delete)
    - [getPageById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
    - [getPages](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-get)
    - [getPagesForLabel](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-labels-id-pages-get)
    - [getPagesInSpace](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-spaces-id-pages-get)
    - [updatePage](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-put)
- SmartLink
    - [createSmartLink](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-post)
    - [deleteSmartLink](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-delete)
    - [getSmartLinkById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
- Space
    - [getSpaceById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space/#api-spaces-id-get)
    - [getSpaces](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space/#api-spaces-get)
    - Property
        - [createProperty](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-post)
        - [deletePropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-property-id-delete)
        - [getProperties](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-get)
        - [getPropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-property-id-get)
        - [updatePropertyById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-property-id-put)
- Task
    - [getTaskById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-task/#api-tasks-id-get)
    - [getTasks](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-task/#api-tasks-get)
    - [updateTask](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-task/#api-tasks-id-get)
- V1
    - Content
        - [publishLegacyDraft](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-blueprint-instance-draftid-post)
        - [publishSharedDraft](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-blueprint-instance-draftid-put)
        - [searchContentByCQL](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-search-get)
        - Attachment
            - [createAttachment](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-post)
            - [createOrUpdateAttachment](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-put)
            - [updateAttachmentData](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-attachmentid-data-post)
            - [updateAttachmentProperties](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-attachmentid-put)
        - Body
            - [asyncConvertBody](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-to-post)
            - [convertBody](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-to-post)
            - [getAsyncConvertResult](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-id-get)
            - Macro
                - [getMacroById](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---macro-body/#api-wiki-rest-api-content-id-history-version-macro-id-macroid-get)
        - Copy
            - [copyPageHierarchy](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-pagehierarchy-copy-post)
            - [copySinglePage](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-copy-post)
        - Descendant
            - [getDescendants](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-get)
            - [getDescendantsByType](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-type-get)
        - Label
            - [addLabel](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-post)
            - [removeLabel](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-label-delete)
            - [removeLabelWithQueryParameter](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-delete)
        - Move
            - [movePageToNewLocationRelativeToTargetPage](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-pageid-move-position-targetid-put)
        - Restriction
            - [addRestrictions](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-post)
            - [deleteRestrictions](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-delete)
            - [getRestrictions](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-get)
            - [getRestrictionsByOperation](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-get)
            - [getRestrictionsForOperation](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-get)
            - [updateRestrictions](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-put)
            - Group
                - [addGroup](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-put)
                - [getGroupStatus](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-get)
                - [removeGroup](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-delete)
        - Version
            - [deleteVersion](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-versionnumber-delete)
            - [restoreVersion](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-post)
    - Label
        - [getInfo](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-label-info/#api-wiki-rest-api-label-get)
    - LongRunningTask
        - [getLongRunningTask](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-long-running-task/#api-wiki-rest-api-longtask-id-get)
        - [getLongRunningTasks](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-long-running-task/#api-wiki-rest-api-longtask-get)
    - Relation
        - [createRelationship](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-put)
        - [deleteRelationship](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-delete)
        - [findRelationshipFromSourceToTarget](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-get)
        - [findSourceEntitiesRelatedToTargetEntity](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-to-targettype-targetkey-from-sourcetype-get)
        - [findTargetEntitiesRelatedToSourceEntity](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-get)
    - Search
        - [searchContent](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-search/#api-wiki-rest-api-search-get)
        - [searchUsers](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-search/#api-wiki-rest-api-search-user-get)
    - Setting
        - [getLookAndFeelSettings](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-get)
        - [getSystemInfo](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-systeminfo-get)
        - [resetLookAndFeelSettings](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-custom-delete)
        - [updateLookAndFeelSettings](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-custom-post)
    - Space
        - [createSpace](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-post)
        - [deleteSpace](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-delete)
        - [updateSpace](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-put)
        - Private
            - [createSpace](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-private-post)
        - Setting
            - [getSettings](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-settings/#api-wiki-rest-api-space-spacekey-settings-get)
            - [updateSettings](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-settings/#api-wiki-rest-api-space-spacekey-settings-put)
    - Template
        - [createContentTemplate](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-post)
        - [getBlueprintTemplates](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-blueprint-get)
        - [getContentTemplate](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-contenttemplateid-get)
        - [getContentTemplates](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-page-get)
        - [removeTemplate](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-contenttemplateid-delete)
        - [updateContentTemplate](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-put)
    - Theme
        - [getGlobalTheme](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-selected-get)
        - [getSpaceTheme](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-get)
        - [getTheme](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-themekey-get)
        - [getThemes](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-get)
        - [resetSpaceTheme](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-delete)
        - [setSpaceTheme](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-put)
    - User
        - [getAnonymousUser](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-anonymous-get)
        - [getCurrentUser](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-current-get)
        - [getGroupsWhereUserMember](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-memberof-get)
        - [getUser](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-group-users)
        - [getUserEmail](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-email-get)
        - [getUserEmails](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-email-bulk-get)
        - [getUsersWithIds](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-bulk-get)
    - UserGroup
        - [createUserGroup](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-post)
        - [deleteUserGroupById](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-by-id-delete)
        - [getUserGroupById](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-by-id-get)
        - [getUserGroups](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-get)
        - Member
            - [addMemberById](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-userbygroupid-post)
            - [getMembersById](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-groupid-membersbygroupid-get)
            - [removeMemberById](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-userbygroupid-delete)
    - Watcher
        - [getSpaceWatchers](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-space-spacekey-watch-get)
        - [getWatchesForPage](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-content-id-notification-child-created-get)
        - [getWatchesForSpace](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-content-id-notification-created-get)
        - Content
            - [addWatcher](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-post)
            - [getWatcherStatus](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-get)
            - [removeWatcher](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-delete)
        - Label
            - [addWatcher](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-post)
            - [getWatcherStatus](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-get)
            - [removeWatcher](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-delete)
        - Space
            - [addWatcher](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-post)
            - [getWatcherStatus](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-get)
            - [removeWatcher](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-delete)
- Version
    - Attachment
        - [getVersionDetails](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-attachments-attachment-id-versions-version-number-get)
        - [getVersions](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-attachments-id-versions-get)
    - BlogPost
        - [getVersionDetails](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-blogposts-blogpost-id-versions-version-number-get)
        - [getVersions](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-blogposts-id-versions-get)
    - Comment
        - Footer
            - [getVersionDetails](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-footer-comments-id-versions-version-number-get)
            - [getVersions](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-footer-comments-id-versions-get)
        - Inline
            - [getVersionDetails](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-inline-comments-id-versions-version-number-get)
            - [getVersions](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-inline-comments-id-versions-get)
    - CustomContent
        - [getVersionDetails](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-custom-content-custom-content-id-versions-get)
        - [getVersions](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-custom-content-custom-content-id-versions-get)
    - Page
        - [getVersionDetails](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-pages-page-id-versions-version-number-get)
        - [getVersions](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-pages-id-versions-get)
- Whiteboard
    - [createWhiteboard](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-post)
    - [deleteWhiteboard](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-delete)
    - [getWhiteboardById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get)


# Porting to other runtimes
While the primary reason for creating Managed APIs was to use them in [ScriptRunner Connect](https://scriptrunnerconnect.com) runtime, then you can easily port them to any runtime of your choosing.

You can do so by extending the `*Core` Managed API class where you'll be asked to provide implementation for `getPlatformImplementation` function. In this implementation you have to specify how to perform buffer encoding/decoding operations and how to perform HTTP calls:
```typescript
{
    buffer: {
        encode(input: string): ArrayBuffer;
        decode(input: ArrayBuffer): string;
    },
    performHttpCall(request: Request): Promise<Response>
}
```

Here is an example how to create a [Node](https://nodejs.org/en/) port of the Managed API:
```typescript
import { ConfluenceCloudApiCore } from "@managed-api/confluence-cloud-v2-core";
import { PlatformImplementation, Request, Response, Headers } from "@managed-api/commons-core";
import fetch from "node-fetch";

export class ConfluenceCloudApi extends ConfluenceCloudApiCore {
    constructor(private baseUrl: string, private authToken: string) {
        super();
    }

    protected getPlatformImplementation(): PlatformImplementation {
        return {
            buffer: {
                encode: (input) => Buffer.from(input, 'utf-8'),
                decode: (input) => Buffer.from(input).toString('utf-8')
            },
            performHttpCall: (request) => this.performHttpCall(request)
        };
    }
    
    private async performHttpCall(request: Request): Promise<Response> {
        const requestUrl = `${this.baseUrl}${request.url}`; // Substitute base URL
        request.headers.set('Authorization', `Basic ${this.authToken}`); // Substitute auth token
        const response = await fetch(requestUrl, {
            method: request.method,
            headers: request.headers as any,
            body: request.method.toLowerCase() !== 'get' ? Buffer.from((await request.arrayBuffer()) ?? new ArrayBuffer(0)) : undefined
        });

        const apiHeaders = new Headers();
        response.headers.forEach((value, key) => apiHeaders.append(key, value));

        const body = await response.arrayBuffer();

        return super.buildResponse(response.url, response.status, response.statusText, apiHeaders, body);
    }
}
```

Please note that the authentication handling details may not be accurate and serve as an example. If you wish to use these Managed APIs without having to concern yourself how to deal with and secure authentication details when working with APIs, then feel free to evaluate [ScriptRunner Connect](https://scriptrunnerconnect.com) platform.

# Contact
At this time Managed APIs are unlicensed and close sourced, but feel free to drop an email to [eknoll@adaptavist.com](mailto://eknoll@adaptavist.com) for ideas, suggestions and improvements.

 # Changelog
# 2.3.0

- Removed non-empty body from HEAD requests.

# 2.2.0

- # The following methods are deprecated:

    * [Convert content body](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-to-post) that can be used as `V1.Content.Body.convertBody` or `All.convertContentBody`.
    * [Get content descendants](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-get) that can be used as `V1.Content.Descendant.getDescendants` or `All.getContentDescendants`.
    * [Get content descendants by type](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-type-get) that can be used as `V1.Content.Descendant.getDescendantsByType` or `All.getContentDescendantsByType`.
    * [Get child pages](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-pages-id-children-get) that can be used as `Children.getChildPages` or `All.getChildPages`.

- # Added support for the following V1.Content.Body methods:

    * [Asynchronously convert content body](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-to-post) that can be used as `V1.Content.Body.asyncConvertBody` or `All.asyncConvertContentBody`.
    * [Get asynchronously converted content body from the id or the current status of the task](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-id-get) that can be used as `V1.Content.Body.getAsyncConvertResult` or `All.getAsyncConvertContentBodyResult`.

- # Added support for the following Children methods:
    
    * [Get direct children of a whiteboard](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-whiteboards-id-direct-children-get) that can be used as `Children.getWhiteboardDirectChildren` or `All.getWhiteboardDirectChildren`.
    * [Get direct children of a database](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-databases-id-direct-children-get) that can be used as `Children.getDatabaseDirectChildren` or `All.getDatabaseDirectChildren`.
    * [Get direct children of a Smart Link](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-embeds-id-direct-children-get) that can be used as `Children.getSmartLinkDirectChildren` or `All.getSmartLinkDirectChildren`.
    * [Get direct children of a folder](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-folders-id-direct-children-get) that can be used as `Children.getFolderDirectChildren` or `All.getFolderDirectChildren`.
    * [Get direct children of a page](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-pages-id-direct-children-get) that can be used as `Children.getPageDirectChildren` or `All.getPageDirectChildren`.

- # Added support for the following Descendant methods:

    * [Get descendants of a whiteboard](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-whiteboards-id-descendants-get) that can be used as `Descendant.getWhiteboardDescendants` or `All.getWhiteboardDescendants`.
    * [Get descendants of a database](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-databases-id-descendants-get) that can be used as `Descendant.getDatabaseDescendants` or `All.getDatabaseDescendants`.
    * [Get descendants of a smart link](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-embeds-id-descendants-get) that can be used as `Descendant.getSmartLinkDescendants` or `All.getSmartLinkDescendants`.
    * [Get descendants of folder](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-folders-id-descendants-get) that can be used as `Descendant.getFolderDescendants` or `All.getFolderDescendants`.
    * [Get descendants of page](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-pages-id-descendants-get) that can be used as `Descendant.getPageDescendants` or `All.getPageDescendants`.

- # Added support for the following Folder methods:

    * [Create folder](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-post) that can be used as `Folder.createFolder` or `All.createFolder`.
    * [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get) that can be used as `Folder.getFolderById` or `All.getFolderById`.
    * [Delete folder](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-delete) that can be used as `Folder.deleteFolder` or `All.deleteFolder`.

- # Added support for the following Content.Property.Folder methods:

    * [Get content properties for folder](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-id-properties-get) that can be used as `Content.Property.Folder.getContentProperties` or `All.getContentPropertiesForFolder`.
    * [Create content property for folder](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-id-properties-post) that can be used as `Content.Property.Folder.createContentProperty` or `All.createContentPropertyForFolder`.
    * [Get content property for folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-folder-id-properties-property-id-get) that can be used as `Content.Property.Folder.getContentPropertyById` or `All.getContentPropertyForFolderById`.
    * [Update content property for folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-folder-id-properties-property-id-put) that can be used as `Content.Property.Folder.updateContentPropertyById` or `All.updateContentPropertyForFolderById`.
    * [Delete content property for folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-folder-id-properties-property-id-delete) that can be used as `Content.Property.Folder.deleteContentPropertyById` or `All.deleteContentPropertyForFolderById`.

- # Added support for the following Database methods:

    * [Create database](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-post) that can be used as `Database.createDatabase` or `All.createDatabase`.
    * [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get) that can be used as `Database.getDatabaseById` or `All.getDatabaseById`.
    * [Delete database](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-delete) that can be used as `Database.deleteDatabase` or `All.deleteDatabase`.

- # Added support for the following SmartLink methods:

    * [Create Smart Link in the content tree](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-post) that can be used as `SmartLink.createSmartLink` or `All.createSmartLink`.
    * [Get Smart Link in the content tree by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get) that can be used as `SmartLink.getSmartLinkById` or `All.getSmartLinkById`.
    * [Delete Smart Link in the content tree](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-delete) that can be used as `SmartLink.deleteSmartLink` or `All.deleteSmartLink`.

- # Added support for the following Ancestor methods:

    * [Get all ancestors of database](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-databases-id-ancestors-get) that can be used as `Ancestor.getAllAncestorsOfDatabase` or `All.getAllAncestorsOfDatabase`.
    * [Get all ancestors of Smart Link in content tree](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-embeds-id-ancestors-get) that can be used as `Ancestor.getAllAncestorsOfSmartLink` or `All.getAllAncestorsOfSmartLink`.
    * [Get all ancestors of folder](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-folders-id-ancestors-get) that can be used as `Ancestor.getAllAncestorsOfFolder` or `All.getAllAncestorsOfFolder`.

- # Changes the following methods: 

    * `V1.LongRunningTask.getLongRunningTasks` - `Key` parameter was added.
    * `V1.Template.getBlueprintTemplates` - `body.storage` option was added to `expand`.
    * `V1.Template.getContentTemplates` - `body.storage` option was added to `expand`.
    * `V1.User.getUsersWithIds` - `isExternalCollaborator` option was added to `expand`, `limit` was removed.
    * `V1.User.getUsersWithIds` - `isExternalCollaborator` option was added to `expand`, `limit` was removed.
    * `Attachment.getAttachmentById` - `include-collaborators` parameter was added.
    * `BlogPost.getBlogPostById` - `status`, `include-webresources` and `include-collaborators` parameters were added.
    * `CustomContent.getCustomContentById` - `include-collaborators` parameter was added.
    * `Page.getPageById` - `status`, `include-webresources`, `include-collaborators` and `include-direct-children` parameters were added.
    * `Whiteboard.getWhiteboardById` - `include-collaborators`, `include-direct-children`, `include-operations` and `include-properties` parameters were added.
    * `Space.getSpaces` -  `collaboration` and `knowledge_base` was added to `type`.
    * `Comment.Footer.Page.getComments` - `status` parameter was added.
    * `Comment.Inline.Page.getComments` - `status` and `resolution-status` parameter were added.
    * `Comment.Footer.BlogPost.getComments` - `status` parameter was added.
    * `Comment.Inline.BlogPost.getComments` - `status` and `resolution-status` parameter were added.
    * `BlogPost.createBlogPost` - `createdAt` parameter was added.
    * `BlogPost.updateBlogPost` - `createdAt` parameter was added.
    * `CustomContent.createCustomContent` - `draft` option was added to `status`.
    * `Whiteboard.createWhiteboard` - `templateKey` and `locale` parameters were added.

# 2.1.0

- # Updated OpenApi Specification.

    * Added new fields `include-labels`, `include-properties`, `include-operations`, `include-versions` and `include-version` to `Attachment.getAttachmentById`.
    * Added new field `purge` to`Attachment.deleteAttachment`.
    * Added new field `purge` to`CustomContent.deleteCustomContent`.
    * Added new field `version` to `Comment.Attachment.getComments`.
    * Added new fields `include-labels`, `include-properties`, `include-operations`, `include-versions`, `include-version` and `include-favorited-by-current-user-status` to `CustomContent.getCustomContentById`.
    * Added new fields `draft` and `purge` to `BlogPost.deleteBlogPost`.
    * Added new fields `draft` and `purge` to `Page.deletePage`.
    * Added new field `root-level` to `Page.createPage`.
    * Added new fields `include-labels`, `include-properties`, `include-operations`, `include-versions`, `include-version`, `include-likes`, and `include-favorited-by-current-user-status` to `Page.getPageById`.
    * Added new fields `favorited-by` and `not-favorited-by` to `Space.getSpaces`.
    * Added new fields `include-labels`, `include-properties`, `include-operations`and `include-permissions` to `Space.getSpaceById`.
    * Added new fields `include-properties`, `include-operations`, `include-versions`, `include-version` and `include-likes` to `Comment.Footer.getCommentById`.
    * Added new fields `include-properties`, `include-operations`, `include-versions`, `include-version` and `include-likes` to `Comment.Inline.getCommentById`.
    * Added new field `body-format` to `Task.updateTask`.
    * Removed `deleted` from `status` in `BlogPost.updateBlogPost`.
    * Added new field `ownerId` to `Page.updatePage`.
    * `Attachment` definition got changed to `AttachmentSingle`.
    * New properties in `PageSingle` definition.
    * New properties in `PageBulk` definition.

- # Added support for the following Comment.CustomContent method:

    * [Get custom content comments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-custom-content-id-footer-comments-get) that can be used as `Comment.CustomContent.getComments` or `All.getCustomContentComments`.

- # Added support for the following Whiteboard methods:

    * [Create whiteboard](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-post) that can be used as `Whiteboard.createWhiteboard` or `All.getWhiteboard`.
    * [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get) that can be used as `Whiteboard.getWhiteboardById` or `All.getWhiteboardById`.
    * [Delete whiteboard](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-delete) that can be used as `Whiteboard.deleteWhiteboard` or `All.deleteWhiteboard`.

- # Added support for the following Content.Property.Whiteboard methods:

    * [Get content properties for whiteboard](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-id-properties-get) that can be used as `Content.Property.Whiteboard.getContentProperties` or `All.getContentPropertiesForWhiteboard`.
    * [Create content property for whiteboard](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-id-properties-post) that can be used as `Content.Property.Whiteboard.createContentProperty` or `All.createContentPropertyForWhiteboard`.
    * [Get content property for whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-whiteboard-id-properties-property-id-get) that can be used as `Content.Property.Whiteboard.getContentPropertyById` or `All.getContentPropertyForWhiteboardById`.
    * [Update content property for whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-whiteboard-id-properties-property-id-put) that can be used as `Content.Property.Whiteboard.updateContentPropertyById` or `All.updateContentPropertyForWhiteboardById`.
    * [Delete content property for whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-whiteboard-id-properties-property-id-delete) that can be used as `Content.Property.Whiteboard.deleteContentPropertyById` or `All.deleteContentPropertyForWhiteboardById`.

- # Added support for the following Ancestor method:

    * [Get all ancestors of the whiteboard](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-whiteboards-id-ancestors-get) that can be used as `Ancestor.getAllAncestorsOfWhiteboard` or `All.getAllAncestorsOfWhiteboard`.

- # Fixed following methods:

    * [Get footer comments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-get) that can be used as `Comment.Footer.getComments` or `All.getFooterComments`.
    * [updateComment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-comment-id-put) that can be used as `Comment.Footer.updateComment` or `All.updateFooterComment`.
    * [deleteComment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-comment-id-delete) that can be used as `Comment.Footer.deleteComment` or `All.deleteFooterComment`.
    * [getCommentById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-comment-id-get) that can be used as `Comment.Inline.getCommentById` or `All.getInlineCommentById`.
    * [updateComment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-comment-id-put) that can be used as `Comment.Inline.updateComment` or `All.updateInlineComment`.
    * [deleteComment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-comment-id-delete) that can be used as `Comment.Inline.deleteComment` or `All.deleteInlineComment`.          

- # The following methods are deprecated:

    * [Get content restriction status for group](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-get) that can be used as `V1.Content.Restriction.Group.getGroupStatus` or `All.getContentRestrictionGroupStatus`.
    * [Add group to content restriction](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-put) that can be used as `V1.Content.Restriction.Group.addGroup` or `All.addContentRestrictionGroup`.
    * [Remove group from content restriction](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-delete) that can be used as `V1.Content.Restriction.Group.removeGroup` or `All.removeContentRestrictionGroup`.

# 2.0.0

- # Breaking change: URL and query string parameters are now URL encoded, meaning if you encoded them explicitly before you have to remove your own encoding, otherwise they will get double encoded.

# 1.0.0

- # Added support for the following Attachment methods:

    * [Get attachments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-attachments-get) that can be used as `Attachment.getAttachments` or `All.getAttachments`.
    * [Get attachment by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-attachments-id-get) that can be used as `Attachment.getAttachmentById` or `All.getAttachmentByIds`.
    * [Delete attachment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-attachments-id-delete) that can be used as `Attachment.deleteAttachment` or `All.deleteAttachment`.

- # Added support for the following Attachment.BlogPost method:

    * [Get attachments for blog post](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-blogposts-id-attachments-get) that can be used as `Attachment.BlogPost.getAttachments` or `All.getAttachmentsForBlogPost`.

- # Added support for the following Attachment.CustomContent method:

    * [Get attachments for custom content](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-custom-content-id-attachments-get) that can be used as `Attachment.CustomContent.getAttachments` or `All.getAttachmentsForCustomContent`.

- # Added support for the following Attachment.Label method:

    * [Get attachments for label](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-labels-id-attachments-get) that can be used as `Attachment.Label.getAttachments` or `All.getAttachmentsForLabel`.

- # Added support for the following Attachment.Page method:

    * [Get attachments for page](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-pages-id-attachments-get) that can be used as `Attachment.Page.getAttachments` or `All.getAttachmentsForPage`.

- # Added support for the following Ancestor method:

    * [Get all ancestors of page](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-pages-id-ancestors-get) that can be used as `Ancestor.getAllAncestorsOfPage` or `All.getAllAncestorsOfPage`.

- # Added support for the following BlogPost methods:

    * [Get blog posts](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-get) that can be used as `BlogPost.getBlogPosts` or `All.getBlogPosts`.
    * [Create blog post](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-post) that can be used as `BlogPost.createBlogPost` or `All.createBlogPost`.
    * [Get blog post by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-id-get) that can be used as `BlogPost.getBlogPostById` or `All.getBlogPostById`.
    * [Update blog post](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-id-put) that can be used as `BlogPost.updateBlogPost` or `All.updateBlogPost`.
    * [Delete blog post](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-id-delete) that can be used as `BlogPost.deleteBlogPost` or `All.deleteBlogPost`.
    * [Get blog posts for label](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-labels-id-blogposts-get) that can be used as `BlogPost.getBlogPostsForLabel` or `All.getBlogPostsForLabel`.
    * [Get blog posts in space](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-spaces-id-blogposts-get) that can be used as `BlogPost.getBlogPostsInSpace` or `All.getBlogPostsInSpace`.

- # Added support for the following Children methods:

    * [Get child pages](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-pages-id-children-get) that can be used as `Children.getChildPages` or `All.getChildPages`.
    * [Get child custom content](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-custom-content-id-children-get) that can be used as `Children.getChildCustomContent` or `All.getChildCustomContent`.

- # Added support for the following Comment.Attachment method:

    * [Get attachment comments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-attachments-id-footer-comments-get) that can be used as `Comment.Attachment.getComments` or `All.getAttachmentComments`.

- # Added support for the following Comment.Footer.Page method:

    * [Get footer comments for page](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-pages-id-footer-comments-get) that can be used as `Comment.Footer.Page.getComments` or `All.getFooterCommentsForPage`.

- # Added support for the following Comment.Inline.Page method:

    * [Get inline comments for page](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-pages-id-inline-comments-get) that can be used as `Comment.Inline.Page.getComments` or `All.getInlineCommentsForPage`.

- # Added support for the following Comment.Footer.BlogPost method:

    * [Get footer comments for blog post](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-blogposts-id-footer-comments-get) that can be used as `Comment.Footer.BlogPost.getComments` or `All.getFooterCommentsForBlogPost`.

- # Added support for the following Comment.Inline.BlogPost method:

    * [Get inline comments for blog post](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-blogposts-id-inline-comments-get) that can be used as `Comment.Inline.BlogPost.getComments` or `All.getInlineCommentsForFooter`.

- # Added support for the following Comment.Footer methods:

    * [Get footer comments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-get) that can be used as `Comment.Footer.getComments` or `All.getFooterComments`.
    * [Create footer comment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-post) that can be used as `Comment.Footer.createComment` or `All.createFooterComment`.
    * [getCommentById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-comment-id-get) that can be used as `Comment.Footer.getCommentById` or `All.getFooterCommentById`.
    * [updateComment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-comment-id-put) that can be used as `Comment.Footer.updateComment` or `All.updateFooterComment`.
    * [deleteComment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-comment-id-delete) that can be used as `Comment.Footer.deleteComment` or `All.deleteFooterComment`.
    * [Get children footer comments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-id-children-get) that can be used as `Comment.Footer.getChildrenComments` or `All.getChildrenFooterComments`.

- # Added support for the following Comment.Inline methods:

    * [Get inline comments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-get) that can be used as `Comment.Inline.getComments` or `All.getInlineComments`.
    * [Create inline comment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-post) that can be used as `Comment.Inline.createComment` or `All.createInlineComment`.
    * [getCommentById](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-comment-id-get) that can be used as `Comment.Inline.getCommentById` or `All.getInlineCommentById`.
    * [updateComment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-comment-id-put) that can be used as `Comment.Inline.updateComment` or `All.updateInlineComment`.
    * [deleteComment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-comment-id-delete) that can be used as `Comment.Inline.deleteComment` or `All.deleteInlineComment`.
    * [Get children inline comments](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-id-children-get) that can be used as `Comment.Inline.getChildrenComments` or `All.getChildrenInlineComments`.

- # Added support for the following Content method:

    * [Convert content ids to content types](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content/#api-group-content) that can be used as `Content.convertIdsToTypes` or `All.convertContentIdsToContentType`.

- # Added support for the following Content.Property.Attachment methods:

    * [Get content properties for attachment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-get) that can be used as `Content.Property.Attachment.getContentProperties` or `All.getContentPropertiesForAttachment`.
    * [Create content property for attachment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-post) that can be used as `Content.Property.Attachment.createContentProperty` or `All.createContentPropertyForAttachment`.
    * [Get content property for attachment by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-property-id-get) that can be used as `Content.Property.Attachment.getContentPropertyById` or `All.getContentPropertyForAttachmentById`.
    * [Update content property for attachment by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-property-id-put) that can be used as `Content.Property.Attachment.updateContentPropertyById` or `All.updateContentPropertyForAttachmentById`.
    * [Delete content property for attachment by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-property-id-delete) that can be used as `Content.Property.Attachment.deleteContentPropertyById` or `All.deleteContentPropertyForAttachmentById`.

- # Added support for the following Content.Property.BlogPost methods:

    * [Get content properties for blog post](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-get) that can be used as `Content.Property.BlogPost.getContentProperties` or `All.getContentPropertiesForBlogPost`.
    * [Create content property for blog post](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-post) that can be used as `Content.Property.BlogPost.createContentProperty` or `All.createContentPropertyForBlogPost`.
    * [Get content property for blog post by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-property-id-get) that can be used as `Content.Property.BlogPost.getContentPropertyById` or `All.getContentPropertyForBlogPostById`.
    * [Update content property for blog post by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-property-id-put) that can be used as `Content.Property.BlogPost.updateContentPropertyById` or `All.updateContentPropertyForBlogPostById`.
    * [Delete content property for blogpost by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-property-id-delete) that can be used as `Content.Property.BlogPost.deleteContentPropertyById` or `All.deleteContentPropertyForBlogPostById`.

- # Added support for the following Content.Property.CustomContent methods:

    * [Get content properties for custom content](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-get) that can be used as `Content.Property.CustomContent.getContentProperties` or `All.getContentPropertiesForCustomContent`.
    * [Create content property for custom content](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-post) that can be used as `Content.Property.CustomContent.createContentProperty` or `All.createContentPropertyForCustomContent`.
    * [Get content property for custom content by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-property-id-get) that can be used as `Content.Property.CustomContent.getContentPropertyById` or `All.getContentPropertyForCustomContentById`.
    * [Update content property for custom content by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-property-id-put) that can be used as `Content.Property.CustomContent.updateContentPropertyById` or `All.updateContentPropertyById`.
    * [Delete content property for custom content by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-property-id-delete) that can be used as `Content.Property.CustomContent.deleteContentPropertyById` or `All.deleteContentPropertyForCustomContentById`.

- # Added support for the following Content.Property.Page methods:

    * [Get content properties for page](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-get) that can be used as `Content.Property.Page.getContentProperties` or `All.getContentPropertiesForPage`.
    * [Create content property for page](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-post) that can be used as `Content.Property.Page.createContentProperty` or `All.createContentPropertyForPage`.
    * [Get content property for page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-property-id-get) that can be used as `Content.Property.Page.getContentPropertyById` or `All.getContentPropertyForPageById`.
    * [Update content property for page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-property-id-put) that can be used as `Content.Property.Page.updateContentPropertyById` or `All.updateContentPropertyForPageById`.
    * [Delete content property for page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-property-id-delete) that can be used as `Content.Property.Page.deleteContentPropertyById` or `All.deleteContentPropertyForPageById`.

- # Added support for the following Content.Property.Comment methods:

    * [Get content properties for comment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-get) that can be used as `Content.Property.Comment.getContentProperties` or `All.getContentPropertiesForComment`.
    * [Create content property for comment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-post) that can be used as `Content.Property.Comment.createContentProperty` or `All.createContentPropertyForComment`.
    * [Get content property for comment by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-property-id-get) that can be used as `Content.Property.Comment.getContentPropertyById` or `All.getContentPropertyForCommentById`.
    * [Update content property for comment by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-property-id-put) that can be used as `Content.Property.Comment.updateContentPropertyById` or `All.updateContentPropertyForCommentById`.
    * [Delete content property for comment by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-property-id-delete) that can be used as `Content.Property.Comment.deleteContentPropertyById` or `All.deleteContentPropertyForCommentById`.

- # Added support for the following CustomContent.BlogPost method:

    * [Get custom content by type in blog post](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-blogposts-id-custom-content-get) that can be used as `CustomContent.BlogPost.getCustomContentByType` or `All.getCustomContentByTypeInBlogPost`.

- # Added support for the following CustomContent methods:

    * [Get custom content by type](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-blogposts-id-custom-content-get) that can be used as `CustomContent.getCustomContentByType` or `All.getCustomContentByType`.
    * [Create custom content](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-custom-content-post) that can be used as `CustomContent.createCustomContent` or `All.createCustomContent`.
    * [Get custom content by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-custom-content-id-get) that can be used as `CustomContent.getCustomContentById` or `All.getCustomContentById`.
    * [Update custom content](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-custom-content-id-put) that can be used as `CustomContent.updateCustomContent` or `All.updateCustomContent`.
    * [Delete custom content](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-custom-content-id-delete) that can be used as `CustomContent.deleteCustomContent` or `All.deleteCustomContent`.

- # Added support for the following CustomContent.Page method:

    * [Get custom content by type in page](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-pages-id-custom-content-get) that can be used as `CustomContent.Page.getCustomContentByType` or `All.getCustomContentByTypeInPage`.

- # Added support for the following CustomContent.Space method:

    * [Get custom content by type in space](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-spaces-id-custom-content-get) that can be used as `CustomContent.Space.getCustomContentByType` or `All.getCustomContentByTypeInSpace`.

- # Added support for the following Label.Attachment method:

    * [Get labels for attachment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-attachments-id-labels-get) that can be used as `Label.Attachment.getLabels` or `All.getLabelsForAttachment`.

- # Added support for the following Label.BlogPost method:

    * [Get labels for blog post](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-blogposts-id-labels-get) that can be used as `Label.BlogPost.getLabels` or `All.getLabelsForBlogPost`.

- # Added support for the following Label.CustomContent method:

    * [Get labels for custom content](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-custom-content-id-labels-get) that can be used as `Label.CustomContent.getLabels` or `All.getLabelsForCustomContent`.

- # Added support for the following Label.Page method:

    * [Get labels for page](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-pages-id-labels-get) that can be used as `Label.Page.getLabels` or `All.getLabelsForPage`.

- # Added support for the following Label method:

    * [Get labels](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-labels-get) that can be used as `Label.getLabels` or `All.getLabels`.

- # Added support for the following Label.Space methods:

    * [Get labels for space](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-spaces-id-labels-get) that can be used as `Label.Space.getLabels` or `All.getLabelsForSpace`.
    * [Get labels for space content](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-spaces-id-content-labels-get) that can be used as `Label.Space.getLabelsForContent` or `All.getLabelsForSpaceContent`.

- # Added support for the following Like.BlogPost methods:

    * [Get like count for blog post](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-blogposts-id-likes-count-get) that can be used as `Like.BlogPost.getLikeCount` or `All.getLikeCountForBlogPost`.
    * [Get account IDs of likes for blog post](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-blogposts-id-likes-users-get) that can be used as `Like.BlogPost.getAccountIdsOfLikes` or `All.getAccountIdsOfLikesForBlogPost`.

- # Added support for the following Like.Page methods:

    * [Get like count for page](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-pages-id-likes-count-get) that can be used as `Like.Page.getLikeCount` or `All.getLikeCountForPage`.
    * [Get account IDs of likes for page](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-pages-id-likes-users-get) that can be used as `Like.Page.getAccountIdsOfLikes` or `All.getAccountIdsOfLikesForPage`.

- # Added support for the following Like.Comment.Footer methods:

    * [Get like count for footer comment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-footer-comments-id-likes-count-get) that can be used as `Like.Comment.Footer.getLikeCount` or `All.getLikeCountForFooterComment`.
    * [Get account IDs of likes for footer comment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-footer-comments-id-likes-users-get) that can be used as `Like.Comment.Footer.getAccountIdsOfLikes` or `All.getAccountIdsOfLikesForFooterComment`.

- # Added support for the following Like.Comment.Inline methods:

    * [Get like count for inline comment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-inline-comments-id-likes-count-get) that can be used as `Like.Comment.Inline.getLikeCount` or `All.getLikeCountForInlineComment`.
    * [Get account IDs of likes for inline comment](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-inline-comments-id-likes-users-get) that can be used as `Like.Comment.Inline.getAccountIdsOfLikes` or `All.getAccountIdsOfLikesForInlineComment`.

- # Added support for the following Page methods:

    * [Get pages for label](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-labels-id-pages-get) that can be used as `Page.getPagesForLabel` or `All.getPagesForLabel`.
    * [Get pages](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-get) that can be used as `Page.getPages` or `All.getPages`.
    * [Create page](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-post) that can be used as `Page.createPage` or `All.createPage`.
    * [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get) that can be used as `Page.getPageById` or `All.getPageById`.
    * [Update page](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-put) that can be used as `Page.updatePage` or `All.updatePage`.
    * [Delete page](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-delete) that can be used as `Page.deletePage` or `All.deletePage`.
    * [Get pages in space](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-spaces-id-pages-get) that can be used as `Page.getPagesInSpace` or `All.getPagesInSpace`.

- # Added support for the following Space methods:

    * [Get spaces](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space/#api-spaces-get) that can be used as `Space.getSpaces` or `All.getSpaces`.
    * [Get space by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space/#api-spaces-id-get) that can be used as `Space.getSpaceById` or `All.getSpaceById`.

- # Added support for the following Space.Property methods:

    * [Get space properties in space](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-get) that can be used as `Space.Property.getProperties` or `All.getSpaceProperties`.
    * [Create space property in space](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-post) that can be used as `Space.Property.createProperty` or `All.createSpacePropertyInSpace`.
    * [Get space property by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-property-id-get) that can be used as `Space.Property.getPropertyById` or `All.getSpacePropertyById`.
    * [Update space property by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-property-id-put) that can be used as `Space.Property.updatePropertyById` or `All.updateSpacePropertyById`.
    * [Delete space property by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-property-id-delete) that can be used as `Space.Property.deletePropertyById` or `All.deleteSpacePropertyById`.

- # Added support for the following Task methods:

    * [Get tasks](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-task/#api-tasks-get) that can be used as `Task.getTasks` or `All.getTasks`.
    * [Get task by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-task/#api-tasks-id-get) that can be used as `Task.getTaskById` or `All.getTaskById`.
    * [Update task](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-task/#api-tasks-id-get) that can be used as `Task.updateTask` or `All.updateTask`.

- # Added support for the following Version.Attachment methods:

    * [Get attachment versions](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-attachments-id-versions-get) that can be used as `Version.Attachment.getVersions` or `All.getAttachmentVersions`.
    * [Get version details for attachment version](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-attachments-attachment-id-versions-version-number-get) that can be used as `Version.Attachment.getVersionDetails` or `All.getVersionDetailsForAttachmentVersion`.

- # Added support for the following Version.BlogPost methods:

    * [Get blog post versions](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-blogposts-id-versions-get) that can be used as `Version.BlogPost.getVersions` or `All.getBlogPostVersions`.
    * [Get version details for blog post version](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-blogposts-blogpost-id-versions-version-number-get) that can be used as `Version.BlogPost.getVersionDetails` or `All.getVersionDetailsForBlogPostVersion`.

- # Added support for the following Version.Page methods:

    * [Get page versions](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-pages-id-versions-get) that can be used as `Version.Page.getVersions` or `All.getPageVersions`.
    * [Get version details for page version](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-pages-page-id-versions-version-number-get) that can be used as `Version.Page.getVersionDetails` or `All.getVersionDetailsForPageVersion`.

- # Added support for the following Version.CustomContent methods:

    * [Get custom content versions](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-custom-content-custom-content-id-versions-get) that can be used as `Version.CustomContent.getVersions` or `All.getCustomContentVersions`.
    * [Get version details for custom content version](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-custom-content-custom-content-id-versions-get) that can be used as `Version.CustomContent.getVersionDetails` or `All.getVersionDetailsForCustomContentVersion`.

- # Added support for the following Version.Comment.Footer methods:

    * [Get footer comment versions](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-footer-comments-id-versions-get) that can be used as `Version.Comment.Footer.getVersions` or `All.getFooterCommentVersions`.
    * [Get version details for footer comment version](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-footer-comments-id-versions-version-number-get) that can be used as `Version.Comment.Footer.getVersionDetails` or `All.getVersionDetailsForFooterCommentVersion`.

- # Added support for the following Version.Comment.Inline methods:

    * [Get inline comment versions](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-inline-comments-id-versions-get) that can be used as `Version.Comment.Inline.getVersions` or `All.getInlineCommentVersions`.
    * [Get version details for inline comment version](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-inline-comments-id-versions-version-number-get) that can be used as `Version.Comment.Inline.getVersionDetails` or `All.getVersionDetailsForInlineCommentVersion`.

- # Added support for the following V1.Content methods:

    * [Publish shared draft](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-blueprint-instance-draftid-put) that can be used as `V1.Content.publishSharedDraft` or `All.publishSharedDraft`.
    * [Publish legacy draft](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-blueprint-instance-draftid-post) that can be used as `V1.Content.publishLegacyDraft` or `All.publishLegacyDraft`.
    * [Search content by CQL](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-search-get) that can be used as `V1.Content.searchContentByCQL` or `All.searchContentByCQL`.

- # Added support for the following V1.Content.Attachment methods:

    * [Create or update attachment](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-put) that can be used as `V1.Content.Attachment.createOrUpdateAttachment` or `All.createOrUpdateContentAttachment`.
    * [Create attachment](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-post) that can be used as `V1.Content.Attachment.createAttachment` or `All.createContentAttachment`.
    * [Update attachment properties](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-attachmentid-put) that can be used as `V1.Content.Attachment.updateAttachmentProperties` or `All.updateContentAttachmentProperties`.
    * [Update attachment data](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-attachmentid-data-post) that can be used as `V1.Content.Attachment.updateAttachmentData` or `All.updateContentAttachmentData`.

- # Added support for the following V1.Content.Body method:

    * [Convert content body](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-to-post) that can be used as `V1.Content.Body.convertBody` or `All.convertContentBody`.

- # Added support for the following V1.Content.Move method:

    * [Move a page to a new location relative to a target page](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-pageid-move-position-targetid-put) that can be used as `V1.Content.Move.movePageToNewLocationRelativeToTargetPage` or `All.movePageToNewLocationRelativeToTargetPage`.

- # Added support for the following V1.Content.Descendant methods:

    * [Get content descendants](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-get) that can be used as `V1.Content.Descendant.getDescendants` or `All.getContentDescendants`.
    * [Get content descendants by type](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-type-get) that can be used as `V1.Content.Descendant.getDescendantsByType` or `All.getContentDescendantsByType`.

- # Added support for the following V1.Content.Copy methods:

    * [Copy page hierarchy](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-pagehierarchy-copy-post) that can be used as `V1.Content.Copy.copyPageHierarchy` or `All.copyPageHierarchy`.
    * [Copy single page](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-copy-post) that can be used as `V1.Content.Copy.copySinglePage` or `All.copySinglePage`.

- # Added support for the following V1.Content.Body.Macro method:

    * [Get macro body by macro ID](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---macro-body/#api-wiki-rest-api-content-id-history-version-macro-id-macroid-get) that can be used as `V1.Content.Body.Macro.getMacroById` or `All.getMacroBodyById`.

- # Added support for the following V1.Content.Label methods:

    * [Add labels to content](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-post) that can be used as `V1.Content.Label.addLabel` or `All.addContentLabel`.
    * [Remove label from content using query parameter](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-delete) that can be used as `V1.Content.Label.removeLabelWithQueryParameter` or `All.removeContentLabelWithQueryParameter`.
    * [Remove label from content](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-label-delete) that can be used as `V1.Content.Label.removeLabel` or `All.removeContentLabel`.

- # Added support for the following V1.Content.Restriction methods:

    * [Get restrictions](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-get) that can be used as `V1.Content.Restriction.getRestrictions` or `All.getContentRestrictions`.
    * [Update restrictions](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-put) that can be used as `V1.Content.Restriction.updateRestrictions` or `All.updateContentRestrictions`.
    * [Add restrictions](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-post) that can be used as `V1.Content.Restriction.addRestrictions` or `All.addContentRestrictions`.
    * [Delete restrictions](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-delete) that can be used as `V1.Content.Restriction.deleteRestrictions` or `All.deleteContentRestrictions`.
    * [Get restrictions by operation](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-get) that can be used as `V1.Content.Restriction.getRestrictionsByOperation` or `All.getContentRestrictionsByOperation`.
    * [Get restrictions for operation](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-get) that can be used as `V1.Content.Restriction.getRestrictionsForOperation` or `All.getContentRestrictionsForOperation`.

- # Added support for the following V1.Content.Restriction.Group methods:

    * [Get content restriction status for group](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-get) that can be used as `V1.Content.Restriction.Group.getGroupStatus` or `All.getContentRestrictionGroupStatus`.
    * [Add group to content restriction](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-put) that can be used as `V1.Content.Restriction.Group.addGroup` or `All.addContentRestrictionGroup`.
    * [Remove group from content restriction](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-delete) that can be used as `V1.Content.Restriction.Group.removeGroup` or `All.removeContentRestrictionGroup`.

- # Added support for the following V1.Content.Version methods:

    * [Restore content version](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-post) that can be used as `V1.Content.Version.restoreVersion` or `All.restoreContentVersion`.
    * [Delete content version](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-versionnumber-delete) that can be used as `V1.Content.Version.deleteVersion` or `All.deleteContentVersion`.

- # Added support for the following V1.Watcher methods:

    * [Get watches for page](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-content-id-notification-child-created-get) that can be used as `V1.Watcher.getWatchesForPage` or `All.getWatchesForPage`.
    * [Get watches for space](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-content-id-notification-created-get) that can be used as `V1.Watcher.getWatchesForSpace` or `All.getWatchesForSpace`.
    * [Get space watchers](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-space-spacekey-watch-get) that can be used as `V1.Watcher.getSpaceWatchers` or `All.getSpaceWatchers`.

- # Added support for the following V1.Watcher.Content methods:

    * [Get content watch status](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-get) that can be used as `V1.Watcher.Content.getWatcherStatus` or `All.getContentWatcherStatus`.
    * [Add content watcher](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-post) that can be used as `V1.Watcher.Content.addWatcher` or `All.addContentWatcher`.
    * [Remove content watcher](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-delete) that can be used as `V1.Watcher.Content.removeWatcher` or `All.removeContentWatcher`.

- # Added support for the following V1.Watcher.Label methods:

    * [Get label watch status](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-get) that can be used as `V1.Watcher.Label.getWatcherStatus` or `All.getLabelWatcherStatus`.
    * [Add label watcher](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-post) that can be used as `V1.Watcher.Label.addWatcher` or `All.addLabelWatcher`.
    * [Remove label watcher](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-delete) that can be used as `V1.Watcher.Label.removeWatcher` or `All.removeLabelWatcher`.

- # Added support for the following V1.Watcher.Space methods:

    * [Get space watch status](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-get) that can be used as `V1.Watcher.Space.getWatcherStatus` or `All.getSpaceWatcherStatus`.
    * [Add space watcher](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-post) that can be used as `V1.Watcher.Space.addWatcher` or `All.addSpaceWatcher`.
    * [Remove space watch](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-delete) that can be used as `V1.Watcher.Space.removeWatcher` or `All.removeSpaceWatcher`.

- # Added support for the following V1.UserGroup methods:

    * [Get groups](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-get) that can be used as `V1.UserGroup.getUserGroups` or `All.getUserGroups`.
    * [Create new user group](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-post) that can be used as `V1.UserGroup.createUserGroup` or `All.createUserGroup`.
    * [Delete user group](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-by-id-delete) that can be used as `V1.UserGroup.deleteUserGroupById` or `All.deleteUserGroupById`.
    * [Get group](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-by-id-get) that can be used as `V1.UserGroup.getUserGroupById` or `All.getUserGroupById`.

- # Added support for the following V1.UserGroup.Member methods:

    * [Add member to group by groupId](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-userbygroupid-post) that can be used as `V1.UserGroup.Member.addMemberById` or `All.addUserGroupMembersById`.
    * [Remove member from group using group id](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-userbygroupid-delete) that can be used as `V1.UserGroup.Member.removeMemberById` or `All.removeUserGroupMembersById`.
    * [Get group members](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-groupid-membersbygroupid-get) that can be used as `V1.UserGroup.Member.getMembersById` or `All.getUserGroupMembersById`.

- # Added support for the following V1.Label method:

    * [Get label information](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-label-info/#api-wiki-rest-api-label-get) that can be used as `V1.Label.getInfo` or `All.getLabelInfo`.

- # Added support for the following V1.LongRunningTask methods:

    * [Get long-running tasks](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-long-running-task/#api-wiki-rest-api-longtask-get) that can be used as `V1.LongRunningTask.getLongRunningTasks` or `All.getLongRunningTasks`.
    * [Get long-running task](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-long-running-task/#api-wiki-rest-api-longtask-id-get) that can be used as `V1.LongRunningTask.getLongRunningTask` or `All.getLongRunningTask`.

- # Added support for the following V1.Relation methods:

    * [Find target entities related to a source entity](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-get) that can be used as `V1.Relation.findTargetEntitiesRelatedToSourceEntity` or `All.findTargetEntitiesRelatedToSourceEntity`.
    * [Find relationship from source to target](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-get) that can be used as `V1.Relation.findRelationshipFromSourceToTarget` or `All.findRelationshipFromSourceToTarget`.
    * [Create relationship](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-put) that can be used as `V1.Relation.createRelationship` or `All.createRelationship`.
    * [Delete relationship](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-delete) that can be used as `V1.Relation.deleteRelationship` or `All.deleteRelationship`.
    * [Find source entities related to a target entity](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-to-targettype-targetkey-from-sourcetype-get) that can be used as `V1.Relation.findSourceEntitiesRelatedToTargetEntity` or `All.findSourceEntitiesRelatedToTargetEntity`.

- # Added support for the following V1.Search methods:

    * [Search content](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-search/#api-wiki-rest-api-search-get) that can be used as `V1.Search.searchContent` or `All.searchContent`.
    * [Search users](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-search/#api-wiki-rest-api-search-user-get) that can be used as `V1.Search.searchUsers` or `All.searchUsers`.

- # Added support for the following V1.Setting methods:

    * [Get look and feel settings](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-get) that can be used as `V1.Setting.getLookAndFeelSettings` or `All.getLookAndFeelSettings`.
    * [Update look and feel settings](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-custom-post) that can be used as `V1.Setting.updateLookAndFeelSettings` or `All.updateLookAndFeelSettings`.
    * [Reset look and feel settings](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-custom-delete) that can be used as `V1.Setting.resetLookAndFeelSettings` or `All.resetLookAndFeelSettings`.
    * [Get system info](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-systeminfo-get) that can be used as `V1.Setting.getSystemInfo` or `All.getSystemInfo`.

- # Added support for the following V1.Space methods:

    * [Create space](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-post) that can be used as `V1.Space.createSpace` or `All.createSpace`.
    * [Update space](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-put) that can be used as `V1.Space.updateSpace` or `All.updateSpace`.
    * [Delete space](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-delete) that can be used as `V1.Space.deleteSpace` or `All.deleteSpace`.

- # Added support for the following V1.Space.Private method:

    * [Create private space](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-private-post) that can be used as `V1.Space.Private.createSpace` or `All.createPrivateSpace`.

- # Added support for the following V1.Space.Setting methods:

    * [Get space settings](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-settings/#api-wiki-rest-api-space-spacekey-settings-get) that can be used as `V1.Space.Setting.getSettings` or `All.getSpaceSettings`.
    * [Update space settings](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-settings/#api-wiki-rest-api-space-spacekey-settings-put) that can be used as `V1.Space.Setting.updateSettings` or `All.updateSpaceSettings`.

- # Added support for the following V1.Template methods:

    * [Update content template](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-put) that can be used as `V1.Template.updateContentTemplate` or `All.updateContentTemplate`.
    * [Create content template](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-post) that can be used as `V1.Template.createContentTemplate` or `All.createContentTemplate`.
    * [Get blueprint templates](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-blueprint-get) that can be used as `V1.Template.getBlueprintTemplates` or `All.getBlueprintTemplates`.
    * [Get content templates](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-page-get) that can be used as `V1.Template.getContentTemplates` or `All.getContentTemplates`.
    * [Get content template](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-contenttemplateid-get) that can be used as `V1.Template.getContentTemplate` or `All.getContentTemplate`.
    * [Remove template](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-contenttemplateid-delete) that can be used as `V1.Template.removeTemplate` or `All.removeTemplate`.

- # Added support for the following V1.Theme methods:

    * [Get themes](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-get) that can be used as `V1.Theme.getThemes` or `All.getThemes`.
    * [Get global theme](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-selected-get) that can be used as `V1.Theme.getGlobalTheme` or `All.getGlobalTheme`.
    * [Get theme](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-themekey-get) that can be used as `V1.Theme.getTheme` or `All.getTheme`.
    * [Get space theme](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-get) that can be used as `V1.Theme.getSpaceTheme` or `All.getSpaceTheme`.
    * [Set space theme](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-put) that can be used as `V1.Theme.setSpaceTheme` or `All.setSpaceTheme`.
    * [Reset space theme](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-delete) that can be used as `V1.Theme.resetSpaceTheme` or `All.resetSpaceTheme`.

- # Added support for the following V1.User methods:

    * [Get user](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-group-users) that can be used as `V1.User.getUser` or `All.getUser`.
    * [Get anonymous user](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-anonymous-get) that can be used as `V1.User.getAnonymousUser` or `All.getAnonymousUser`.
    * [Get current user](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-current-get) that can be used as `V1.User.getCurrentUser` or `All.getCurrentUser`.
    * [Get group memberships for user](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-memberof-get) that can be used as `V1.User.getGroupsWhereUserMember` or `All.getGroupsWhereUserMember`.
    * [Get multiple users using ids](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-bulk-get) that can be used as `V1.User.getUsersWithIds` or `All.getUsersWithIds`.
    * [Get user email address](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-email-get) that can be used as `V1.User.getUserEmail` or `All.getUserEmail`.
    * [Get user email addresses in batch](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-email-bulk-get) that can be used as `V1.User.getUserEmails` or `All.getUserEmails`.

Copyright Adaptavist 2025 (c) All rights reserved