/*!
 * Copyright Adaptavist 2023 (c) All rights reserved
 */
import { getHeaders } from "@managed-api/commons-core";
export function constructHeaders(body, manualHeaders) {
    const headers = getHeaders(body, manualHeaders);
    headers.append('X-Atlassian-Token', 'no-check');
    return headers;
}
export async function errorMessageBuilder(response, reason) {
    var _a, _b;
    try {
        const errors = await response.json();
        if ((_a = errors) === null || _a === void 0 ? void 0 : _a.message) {
            return `${reason} - ${errors.message}`;
        }
        if ((_b = errors) === null || _b === void 0 ? void 0 : _b.errors) {
            const errorMessages = errors.errors.map(error => error.detail !== null ? `${error.title} ${error.detail}` : error.title);
            return `${reason} - ${errorMessages.join('. ')}`;
        }
    }
    catch { }
    return reason;
}
//# sourceMappingURL=common.js.map