/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentStatusAsResponse } from "../definitions/ContentStatusAsResponse";
import { VersionAsResponse } from "../definitions/VersionAsResponse";
import { LabelAsResponse } from "../definitions/LabelAsResponse";
import { OptionalFieldMetaAsResponse } from "../definitions/OptionalFieldMetaAsResponse";
import { OptionalFieldLinksAsResponse } from "../definitions/OptionalFieldLinksAsResponse";
import { ContentPropertyAsResponse } from "../definitions/ContentPropertyAsResponse";
import { OperationAsResponse } from "../definitions/OperationAsResponse";
import { AttachmentLinksAsResponse } from "../definitions/AttachmentLinksAsResponse";
export interface AttachmentSingleAsResponse {
    /**
     * ID of the attachment.
     */
    id?: string;
    status?: ContentStatusAsResponse;
    /**
     * Title of the comment.
     */
    title?: string;
    /**
     * Date and time when the attachment was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ".
     */
    createdAt?: null | string;
    /**
  * ID of the containing page.
  
  Note: This is only returned if the attachment has a container that is a page.
  */
    pageId?: string;
    /**
  * ID of the containing blog post.
  
  Note: This is only returned if the attachment has a container that is a blog post.
  */
    blogPostId?: string;
    /**
  * ID of the containing custom content.
  
  Note: This is only returned if the attachment has a container that is custom content.
  */
    customContentId?: string;
    /**
     * Media Type for the attachment.
     */
    mediaType?: string;
    /**
     * Media Type description for the attachment.
     */
    mediaTypeDescription?: string;
    /**
     * Comment for the attachment.
     */
    comment?: string;
    /**
     * File ID of the attachment. This is the ID referenced in `atlas_doc_format` bodies and is distinct from the attachment ID.
     */
    fileId?: string;
    /**
     * File size of the attachment.
     */
    fileSize?: number;
    /**
     * WebUI link of the attachment.
     */
    webuiLink?: string;
    /**
     * Download link of the attachment.
     */
    downloadLink?: string;
    version?: VersionAsResponse;
    labels?: {
        results?: Array<LabelAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    properties?: {
        results?: Array<ContentPropertyAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    operations?: {
        results?: Array<OperationAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    versions?: {
        results?: Array<VersionAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    _links?: AttachmentLinksAsResponse;
    /**
     * The collaborators on the attachment
     */
    collaborators?: Array<{
        accountId?: string;
    }>;
}
//# sourceMappingURL=AttachmentSingleAsResponse.d.ts.map