/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { BlogPostContentStatusAsResponse } from "../definitions/BlogPostContentStatusAsResponse";
import { VersionAsResponse } from "../definitions/VersionAsResponse";
import { BodyBulkAsResponse } from "../definitions/BodyBulkAsResponse";
import { AbstractPageLinksAsResponse } from "../definitions/AbstractPageLinksAsResponse";
export interface BlogPostBulkAsResponse {
    /**
     * ID of the blog post.
     */
    id?: string;
    status?: BlogPostContentStatusAsResponse;
    /**
     * Title of the blog post.
     */
    title?: string;
    /**
     * ID of the space the blog post is in.
     */
    spaceId?: string;
    /**
     * The account ID of the user who created this blog post originally.
     */
    authorId?: string;
    /**
     * Date and time when the blog post was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ".
     */
    createdAt?: string;
    version?: VersionAsResponse;
    body?: BodyBulkAsResponse;
    _links?: AbstractPageLinksAsResponse;
}
//# sourceMappingURL=BlogPostBulkAsResponse.d.ts.map