/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { BlogPostContentStatusAsResponse } from "../definitions/BlogPostContentStatusAsResponse";
import { VersionAsResponse } from "../definitions/VersionAsResponse";
import { BodySingleAsResponse } from "../definitions/BodySingleAsResponse";
import { LabelAsResponse } from "../definitions/LabelAsResponse";
import { OptionalFieldMetaAsResponse } from "../definitions/OptionalFieldMetaAsResponse";
import { OptionalFieldLinksAsResponse } from "../definitions/OptionalFieldLinksAsResponse";
import { ContentPropertyAsResponse } from "../definitions/ContentPropertyAsResponse";
import { OperationAsResponse } from "../definitions/OperationAsResponse";
import { LikeAsResponse } from "../definitions/LikeAsResponse";
import { BlogPostVersionAsResponse } from "../definitions/BlogPostVersionAsResponse";
import { AbstractPageLinksAsResponse } from "../definitions/AbstractPageLinksAsResponse";
export interface BlogPostSingleAsResponse {
    /**
     * ID of the blog post.
     */
    id?: string;
    status?: BlogPostContentStatusAsResponse;
    /**
     * Title of the blog post.
     */
    title?: string;
    /**
     * ID of the space the blog post is in.
     */
    spaceId?: string;
    /**
     * The account ID of the user who created this blog post originally.
     */
    authorId?: null | string;
    /**
     * Date and time when the blog post was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ".
     */
    createdAt?: null | string;
    version?: VersionAsResponse;
    body?: BodySingleAsResponse;
    labels?: {
        results?: Array<LabelAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    properties?: {
        results?: Array<ContentPropertyAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    operations?: {
        results?: Array<OperationAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    likes?: {
        results?: Array<LikeAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    versions?: {
        results?: Array<BlogPostVersionAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    /**
     * Whether the blog post has been favorited by the current user.
     */
    isFavoritedByCurrentUser?: boolean;
    _links?: AbstractPageLinksAsResponse;
    /**
     * The collaborators on the blog
     */
    collaborators?: Array<{
        accountId?: string;
    }>;
    webResources?: {
        superbatch?: {
            tags?: string;
        };
        tags?: string;
    };
}
//# sourceMappingURL=BlogPostSingleAsResponse.d.ts.map