/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { OnlyArchivedAndCurrentContentStatusAsResponse } from "../definitions/OnlyArchivedAndCurrentContentStatusAsResponse";
export interface ChildrenResponseAsResponse {
    /**
     * ID of the child content.
     */
    id?: string;
    status?: OnlyArchivedAndCurrentContentStatusAsResponse;
    /**
     * Title of the child content.
     */
    title?: string;
    /**
     * Hierarchical content type (database/embed/folder/page/whiteboard).
     */
    type?: string;
    /**
     * ID of the space the content is in.
     */
    spaceId?: string;
    /**
     * Position of child within the given parent content tree.
     */
    childPosition?: number;
}
//# sourceMappingURL=ChildrenResponseAsResponse.d.ts.map