/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { VersionV1 } from "../definitions/VersionV1";
import { GenericLinks } from "../definitions/GenericLinks";
import { LabelArray } from "../definitions/LabelArray";
import { LabelV1 } from "../definitions/LabelV1";
export interface ContentMetadata {
    currentuser?: {
        favourited?: {
            isFavourite?: boolean;
            favouritedDate?: string;
        };
        lastmodified?: {
            version?: VersionV1;
            friendlyLastModified?: string;
        };
        lastcontributed?: {
            status?: string;
            when?: string;
        };
        viewed?: {
            lastSeen?: string;
            friendlyLastSeen?: string;
        };
        scheduled?: any;
        _expandable?: {
            favourited?: string;
            lastmodified?: string;
            lastcontributed?: string;
            viewed?: string;
            scheduled?: string;
        };
    };
    properties?: GenericLinks;
    frontend?: {
        [x: string]: any;
    };
    labels?: LabelArray | Array<LabelV1>;
    [x: string]: any;
}
//# sourceMappingURL=ContentMetadata.d.ts.map