/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentTemplateBodyCreate } from "../definitions/ContentTemplateBodyCreate";
import { LabelV1 } from "../definitions/LabelV1";
export interface ContentTemplateCreate {
    /**
     * The name of the new template.
     */
    name: string;
    /**
     * The type of the new template. Set to `page`.
     */
    templateType: string;
    body: ContentTemplateBodyCreate;
    /**
     * A description of the new template.
     */
    description?: string;
    /**
     * Labels for the new template.
     */
    labels?: Array<LabelV1>;
    /**
  * The key for the space of the new template. Only applies to space templates.
  If the spaceKey is not specified, the template will be created as a global
  template.
  */
    space?: {
        key: string;
        [x: string]: any;
    };
    [x: string]: any;
}
//# sourceMappingURL=ContentTemplateCreate.d.ts.map