/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentStatusAsResponse } from "../definitions/ContentStatusAsResponse";
import { VersionAsResponse } from "../definitions/VersionAsResponse";
import { CustomContentBodyBulkAsResponse } from "../definitions/CustomContentBodyBulkAsResponse";
import { CustomContentLinksAsResponse } from "../definitions/CustomContentLinksAsResponse";
export interface CustomContentBulkAsResponse {
    /**
     * ID of the custom content.
     */
    id?: string;
    /**
     * The type of custom content.
     */
    type?: string;
    status?: ContentStatusAsResponse;
    /**
     * Title of the custom content.
     */
    title?: string;
    /**
  * ID of the space the custom content is in.
  
  Note: This is always returned, regardless of if the custom content has a container that is a space.
  */
    spaceId?: string;
    /**
  * ID of the containing page.
  
  Note: This is only returned if the custom content has a container that is a page.
  */
    pageId?: string;
    /**
  * ID of the containing blog post.
  
  Note: This is only returned if the custom content has a container that is a blog post.
  */
    blogPostId?: string;
    /**
  * ID of the containing custom content.
  
  Note: This is only returned if the custom content has a container that is custom content.
  */
    customContentId?: string;
    /**
     * The account ID of the user who created this custom content originally.
     */
    authorId?: string;
    /**
     * Date and time when the custom content was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ".
     */
    createdAt?: string;
    version?: VersionAsResponse;
    body?: CustomContentBodyBulkAsResponse;
    _links?: CustomContentLinksAsResponse;
}
//# sourceMappingURL=CustomContentBulkAsResponse.d.ts.map