/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentStatusAsResponse } from "../definitions/ContentStatusAsResponse";
import { VersionAsResponse } from "../definitions/VersionAsResponse";
import { LabelAsResponse } from "../definitions/LabelAsResponse";
import { OptionalFieldMetaAsResponse } from "../definitions/OptionalFieldMetaAsResponse";
import { OptionalFieldLinksAsResponse } from "../definitions/OptionalFieldLinksAsResponse";
import { ContentPropertyAsResponse } from "../definitions/ContentPropertyAsResponse";
import { OperationAsResponse } from "../definitions/OperationAsResponse";
import { CustomContentBodySingleAsResponse } from "../definitions/CustomContentBodySingleAsResponse";
import { CustomContentLinksAsResponse } from "../definitions/CustomContentLinksAsResponse";
export interface CustomContentSingleAsResponse {
    /**
     * ID of the custom content.
     */
    id?: string;
    /**
     * The type of custom content.
     */
    type?: string;
    status?: ContentStatusAsResponse;
    /**
     * Title of the custom content.
     */
    title?: string;
    /**
  * ID of the space the custom content is in.
  
  Note: This is always returned, regardless of if the custom content has a container that is a space.
  */
    spaceId?: string;
    /**
  * ID of the containing page.
  
  Note: This is only returned if the custom content has a container that is a page.
  */
    pageId?: string;
    /**
  * ID of the containing blog post.
  
  Note: This is only returned if the custom content has a container that is a blog post.
  */
    blogPostId?: string;
    /**
  * ID of the containing custom content.
  
  Note: This is only returned if the custom content has a container that is custom content.
  */
    customContentId?: string;
    /**
     * The account ID of the user who created this custom content originally.
     */
    authorId?: string;
    /**
     * Date and time when the custom content was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ".
     */
    createdAt?: string;
    version?: VersionAsResponse;
    labels?: {
        results?: Array<LabelAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    properties?: {
        results?: Array<ContentPropertyAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    operations?: {
        results?: Array<OperationAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    versions?: {
        results?: Array<VersionAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    body?: CustomContentBodySingleAsResponse;
    _links?: CustomContentLinksAsResponse;
    /**
     * The collaborators on the custom content
     */
    collaborators?: Array<{
        accountId?: string;
    }>;
}
//# sourceMappingURL=CustomContentSingleAsResponse.d.ts.map