/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentStatusAsResponse } from "../definitions/ContentStatusAsResponse";
import { ParentContentTypeAsResponse } from "../definitions/ParentContentTypeAsResponse";
import { VersionAsResponse } from "../definitions/VersionAsResponse";
import { DatabaseLinksAsResponse } from "../definitions/DatabaseLinksAsResponse";
export interface DatabaseSingleAsResponse {
    /**
     * ID of the database.
     */
    id?: string;
    /**
     * The content type of the object.
     */
    type?: string;
    status?: ContentStatusAsResponse;
    /**
     * Title of the database.
     */
    title?: string;
    /**
     * ID of the parent content, or null if there is no parent content.
     */
    parentId?: string;
    parentType?: ParentContentTypeAsResponse;
    /**
     * Position of the database within the given parent page tree.
     */
    position?: number;
    /**
     * The account ID of the user who created this database originally.
     */
    authorId?: string;
    /**
     * The account ID of the user who owns this database.
     */
    ownerId?: string;
    /**
     * Date and time when the database was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ".
     */
    createdAt?: string;
    version?: VersionAsResponse;
    _links?: DatabaseLinksAsResponse;
}
//# sourceMappingURL=DatabaseSingleAsResponse.d.ts.map