/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentStatusAsResponse } from "../definitions/ContentStatusAsResponse";
import { ParentContentTypeAsResponse } from "../definitions/ParentContentTypeAsResponse";
import { VersionAsResponse } from "../definitions/VersionAsResponse";
import { FolderLinksAsResponse } from "../definitions/FolderLinksAsResponse";
import { ChildrenResponseAsResponse } from "../definitions/ChildrenResponseAsResponse";
import { OptionalFieldMetaAsResponse } from "../definitions/OptionalFieldMetaAsResponse";
import { OptionalFieldLinksAsResponse } from "../definitions/OptionalFieldLinksAsResponse";
import { OperationAsResponse } from "../definitions/OperationAsResponse";
import { ContentPropertyAsResponse } from "../definitions/ContentPropertyAsResponse";
export interface FolderSingleAsResponse {
    /**
     * ID of the folder.
     */
    id?: string;
    /**
     * The content type of the object.
     */
    type?: string;
    status?: ContentStatusAsResponse;
    /**
     * Title of the folder.
     */
    title?: string;
    /**
     * ID of the parent content, or null if there is no parent content.
     */
    parentId?: string;
    parentType?: ParentContentTypeAsResponse;
    /**
     * Position of the folder within the given parent page tree.
     */
    position?: number;
    /**
     * The account ID of the user who created this folder.
     */
    authorId?: string;
    /**
     * The account ID of the user who owns this folder.
     */
    ownerId?: string;
    /**
     * Date and time when the folder was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ".
     */
    createdAt?: string;
    version?: VersionAsResponse;
    _links?: FolderLinksAsResponse;
    collaborators?: Array<{
        accountId?: string;
    }>;
    directChildren?: {
        results?: Array<ChildrenResponseAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    operations?: {
        results?: Array<OperationAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    properties?: {
        results?: Array<ContentPropertyAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
}
//# sourceMappingURL=FolderSingleAsResponse.d.ts.map