/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentStatus } from "../definitions/ContentStatus";
import { Version } from "../definitions/Version";
import { ContentProperty } from "../definitions/ContentProperty";
import { OptionalFieldMeta } from "../definitions/OptionalFieldMeta";
import { OptionalFieldLinks } from "../definitions/OptionalFieldLinks";
import { Operation } from "../definitions/Operation";
import { Like } from "../definitions/Like";
import { BodySingle } from "../definitions/BodySingle";
import { CommentLinks } from "../definitions/CommentLinks";
export interface FooterCommentModel {
    /**
     * ID of the comment.
     */
    id?: string;
    status?: ContentStatus;
    /**
     * Title of the comment.
     */
    title?: string;
    /**
     * ID of the blog post containing the comment if the comment is on a blog post.
     */
    blogPostId?: string;
    /**
     * ID of the page containing the comment if the comment is on a page.
     */
    pageId?: string;
    /**
     * ID of the attachment containing the comment if the comment is on an attachment.
     */
    attachmentId?: string;
    /**
     * ID of the custom content containing the comment if the comment is on a custom content.
     */
    customContentId?: string;
    /**
     * ID of the parent comment if the comment is a reply.
     */
    parentCommentId?: string;
    version?: Version;
    properties?: {
        results?: Array<ContentProperty>;
        meta?: OptionalFieldMeta;
        _links?: OptionalFieldLinks;
    };
    operations?: {
        results?: Array<Operation>;
        meta?: OptionalFieldMeta;
        _links?: OptionalFieldLinks;
    };
    likes?: {
        results?: Array<Like>;
        meta?: OptionalFieldMeta;
        _links?: OptionalFieldLinks;
    };
    versions?: {
        results?: Array<Version>;
        meta?: OptionalFieldMeta;
        _links?: OptionalFieldLinks;
    };
    body?: BodySingle;
    _links?: CommentLinks;
}
//# sourceMappingURL=FooterCommentModel.d.ts.map