/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentStatusAsResponse } from "../definitions/ContentStatusAsResponse";
import { VersionAsResponse } from "../definitions/VersionAsResponse";
import { ContentPropertyAsResponse } from "../definitions/ContentPropertyAsResponse";
import { OptionalFieldMetaAsResponse } from "../definitions/OptionalFieldMetaAsResponse";
import { OptionalFieldLinksAsResponse } from "../definitions/OptionalFieldLinksAsResponse";
import { OperationAsResponse } from "../definitions/OperationAsResponse";
import { LikeAsResponse } from "../definitions/LikeAsResponse";
import { BodySingleAsResponse } from "../definitions/BodySingleAsResponse";
import { CommentLinksAsResponse } from "../definitions/CommentLinksAsResponse";
export interface FooterCommentModelAsResponse {
    /**
     * ID of the comment.
     */
    id?: string;
    status?: ContentStatusAsResponse;
    /**
     * Title of the comment.
     */
    title?: string;
    /**
     * ID of the blog post containing the comment if the comment is on a blog post.
     */
    blogPostId?: string;
    /**
     * ID of the page containing the comment if the comment is on a page.
     */
    pageId?: string;
    /**
     * ID of the attachment containing the comment if the comment is on an attachment.
     */
    attachmentId?: string;
    /**
     * ID of the custom content containing the comment if the comment is on a custom content.
     */
    customContentId?: string;
    /**
     * ID of the parent comment if the comment is a reply.
     */
    parentCommentId?: string;
    version?: VersionAsResponse;
    properties?: {
        results?: Array<ContentPropertyAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    operations?: {
        results?: Array<OperationAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    likes?: {
        results?: Array<LikeAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    versions?: {
        results?: Array<VersionAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    body?: BodySingleAsResponse;
    _links?: CommentLinksAsResponse;
}
//# sourceMappingURL=FooterCommentModelAsResponse.d.ts.map