/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentStatusAsResponse } from "../definitions/ContentStatusAsResponse";
import { VersionAsResponse } from "../definitions/VersionAsResponse";
import { BodySingleAsResponse } from "../definitions/BodySingleAsResponse";
import { InlineCommentResolutionStatusAsResponse } from "../definitions/InlineCommentResolutionStatusAsResponse";
import { ContentPropertyAsResponse } from "../definitions/ContentPropertyAsResponse";
import { OptionalFieldMetaAsResponse } from "../definitions/OptionalFieldMetaAsResponse";
import { OptionalFieldLinksAsResponse } from "../definitions/OptionalFieldLinksAsResponse";
import { OperationAsResponse } from "../definitions/OperationAsResponse";
import { LikeAsResponse } from "../definitions/LikeAsResponse";
import { CommentLinksAsResponse } from "../definitions/CommentLinksAsResponse";
export interface InlineCommentModelAsResponse {
    /**
     * ID of the comment.
     */
    id?: string;
    status?: ContentStatusAsResponse;
    /**
     * Title of the comment.
     */
    title?: string;
    /**
     * ID of the blog post containing the comment if the comment is on a blog post.
     */
    blogPostId?: string;
    /**
     * ID of the page containing the comment if the comment is on a page.
     */
    pageId?: string;
    /**
     * ID of the parent comment if the comment is a reply.
     */
    parentCommentId?: string;
    version?: VersionAsResponse;
    body?: BodySingleAsResponse;
    /**
     * Atlassian Account ID of last person who modified the resolve state of the comment. Null until comment is resolved or reopened.
     */
    resolutionLastModifierId?: string;
    /**
     * Timestamp of the last modification to the comment's resolution status. Null until comment is resolved or reopened.
     */
    resolutionLastModifiedAt?: string;
    resolutionStatus?: InlineCommentResolutionStatusAsResponse;
    properties?: {
        results?: Array<ContentPropertyAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
        /**
         * Property value used to reference the highlighted element in DOM.
         */
        inlineMarkerRef?: string;
        /**
         * Text that is highlighted.
         */
        inlineOriginalSelection?: string;
        /**
         * Deprecated, use `inlineMarkerRef` instead.
         */
        "inline-marker-ref"?: string;
        /**
         * Deprecated, use `inlineOriginalSelection` instead.
         */
        "inline-original-selection"?: string;
    };
    operations?: {
        results?: Array<OperationAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    likes?: {
        results?: Array<LikeAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    versions?: {
        results?: Array<VersionAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    _links?: CommentLinksAsResponse;
}
//# sourceMappingURL=InlineCommentModelAsResponse.d.ts.map