/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentStatusAsResponse } from "../definitions/ContentStatusAsResponse";
import { ParentContentTypeAsResponse } from "../definitions/ParentContentTypeAsResponse";
import { VersionAsResponse } from "../definitions/VersionAsResponse";
import { BodyBulkAsResponse } from "../definitions/BodyBulkAsResponse";
import { AbstractPageLinksAsResponse } from "../definitions/AbstractPageLinksAsResponse";
export interface PageBulkAsResponse {
    /**
     * ID of the page.
     */
    id?: string;
    status?: ContentStatusAsResponse;
    /**
     * Title of the page.
     */
    title?: string;
    /**
     * ID of the space the page is in.
     */
    spaceId?: string;
    /**
     * ID of the parent page, or null if there is no parent page.
     */
    parentId?: string | null;
    parentType?: ParentContentTypeAsResponse;
    /**
     * Position of child page within the given parent page tree.
     */
    position?: number | null;
    /**
     * The account ID of the user who created this page originally.
     */
    authorId?: string | null;
    /**
     * The account ID of the user who owns this page.
     */
    ownerId?: string;
    /**
     * The account ID of the user who owned this page previously, or null if there is no previous owner.
     */
    lastOwnerId?: string;
    /**
     * Date and time when the page was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ".
     */
    createdAt?: string | null;
    version?: VersionAsResponse;
    body?: BodyBulkAsResponse;
    _links?: AbstractPageLinksAsResponse;
}
//# sourceMappingURL=PageBulkAsResponse.d.ts.map