/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentStatusAsResponse } from "../definitions/ContentStatusAsResponse";
import { ParentContentTypeAsResponse } from "../definitions/ParentContentTypeAsResponse";
import { VersionAsResponse } from "../definitions/VersionAsResponse";
import { BodySingleAsResponse } from "../definitions/BodySingleAsResponse";
import { LabelAsResponse } from "../definitions/LabelAsResponse";
import { OptionalFieldMetaAsResponse } from "../definitions/OptionalFieldMetaAsResponse";
import { OptionalFieldLinksAsResponse } from "../definitions/OptionalFieldLinksAsResponse";
import { ContentPropertyAsResponse } from "../definitions/ContentPropertyAsResponse";
import { OperationAsResponse } from "../definitions/OperationAsResponse";
import { LikeAsResponse } from "../definitions/LikeAsResponse";
import { AbstractPageLinksAsResponse } from "../definitions/AbstractPageLinksAsResponse";
import { ChildrenResponseAsResponse } from "../definitions/ChildrenResponseAsResponse";
export interface PageSingleAsResponse {
    /**
     * ID of the page.
     */
    id?: string;
    status?: ContentStatusAsResponse;
    /**
     * Title of the page.
     */
    title?: string;
    /**
     * ID of the space the page is in.
     */
    spaceId?: string;
    /**
     * ID of the parent page, or null if there is no parent page.
     */
    parentId?: string;
    parentType?: ParentContentTypeAsResponse;
    /**
     * Position of child page within the given parent page tree.
     */
    position?: number | null;
    /**
     * The account ID of the user who created this page originally.
     */
    authorId?: string | null;
    /**
     * The account ID of the user who owns this page.
     */
    ownerId?: string;
    /**
     * The account ID of the user who owned this page previously, or null if there is no previous owner.
     */
    lastOwnerId?: string;
    /**
     * Date and time when the page was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ".
     */
    createdAt?: string | null;
    version?: VersionAsResponse;
    body?: BodySingleAsResponse;
    labels?: {
        results?: Array<LabelAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    properties?: {
        results?: Array<ContentPropertyAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    operations?: {
        results?: Array<OperationAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    likes?: {
        results?: Array<LikeAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    versions?: {
        results?: Array<VersionAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    /**
     * Whether the page has been favorited by the current user.
     */
    isFavoritedByCurrentUser?: boolean;
    _links?: AbstractPageLinksAsResponse;
    /**
     * The collaborators on the page
     */
    collaborators?: Array<{
        accountId?: string;
    }>;
    directChildren?: {
        results?: Array<ChildrenResponseAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    webResources?: {
        superbatch?: {
            tags?: string;
        };
        tags?: string;
    };
}
//# sourceMappingURL=PageSingleAsResponse.d.ts.map