/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentStatusAsResponse } from "../definitions/ContentStatusAsResponse";
import { ParentContentTypeAsResponse } from "../definitions/ParentContentTypeAsResponse";
import { VersionAsResponse } from "../definitions/VersionAsResponse";
import { SmartLinkLinksAsResponse } from "../definitions/SmartLinkLinksAsResponse";
export interface SmartLinkSingleAsResponse {
    /**
     * ID of the Smart Link in the content tree.
     */
    id?: string;
    /**
     * The content type of the object.
     */
    type?: string;
    status?: ContentStatusAsResponse;
    /**
     * Title of the Smart Link in the content tree.
     */
    title?: string;
    /**
     * ID of the parent content, or null if there is no parent content.
     */
    parentId?: string;
    parentType?: ParentContentTypeAsResponse;
    /**
     * Position of the Smart Link within the given parent page tree.
     */
    position?: number;
    /**
     * The account ID of the user who created this Smart Link in the content tree originally.
     */
    authorId?: string;
    /**
     * The account ID of the user who owns this Smart Link in the content tree.
     */
    ownerId?: string;
    /**
     * Date and time when the Smart Link in the content tree was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ".
     */
    createdAt?: string;
    /**
     * The embedded URL of the Smart Link. If the Smart Link does not have an embedded URL, this property will not be included in the response.
     */
    embedUrl?: string;
    version?: VersionAsResponse;
    _links?: SmartLinkLinksAsResponse;
}
//# sourceMappingURL=SmartLinkSingleAsResponse.d.ts.map