/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SpaceTypeAsResponse } from "../definitions/SpaceTypeAsResponse";
import { SpaceStatusAsResponse } from "../definitions/SpaceStatusAsResponse";
import { SpaceDescriptionAsResponse } from "../definitions/SpaceDescriptionAsResponse";
import { SpaceIconAsResponse } from "../definitions/SpaceIconAsResponse";
import { SpaceLinksAsResponse } from "../definitions/SpaceLinksAsResponse";
export interface SpaceBulkAsResponse {
    /**
     * ID of the space.
     */
    id?: string;
    /**
     * Key of the space.
     */
    key?: string;
    /**
     * Name of the space.
     */
    name?: string;
    type?: SpaceTypeAsResponse;
    status?: SpaceStatusAsResponse;
    /**
     * The account ID of the user who created this space originally.
     */
    authorId?: string;
    /**
     * Date and time when the space was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ".
     */
    createdAt?: string;
    /**
     * ID of the space's homepage.
     */
    homepageId?: string;
    description?: SpaceDescriptionAsResponse;
    icon?: SpaceIconAsResponse;
    _links?: SpaceLinksAsResponse;
}
//# sourceMappingURL=SpaceBulkAsResponse.d.ts.map