/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export declare type SpaceIconAsResponse = {
    /**
     * The path (relative to base URL) at which the space's icon can be retrieved. The format should be like `/wiki/download/...` or `/wiki/aa-avatar/...`
     */
    path?: string;
    /**
  * The path (relative to base URL) that can be used to retrieve a link to download the space icon. 3LO apps should use this link instead of the value provided
  in the `path` property to retrieve the icon.
  
  Currently this field is only returned for `global` spaces and not `personal` spaces.
  
  */
    apiDownloadLink?: string;
} | null;
//# sourceMappingURL=SpaceIconAsResponse.d.ts.map