/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface SpacePermissionAssignmentAsResponse {
    /**
     * ID of the space permission.
     */
    id?: string;
    /**
     * The entity the space permissions corresponds to.
     */
    principal?: {
        type?: "user" | "group" | "role";
        /**
         * ID of the entity.
         */
        id?: string;
    };
    /**
     * The operation the space permission corresponds to.
     */
    operation?: {
        /**
         * The type of operation.
         */
        key?: "use" | "create" | "read" | "update" | "delete" | "copy" | "move" | "export" | "purge" | "purge_version" | "administer" | "restore" | "create_space" | "restrict_content" | "archive";
        /**
         * The type of entity the operation type targets.
         */
        targetType?: "page" | "blogpost" | "comment" | "attachment" | "whiteboard" | "database" | "embed" | "folder" | "space" | "application" | "userProfile";
    };
}
//# sourceMappingURL=SpacePermissionAssignmentAsResponse.d.ts.map