/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface SpacePropertyAsResponse {
    /**
     * ID of the space property.
     */
    id?: string;
    /**
     * Key of the space property.
     */
    key?: string;
    /**
     * Value of the space property.
     */
    value?: any;
    /**
     * RFC3339 compliant date time at which the property was created.
     */
    createdAt?: string;
    /**
     * Atlassian account ID of the user that created the space property.
     */
    authorId?: string;
    version?: {
        /**
         * RFC3339 compliant date time at which the property's current version was created.
         */
        createdAt?: string;
        /**
         * Atlassian account ID of the user that created the space property's current version.
         */
        authorId?: string;
        /**
         * Message associated with the current version.
         */
        message?: string;
        /**
         * The space property's current version number.
         */
        number?: number;
    };
}
//# sourceMappingURL=SpacePropertyAsResponse.d.ts.map