/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SpaceTypeAsResponse } from "../definitions/SpaceTypeAsResponse";
import { SpaceStatusAsResponse } from "../definitions/SpaceStatusAsResponse";
import { SpaceDescriptionAsResponse } from "../definitions/SpaceDescriptionAsResponse";
import { SpaceIconAsResponse } from "../definitions/SpaceIconAsResponse";
import { LabelAsResponse } from "../definitions/LabelAsResponse";
import { OptionalFieldMetaAsResponse } from "../definitions/OptionalFieldMetaAsResponse";
import { OptionalFieldLinksAsResponse } from "../definitions/OptionalFieldLinksAsResponse";
import { SpacePropertyAsResponse } from "../definitions/SpacePropertyAsResponse";
import { OperationAsResponse } from "../definitions/OperationAsResponse";
import { SpacePermissionAssignmentAsResponse } from "../definitions/SpacePermissionAssignmentAsResponse";
import { SpaceLinksAsResponse } from "../definitions/SpaceLinksAsResponse";
export interface SpaceSingleAsResponse {
    /**
     * ID of the space.
     */
    id?: string;
    /**
     * Key of the space.
     */
    key?: string;
    /**
     * Name of the space.
     */
    name?: string;
    type?: SpaceTypeAsResponse;
    status?: SpaceStatusAsResponse;
    /**
     * The account ID of the user who created this space originally.
     */
    authorId?: string;
    /**
     * Date and time when the space was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ".
     */
    createdAt?: string;
    /**
     * ID of the space's homepage.
     */
    homepageId?: string;
    description?: SpaceDescriptionAsResponse;
    icon?: SpaceIconAsResponse;
    labels?: {
        results?: Array<LabelAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    properties?: {
        results?: Array<SpacePropertyAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    operations?: {
        results?: Array<OperationAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    permissions?: {
        results?: Array<SpacePermissionAssignmentAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    _links?: SpaceLinksAsResponse;
}
//# sourceMappingURL=SpaceSingleAsResponse.d.ts.map