/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { TaskBodySingleAsResponse } from "../definitions/TaskBodySingleAsResponse";
export interface TaskAsResponse {
    /**
     * ID of the task.
     */
    id?: string;
    /**
     * Local ID of the task. This ID is local to the corresponding page or blog post.
     */
    localId?: string;
    /**
     * ID of the space the task is in.
     */
    spaceId?: string;
    /**
     * ID of the page the task is in.
     */
    pageId?: string;
    /**
     * ID of the blog post the task is in.
     */
    blogPostId?: string;
    /**
     * Status of the task.
     */
    status?: "complete" | "incomplete";
    body?: TaskBodySingleAsResponse;
    /**
     * Account ID of the user who created this task.
     */
    createdBy?: string;
    /**
     * Account ID of the user to whom this task is assigned.
     */
    assignedTo?: string | null;
    /**
     * Account ID of the user who completed this task.
     */
    completedBy?: string | null;
    /**
     * Date and time when the task was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ".
     */
    createdAt?: string;
    /**
     * Date and time when the task was updated. In format "YYYY-MM-DDTHH:mm:ss.sssZ".
     */
    updatedAt?: string | null;
    /**
     * Date and time when the task is due. In format "YYYY-MM-DDTHH:mm:ss.sssZ".
     */
    dueAt?: string | null;
    /**
     * Date and time when the task was completed. In format "YYYY-MM-DDTHH:mm:ss.sssZ".
     */
    completedAt?: string | null;
}
//# sourceMappingURL=TaskAsResponse.d.ts.map