/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { CommentBodyWrite } from "../definitions/CommentBodyWrite";
import { CommentNestedBodyWrite } from "../definitions/CommentNestedBodyWrite";
export interface UpdateInlineCommentModel {
    version: {
        /**
         * Number of new version. Should be 1 higher than current version of the comment.
         */
        number?: number;
        /**
         * Optional message store for the new version.
         */
        message?: string;
    };
    body: CommentBodyWrite | CommentNestedBodyWrite;
    /**
  * Resolved state of the comment. Set to true to resolve the comment, set to false to reopen it. If
  matching the existing state (i.e. true -> resolved or false -> open/reopened) , no change will occur. A dangling
  comment cannot be updated.
  */
    resolved?: boolean;
}
//# sourceMappingURL=UpdateInlineCommentModel.d.ts.map