/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ContentStatusAsResponse } from "../definitions/ContentStatusAsResponse";
import { ParentContentTypeAsResponse } from "../definitions/ParentContentTypeAsResponse";
import { VersionAsResponse } from "../definitions/VersionAsResponse";
import { WhiteboardLinksAsResponse } from "../definitions/WhiteboardLinksAsResponse";
import { ChildrenResponseAsResponse } from "../definitions/ChildrenResponseAsResponse";
import { OptionalFieldMetaAsResponse } from "../definitions/OptionalFieldMetaAsResponse";
import { OptionalFieldLinksAsResponse } from "../definitions/OptionalFieldLinksAsResponse";
import { OperationAsResponse } from "../definitions/OperationAsResponse";
import { ContentPropertyAsResponse } from "../definitions/ContentPropertyAsResponse";
export interface WhiteboardSingleAsResponse {
    /**
     * ID of the whiteboard.
     */
    id?: string;
    /**
     * The content type of the object.
     */
    type?: string;
    status?: ContentStatusAsResponse;
    /**
     * Title of the whiteboard.
     */
    title?: string;
    /**
     * ID of the parent content, or null if there is no parent content.
     */
    parentId?: string;
    parentType?: ParentContentTypeAsResponse;
    /**
     * Position of the whiteboard within the given parent page tree.
     */
    position?: number;
    /**
     * The account ID of the user who created this whiteboard originally.
     */
    authorId?: string;
    /**
     * The account ID of the user who owns this whiteboard.
     */
    ownerId?: string;
    /**
     * Date and time when the whiteboard was created. In format "YYYY-MM-DDTHH:mm:ss.sssZ".
     */
    createdAt?: string;
    version?: VersionAsResponse;
    _links?: WhiteboardLinksAsResponse;
    collaborators?: Array<{
        accountId?: string;
    }>;
    directChildren?: {
        results?: Array<ChildrenResponseAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    operations?: {
        results?: Array<OperationAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
    properties?: {
        results?: Array<ContentPropertyAsResponse>;
        meta?: OptionalFieldMetaAsResponse;
        _links?: OptionalFieldLinksAsResponse;
    };
}
//# sourceMappingURL=WhiteboardSingleAsResponse.d.ts.map