/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { AncestorAsResponse } from "../definitions/AncestorAsResponse";
import { MultiEntityLinksAsResponse } from "../definitions/MultiEntityLinksAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetAllAncestorsOfPageRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the page.
     */
    id: number | string;
    /**
     * Maximum number of pages per result to return. If more results exist, call this endpoint with the highest ancestor's ID to fetch the next set of results.
     */
    limit?: number;
}
declare type GetAllAncestorsOfPageResponseOKType = {
    results?: Array<AncestorAsResponse>;
    _links?: MultiEntityLinksAsResponse;
};
export interface GetAllAncestorsOfPageResponseOK extends GetAllAncestorsOfPageResponseOKType {
}
export declare type GetAllAncestorsOfPageResponseError = undefined;
export interface GetAllAncestorsOfWhiteboardRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the whiteboard.
     */
    id: number;
    /**
     * Maximum number of items per result to return. If more results exist, call the endpoint with the highest ancestor's ID to fetch the next set of results.
     */
    limit?: number;
}
declare type GetAllAncestorsOfWhiteboardResponseOKType = {
    results?: Array<AncestorAsResponse>;
};
export interface GetAllAncestorsOfWhiteboardResponseOK extends GetAllAncestorsOfWhiteboardResponseOKType {
}
export declare type GetAllAncestorsOfWhiteboardResponseError = undefined;
export interface GetAllAncestorsOfDatabaseRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the database.
     */
    id: number;
    /**
     * Maximum number of items per result to return. If more results exist, call the endpoint with the highest ancestor's ID to fetch the next set of results.
     */
    limit?: number;
}
declare type GetAllAncestorsOfDatabaseResponseOKType = {
    results?: Array<AncestorAsResponse>;
    _links?: MultiEntityLinksAsResponse;
};
export interface GetAllAncestorsOfDatabaseResponseOK extends GetAllAncestorsOfDatabaseResponseOKType {
}
export declare type GetAllAncestorsOfDatabaseResponseError = undefined;
export interface GetAllAncestorsOfSmartLinkRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the Smart Link in the content tree.
     */
    id: number;
    /**
     * Maximum number of items per result to return. If more results exist, call the endpoint with the highest ancestor's ID to fetch the next set of results.
     */
    limit?: number;
}
declare type GetAllAncestorsOfSmartLinkResponseOKType = {
    results?: Array<AncestorAsResponse>;
    _links?: MultiEntityLinksAsResponse;
};
export interface GetAllAncestorsOfSmartLinkResponseOK extends GetAllAncestorsOfSmartLinkResponseOKType {
}
export declare type GetAllAncestorsOfSmartLinkResponseError = undefined;
export interface GetAllAncestorsOfFolderRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the folder.
     */
    id: number;
    /**
     * Maximum number of items per result to return. If more results exist, call the endpoint with the highest ancestor's ID to fetch the next set of results.
     */
    limit?: number;
}
declare type GetAllAncestorsOfFolderResponseOKType = {
    results?: Array<AncestorAsResponse>;
};
export interface GetAllAncestorsOfFolderResponseOK extends GetAllAncestorsOfFolderResponseOKType {
}
export declare type GetAllAncestorsOfFolderResponseError = undefined;
export {};
//# sourceMappingURL=ancestor.d.ts.map