/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { AttachmentSortOrder } from "../../definitions/AttachmentSortOrder";
import { AttachmentBulkAsResponse } from "../../definitions/AttachmentBulkAsResponse";
import { MultiEntityLinksAsResponse } from "../../definitions/MultiEntityLinksAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetAttachmentsForLabelRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the label for which attachments should be returned.
     */
    id: number | string;
    /**
     * Used to sort the result by a particular field.
     */
    sort?: AttachmentSortOrder;
    /**
     * Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results.
     */
    cursor?: string;
    /**
     * Maximum number of pages per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results.
     */
    limit?: number;
}
declare type GetAttachmentsForLabelResponseOKType = {
    results?: Array<AttachmentBulkAsResponse>;
    _links?: MultiEntityLinksAsResponse;
};
export interface GetAttachmentsForLabelResponseOK extends GetAttachmentsForLabelResponseOKType {
}
export declare type GetAttachmentsForLabelResponseError = undefined;
export {};
//# sourceMappingURL=label.d.ts.map