/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { PrimaryBodyRepresentation } from "../../definitions/PrimaryBodyRepresentation";
import { CommentSortOrder } from "../../definitions/CommentSortOrder";
import { CustomContentCommentModelAsResponse } from "../../definitions/CustomContentCommentModelAsResponse";
import { MultiEntityLinksAsResponse } from "../../definitions/MultiEntityLinksAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetCustomContentCommentsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the custom content for which comments should be returned.
     */
    id: number;
    /**
     * The content format type to be returned in the `body` field of the response. If available, the representation will be available under a response field of the same name under the `body` field.
     */
    "body-format"?: PrimaryBodyRepresentation;
    /**
     * Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results.
     */
    cursor?: string;
    /**
     * Maximum number of comments per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results.
     */
    limit?: number;
    /**
     * Used to sort the result by a particular field.
     */
    sort?: CommentSortOrder;
}
declare type GetCustomContentCommentsResponseOKType = {
    results?: Array<CustomContentCommentModelAsResponse>;
    _links?: MultiEntityLinksAsResponse;
};
export interface GetCustomContentCommentsResponseOK extends GetCustomContentCommentsResponseOKType {
}
export declare type GetCustomContentCommentsResponseError = undefined;
export {};
//# sourceMappingURL=customContent.d.ts.map