/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { LabelAsResponse } from "../definitions/LabelAsResponse";
import { MultiEntityLinksAsResponse } from "../definitions/MultiEntityLinksAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetLabelsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Filters on label ID. Multiple IDs can be specified as a comma-separated list.
     */
    "label-id"?: Array<number | string>;
    /**
     * Filters on label prefix. Multiple IDs can be specified as a comma-separated list.
     */
    prefix?: Array<string>;
    /**
     * Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results.
     */
    cursor?: string;
    /**
     * Used to sort the result by a particular field.
     */
    sort?: string;
    /**
     * Maximum number of labels per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results.
     */
    limit?: number;
}
declare type GetLabelsResponseOKType = {
    results?: Array<LabelAsResponse>;
    _links?: MultiEntityLinksAsResponse;
};
export interface GetLabelsResponseOK extends GetLabelsResponseOKType {
}
export declare type GetLabelsResponseError = undefined;
export {};
//# sourceMappingURL=label.d.ts.map