/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { LabelAsResponse } from "../../definitions/LabelAsResponse";
import { MultiEntityLinksAsResponse } from "../../definitions/MultiEntityLinksAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetLabelsForSpaceRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the space for which labels should be returned.
     */
    id: number | string;
    /**
     * Filter the results to labels based on their prefix.
     */
    prefix?: "my" | "team";
    /**
     * Used to sort the result by a particular field.
     */
    sort?: string;
    /**
     * Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results.
     */
    cursor?: string;
    /**
     * Maximum number of labels per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results.
     */
    limit?: number;
}
declare type GetLabelsForSpaceResponseOKType = {
    results?: Array<LabelAsResponse>;
    _links?: MultiEntityLinksAsResponse;
};
export interface GetLabelsForSpaceResponseOK extends GetLabelsForSpaceResponseOKType {
}
export declare type GetLabelsForSpaceResponseError = undefined;
export interface GetLabelsForSpaceContentRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the space for which labels should be returned.
     */
    id: number | string;
    /**
     * Filter the results to labels based on their prefix.
     */
    prefix?: "my" | "team";
    /**
     * Used to sort the result by a particular field.
     */
    sort?: string;
    /**
     * Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results.
     */
    cursor?: string;
    /**
     * Maximum number of labels per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results.
     */
    limit?: number;
}
declare type GetLabelsForSpaceContentResponseOKType = {
    results?: Array<LabelAsResponse>;
    _links?: MultiEntityLinksAsResponse;
};
export interface GetLabelsForSpaceContentResponseOK extends GetLabelsForSpaceContentResponseOKType {
}
export declare type GetLabelsForSpaceContentResponseError = undefined;
export {};
//# sourceMappingURL=space.d.ts.map