/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { LikeAsResponse } from "../../../definitions/LikeAsResponse";
import { MultiEntityLinksAsResponse } from "../../../definitions/MultiEntityLinksAsResponse";
export interface GetLikeCountForInlineCommentRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the inline comment for which like count should be returned.
     */
    id: number | string;
}
declare type GetLikeCountForInlineCommentResponseOKType = {
    /**
     * The count number
     */
    count?: number;
};
export interface GetLikeCountForInlineCommentResponseOK extends GetLikeCountForInlineCommentResponseOKType {
}
export declare type GetLikeCountForInlineCommentResponseError = undefined;
export interface GetAccountIdsOfLikesForInlineCommentRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the inline comment for which like count should be returned.
     */
    id: number | string;
    /**
     * Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results.
     */
    cursor?: string;
    /**
     * Maximum number of account IDs per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results.
     */
    limit?: number;
}
declare type GetAccountIdsOfLikesForInlineCommentResponseOKType = {
    results?: Array<LikeAsResponse>;
    _links?: MultiEntityLinksAsResponse;
};
export interface GetAccountIdsOfLikesForInlineCommentResponseOK extends GetAccountIdsOfLikesForInlineCommentResponseOKType {
}
export declare type GetAccountIdsOfLikesForInlineCommentResponseError = undefined;
export {};
//# sourceMappingURL=inline.d.ts.map