/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { LikeAsResponse } from "../../definitions/LikeAsResponse";
import { MultiEntityLinksAsResponse } from "../../definitions/MultiEntityLinksAsResponse";
export interface GetLikeCountForPageRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the page for which like count should be returned.
     */
    id: number | string;
}
declare type GetLikeCountForPageResponseOKType = {
    /**
     * The count number
     */
    count?: number;
};
export interface GetLikeCountForPageResponseOK extends GetLikeCountForPageResponseOKType {
}
export declare type GetLikeCountForPageResponseError = undefined;
export interface GetAccountIdsOfLikesForPageRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the page for which like count should be returned.
     */
    id: number | string;
    /**
     * Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results.
     */
    cursor?: string;
    /**
     * Maximum number of account IDs per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results.
     */
    limit?: number;
}
declare type GetAccountIdsOfLikesForPageResponseOKType = {
    results?: Array<LikeAsResponse>;
    _links?: MultiEntityLinksAsResponse;
};
export interface GetAccountIdsOfLikesForPageResponseOK extends GetAccountIdsOfLikesForPageResponseOKType {
}
export declare type GetAccountIdsOfLikesForPageResponseError = undefined;
export {};
//# sourceMappingURL=page.d.ts.map