/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { CreateAttachmentRequest } from "../../../definitions/CreateAttachmentRequest";
import { ContentArrayAsResponse } from "../../../definitions/ContentArrayAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { AttachmentPropertiesUpdateBody } from "../../../definitions/AttachmentPropertiesUpdateBody";
import { ContentAsResponse } from "../../../definitions/ContentAsResponse";
export interface CreateOrUpdateContentAttachmentRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content to add the attachment to.
     */
    id: number | string;
    /**
  * The status of the content that the attachment is being added to.
  This should always be set to 'current'.
  */
    status?: "current" | "draft";
    body: CreateAttachmentRequest;
}
declare type CreateOrUpdateContentAttachmentResponseOKType = ContentArrayAsResponse;
export interface CreateOrUpdateContentAttachmentResponseOK extends CreateOrUpdateContentAttachmentResponseOKType {
}
export declare type CreateOrUpdateContentAttachmentResponseError = undefined;
export interface CreateContentAttachmentRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content to add the attachment to.
     */
    id: number | string;
    /**
     * The status of the content that the attachment is being added to.
     */
    status?: "current" | "draft";
    body: CreateAttachmentRequest;
}
declare type CreateContentAttachmentResponseOKType = ContentArrayAsResponse;
export interface CreateContentAttachmentResponseOK extends CreateContentAttachmentResponseOKType {
}
export declare type CreateContentAttachmentResponseError = undefined;
export interface UpdateContentAttachmentPropertiesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content that the attachment is attached to.
     */
    id: number | string;
    /**
     * The ID of the attachment to update.
     */
    attachmentId: string;
    body: AttachmentPropertiesUpdateBody;
}
declare type UpdateContentAttachmentPropertiesResponseOKType = ContentAsResponse;
export interface UpdateContentAttachmentPropertiesResponseOK extends UpdateContentAttachmentPropertiesResponseOKType {
}
export declare type UpdateContentAttachmentPropertiesResponseError = undefined;
export interface UpdateContentAttachmentDataRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content that the attachment is attached to.
     */
    id: number | string;
    /**
     * The ID of the attachment to update.
     */
    attachmentId: string;
    body: CreateAttachmentRequest;
}
declare type UpdateContentAttachmentDataResponseOKType = ContentAsResponse;
export interface UpdateContentAttachmentDataResponseOK extends UpdateContentAttachmentDataResponseOKType {
}
export declare type UpdateContentAttachmentDataResponseError = undefined;
export {};
//# sourceMappingURL=attachment.d.ts.map