/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { LabelCreateArray } from "../../../definitions/LabelCreateArray";
import { LabelCreate } from "../../../definitions/LabelCreate";
import { LabelArrayAsResponse } from "../../../definitions/LabelArrayAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface AddContentLabelRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content that will have labels added to it.
     */
    id: number | string;
    body: LabelCreateArray | LabelCreate;
}
declare type AddContentLabelResponseOKType = LabelArrayAsResponse;
export interface AddContentLabelResponseOK extends AddContentLabelResponseOKType {
}
export declare type AddContentLabelResponseError = undefined;
export interface RemoveContentLabelWithQueryParameterRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content that the label will be removed from.
     */
    id: number | string;
    /**
     * The name of the label to be removed.
     */
    name: string;
}
export declare type RemoveContentLabelWithQueryParameterResponseOK = undefined;
export declare type RemoveContentLabelWithQueryParameterResponseError = undefined;
export interface RemoveContentLabelRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content that the label will be removed from.
     */
    id: number | string;
    /**
     * The name of the label to be removed.
     */
    label: string;
}
export declare type RemoveContentLabelResponseOK = undefined;
export declare type RemoveContentLabelResponseError = undefined;
export {};
//# sourceMappingURL=label.d.ts.map