/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { VersionRestore } from "../../../definitions/VersionRestore";
import { VersionV1AsResponse } from "../../../definitions/VersionV1AsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface RestoreContentVersionRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content for which the history will be restored.
     */
    id: number | string;
    /**
  * A multi-value parameter indicating which properties of the content to expand. By default, the `content`
  object is expanded.
  
  - `collaborators` returns the users that collaborated on the version.
  - `content` returns the content for the version.
  */
    expand?: Array<string>;
    body: VersionRestore;
}
declare type RestoreContentVersionResponseOKType = VersionV1AsResponse;
export interface RestoreContentVersionResponseOK extends RestoreContentVersionResponseOKType {
}
export declare type RestoreContentVersionResponseError = undefined;
export interface DeleteContentVersionRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the content that the version will be deleted from.
     */
    id: number | string;
    /**
  * The number of the version to be deleted. The version number starts
  from 1 up to current version.
  */
    versionNumber: number;
}
export declare type DeleteContentVersionResponseOK = undefined;
export declare type DeleteContentVersionResponseError = undefined;
export {};
//# sourceMappingURL=version.d.ts.map