/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { SpaceCreate } from "../../definitions/SpaceCreate";
import { SpaceV1AsResponse } from "../../definitions/SpaceV1AsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { SpaceUpdate } from "../../definitions/SpaceUpdate";
import { LongTaskAsResponse } from "../../definitions/LongTaskAsResponse";
export interface CreateSpaceRequest extends HeadersOption, ErrorStrategyOption {
    body: SpaceCreate;
}
declare type CreateSpaceResponseOKType = SpaceV1AsResponse;
export interface CreateSpaceResponseOK extends CreateSpaceResponseOKType {
}
export declare type CreateSpaceResponseError = undefined;
export interface UpdateSpaceRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the space to update.
     */
    spaceKey: string;
    body: SpaceUpdate;
}
declare type UpdateSpaceResponseOKType = SpaceV1AsResponse;
export interface UpdateSpaceResponseOK extends UpdateSpaceResponseOKType {
}
export declare type UpdateSpaceResponseError = undefined;
export interface DeleteSpaceRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The key of the space to delete.
     */
    spaceKey: string;
}
declare type DeleteSpaceResponseOKType = LongTaskAsResponse;
export interface DeleteSpaceResponseOK extends DeleteSpaceResponseOKType {
}
export declare type DeleteSpaceResponseError = undefined;
export {};
//# sourceMappingURL=space.d.ts.map