/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { VersionSortOrder } from "../../definitions/VersionSortOrder";
import { AttachmentVersionAsResponse } from "../../definitions/AttachmentVersionAsResponse";
import { MultiEntityLinksAsResponse } from "../../definitions/MultiEntityLinksAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { DetailedVersionAsResponse } from "../../definitions/DetailedVersionAsResponse";
export interface GetAttachmentVersionsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the attachment to be queried for its versions. If you don't know the attachment ID, use Get attachments and filter the results.
     */
    id: string;
    /**
     * Used for pagination, this opaque cursor will be returned in the `next` URL in the `Link` response header. Use the relative URL in the `Link` header to retrieve the `next` set of results.
     */
    cursor?: string;
    /**
     * Maximum number of versions per result to return. If more results exist, use the `Link` header to retrieve a relative URL that will return the next set of results.
     */
    limit?: number;
    /**
     * Used to sort the result by a particular field.
     */
    sort?: VersionSortOrder;
}
declare type GetAttachmentVersionsResponseOKType = {
    results?: Array<AttachmentVersionAsResponse>;
    _links?: MultiEntityLinksAsResponse;
};
export interface GetAttachmentVersionsResponseOK extends GetAttachmentVersionsResponseOKType {
}
export declare type GetAttachmentVersionsResponseError = undefined;
export interface GetVersionDetailsForAttachmentVersionRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The ID of the attachment for which version details should be returned.
     */
    attachmentId: string;
    /**
     * The version number of the attachment to be returned.
     */
    versionNumber: number;
}
declare type GetVersionDetailsForAttachmentVersionResponseOKType = DetailedVersionAsResponse;
export interface GetVersionDetailsForAttachmentVersionResponseOK extends GetVersionDetailsForAttachmentVersionResponseOKType {
}
export declare type GetVersionDetailsForAttachmentVersionResponseError = undefined;
export {};
//# sourceMappingURL=attachment.d.ts.map