/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { GetAttachmentsForBlogPostRequest, GetAttachmentsForBlogPostResponseOK } from "./types/attachment/blogPost";
import { GetAttachmentsForCustomContentRequest, GetAttachmentsForCustomContentResponseOK } from "./types/attachment/customContent";
import { GetAttachmentsForLabelRequest, GetAttachmentsForLabelResponseOK } from "./types/attachment/label";
import { GetAttachmentsForPageRequest, GetAttachmentsForPageResponseOK } from "./types/attachment/page";
import { GetAttachmentsRequest, GetAttachmentsResponseOK } from "./types/attachment";
import { GetAttachmentByIdsRequest, GetAttachmentByIdsResponseOK } from "./types/attachment";
import { DeleteAttachmentRequest, DeleteAttachmentResponseOK } from "./types/attachment";
import { GetAllAncestorsOfPageRequest, GetAllAncestorsOfPageResponseOK } from "./types/ancestor";
import { GetAllAncestorsOfWhiteboardRequest, GetAllAncestorsOfWhiteboardResponseOK } from "./types/ancestor";
import { GetAllAncestorsOfDatabaseRequest, GetAllAncestorsOfDatabaseResponseOK } from "./types/ancestor";
import { GetAllAncestorsOfSmartLinkRequest, GetAllAncestorsOfSmartLinkResponseOK } from "./types/ancestor";
import { GetAllAncestorsOfFolderRequest, GetAllAncestorsOfFolderResponseOK } from "./types/ancestor";
import { GetBlogPostsRequest, GetBlogPostsResponseOK } from "./types/blogPost";
import { CreateBlogPostRequest, CreateBlogPostResponseOK } from "./types/blogPost";
import { GetBlogPostByIdRequest, GetBlogPostByIdResponseOK } from "./types/blogPost";
import { UpdateBlogPostRequest, UpdateBlogPostResponseOK } from "./types/blogPost";
import { DeleteBlogPostRequest, DeleteBlogPostResponseOK } from "./types/blogPost";
import { GetBlogPostsForLabelRequest, GetBlogPostsForLabelResponseOK } from "./types/blogPost";
import { GetBlogPostsInSpaceRequest, GetBlogPostsInSpaceResponseOK } from "./types/blogPost";
import { GetWhiteboardDirectChildrenRequest, GetWhiteboardDirectChildrenResponseOK } from "./types/children";
import { GetDatabaseDirectChildrenRequest, GetDatabaseDirectChildrenResponseOK } from "./types/children";
import { GetSmartLinkDirectChildrenRequest, GetSmartLinkDirectChildrenResponseOK } from "./types/children";
import { GetFolderDirectChildrenRequest, GetFolderDirectChildrenResponseOK } from "./types/children";
import { GetChildPagesRequest, GetChildPagesResponseOK } from "./types/children";
import { GetPageDirectChildrenRequest, GetPageDirectChildrenResponseOK } from "./types/children";
import { GetChildCustomContentRequest, GetChildCustomContentResponseOK } from "./types/children";
import { GetAttachmentCommentsRequest, GetAttachmentCommentsResponseOK } from "./types/comment/attachment";
import { GetCustomContentCommentsRequest, GetCustomContentCommentsResponseOK } from "./types/comment/customContent";
import { GetFooterCommentsForPageRequest, GetFooterCommentsForPageResponseOK } from "./types/comment/footer/page";
import { GetFooterCommentsForBlogPostRequest, GetFooterCommentsForBlogPostResponseOK } from "./types/comment/footer/blogPost";
import { GetFooterCommentsRequest, GetFooterCommentsResponseOK } from "./types/comment/footer";
import { CreateFooterCommentRequest, CreateFooterCommentResponseOK } from "./types/comment/footer";
import { GetFooterCommentByIdRequest, GetFooterCommentByIdResponseOK } from "./types/comment/footer";
import { UpdateFooterCommentRequest, UpdateFooterCommentResponseOK } from "./types/comment/footer";
import { DeleteFooterCommentRequest, DeleteFooterCommentResponseOK } from "./types/comment/footer";
import { GetChildrenFooterCommentsRequest, GetChildrenFooterCommentsResponseOK } from "./types/comment/footer";
import { GetInlineCommentsForPageRequest, GetInlineCommentsForPageResponseOK } from "./types/comment/inline/page";
import { GetInlineCommentsForFooterRequest, GetInlineCommentsForFooterResponseOK } from "./types/comment/inline/blogPost";
import { GetInlineCommentsRequest, GetInlineCommentsResponseOK } from "./types/comment/inline";
import { CreateInlineCommentRequest, CreateInlineCommentResponseOK } from "./types/comment/inline";
import { GetInlineCommentByIdRequest, GetInlineCommentByIdResponseOK } from "./types/comment/inline";
import { UpdateInlineCommentRequest, UpdateInlineCommentResponseOK } from "./types/comment/inline";
import { DeleteInlineCommentRequest, DeleteInlineCommentResponseOK } from "./types/comment/inline";
import { GetChildrenInlineCommentsRequest, GetChildrenInlineCommentsResponseOK } from "./types/comment/inline";
import { GetContentPropertiesForAttachmentRequest, GetContentPropertiesForAttachmentResponseOK } from "./types/content/property/attachment";
import { CreateContentPropertyForAttachmentRequest, CreateContentPropertyForAttachmentResponseOK } from "./types/content/property/attachment";
import { GetContentPropertyForAttachmentByIdRequest, GetContentPropertyForAttachmentByIdResponseOK } from "./types/content/property/attachment";
import { UpdateContentPropertyForAttachmentByIdRequest, UpdateContentPropertyForAttachmentByIdResponseOK } from "./types/content/property/attachment";
import { DeleteContentPropertyForAttachmentByIdRequest, DeleteContentPropertyForAttachmentByIdResponseOK } from "./types/content/property/attachment";
import { GetContentPropertiesForBlogPostRequest, GetContentPropertiesForBlogPostResponseOK } from "./types/content/property/blogPost";
import { CreateContentPropertyForBlogPostRequest, CreateContentPropertyForBlogPostResponseOK } from "./types/content/property/blogPost";
import { GetContentPropertyForBlogPostByIdRequest, GetContentPropertyForBlogPostByIdResponseOK } from "./types/content/property/blogPost";
import { UpdateContentPropertyForBlogPostByIdRequest, UpdateContentPropertyForBlogPostByIdResponseOK } from "./types/content/property/blogPost";
import { DeleteContentPropertyForBlogPostByIdRequest, DeleteContentPropertyForBlogPostByIdResponseOK } from "./types/content/property/blogPost";
import { GetContentPropertiesForCustomContentRequest, GetContentPropertiesForCustomContentResponseOK } from "./types/content/property/customContent";
import { CreateContentPropertyForCustomContentRequest, CreateContentPropertyForCustomContentResponseOK } from "./types/content/property/customContent";
import { GetContentPropertyForCustomContentByIdRequest, GetContentPropertyForCustomContentByIdResponseOK } from "./types/content/property/customContent";
import { UpdateContentPropertyByIdRequest, UpdateContentPropertyByIdResponseOK } from "./types/content/property/customContent";
import { DeleteContentPropertyForCustomContentByIdRequest, DeleteContentPropertyForCustomContentByIdResponseOK } from "./types/content/property/customContent";
import { GetContentPropertiesForPageRequest, GetContentPropertiesForPageResponseOK } from "./types/content/property/page";
import { CreateContentPropertyForPageRequest, CreateContentPropertyForPageResponseOK } from "./types/content/property/page";
import { GetContentPropertyForPageByIdRequest, GetContentPropertyForPageByIdResponseOK } from "./types/content/property/page";
import { UpdateContentPropertyForPageByIdRequest, UpdateContentPropertyForPageByIdResponseOK } from "./types/content/property/page";
import { DeleteContentPropertyForPageByIdRequest, DeleteContentPropertyForPageByIdResponseOK } from "./types/content/property/page";
import { GetContentPropertiesForCommentRequest, GetContentPropertiesForCommentResponseOK } from "./types/content/property/comment";
import { CreateContentPropertyForCommentRequest, CreateContentPropertyForCommentResponseOK } from "./types/content/property/comment";
import { GetContentPropertyForCommentByIdRequest, GetContentPropertyForCommentByIdResponseOK } from "./types/content/property/comment";
import { UpdateContentPropertyForCommentByIdRequest, UpdateContentPropertyForCommentByIdResponseOK } from "./types/content/property/comment";
import { DeleteContentPropertyForCommentByIdRequest, DeleteContentPropertyForCommentByIdResponseOK } from "./types/content/property/comment";
import { GetContentPropertiesForFolderRequest, GetContentPropertiesForFolderResponseOK } from "./types/content/property/folder";
import { CreateContentPropertyForFolderRequest, CreateContentPropertyForFolderResponseOK } from "./types/content/property/folder";
import { GetContentPropertyForFolderByIdRequest, GetContentPropertyForFolderByIdResponseOK } from "./types/content/property/folder";
import { UpdateContentPropertyForFolderByIdRequest, UpdateContentPropertyForFolderByIdResponseOK } from "./types/content/property/folder";
import { DeleteContentPropertyForFolderByIdRequest, DeleteContentPropertyForFolderByIdResponseOK } from "./types/content/property/folder";
import { GetContentPropertiesForWhiteboardRequest, GetContentPropertiesForWhiteboardResponseOK } from "./types/content/property/whiteboard";
import { CreateContentPropertyForWhiteboardRequest, CreateContentPropertyForWhiteboardResponseOK } from "./types/content/property/whiteboard";
import { GetContentPropertyForWhiteboardByIdRequest, GetContentPropertyForWhiteboardByIdResponseOK } from "./types/content/property/whiteboard";
import { UpdateContentPropertyForWhiteboardByIdRequest, UpdateContentPropertyForWhiteboardByIdResponseOK } from "./types/content/property/whiteboard";
import { DeleteContentPropertyForWhiteboardByIdRequest, DeleteContentPropertyForWhiteboardByIdResponseOK } from "./types/content/property/whiteboard";
import { ConvertContentIdsToContentTypeRequest, ConvertContentIdsToContentTypeResponseOK } from "./types/content";
import { GetCustomContentByTypeInBlogPostRequest, GetCustomContentByTypeInBlogPostResponseOK } from "./types/customContent/blogPost";
import { GetCustomContentByTypeInPageRequest, GetCustomContentByTypeInPageResponseOK } from "./types/customContent/page";
import { GetCustomContentByTypeInSpaceRequest, GetCustomContentByTypeInSpaceResponseOK } from "./types/customContent/space";
import { GetCustomContentByTypeRequest, GetCustomContentByTypeResponseOK } from "./types/customContent";
import { CreateCustomContentRequest, CreateCustomContentResponseOK } from "./types/customContent";
import { GetCustomContentByIdRequest, GetCustomContentByIdResponseOK } from "./types/customContent";
import { UpdateCustomContentRequest, UpdateCustomContentResponseOK } from "./types/customContent";
import { DeleteCustomContentRequest, DeleteCustomContentResponseOK } from "./types/customContent";
import { GetLabelsForAttachmentRequest, GetLabelsForAttachmentResponseOK } from "./types/label/attachment";
import { GetLabelsForBlogPostRequest, GetLabelsForBlogPostResponseOK } from "./types/label/blogPost";
import { GetLabelsForCustomContentRequest, GetLabelsForCustomContentResponseOK } from "./types/label/customContent";
import { GetLabelsForPageRequest, GetLabelsForPageResponseOK } from "./types/label/page";
import { GetLabelsForSpaceRequest, GetLabelsForSpaceResponseOK } from "./types/label/space";
import { GetLabelsForSpaceContentRequest, GetLabelsForSpaceContentResponseOK } from "./types/label/space";
import { GetLabelsRequest, GetLabelsResponseOK } from "./types/label";
import { GetLikeCountForBlogPostRequest, GetLikeCountForBlogPostResponseOK } from "./types/like/blogPost";
import { GetAccountIdsOfLikesForBlogPostRequest, GetAccountIdsOfLikesForBlogPostResponseOK } from "./types/like/blogPost";
import { GetLikeCountForPageRequest, GetLikeCountForPageResponseOK } from "./types/like/page";
import { GetAccountIdsOfLikesForPageRequest, GetAccountIdsOfLikesForPageResponseOK } from "./types/like/page";
import { GetLikeCountForFooterCommentRequest, GetLikeCountForFooterCommentResponseOK } from "./types/like/comment/footer";
import { GetAccountIdsOfLikesForFooterCommentRequest, GetAccountIdsOfLikesForFooterCommentResponseOK } from "./types/like/comment/footer";
import { GetLikeCountForInlineCommentRequest, GetLikeCountForInlineCommentResponseOK } from "./types/like/comment/inline";
import { GetAccountIdsOfLikesForInlineCommentRequest, GetAccountIdsOfLikesForInlineCommentResponseOK } from "./types/like/comment/inline";
import { GetPagesForLabelRequest, GetPagesForLabelResponseOK } from "./types/page";
import { GetPagesRequest, GetPagesResponseOK } from "./types/page";
import { CreatePageRequest, CreatePageResponseOK } from "./types/page";
import { GetPageByIdRequest, GetPageByIdResponseOK } from "./types/page";
import { UpdatePageRequest, UpdatePageResponseOK } from "./types/page";
import { DeletePageRequest, DeletePageResponseOK } from "./types/page";
import { GetPagesInSpaceRequest, GetPagesInSpaceResponseOK } from "./types/page";
import { GetSpacePropertiesRequest, GetSpacePropertiesResponseOK } from "./types/space/property";
import { CreateSpacePropertyInSpaceRequest, CreateSpacePropertyInSpaceResponseOK } from "./types/space/property";
import { GetSpacePropertyByIdRequest, GetSpacePropertyByIdResponseOK } from "./types/space/property";
import { UpdateSpacePropertyByIdRequest, UpdateSpacePropertyByIdResponseOK } from "./types/space/property";
import { DeleteSpacePropertyByIdRequest, DeleteSpacePropertyByIdResponseOK } from "./types/space/property";
import { GetSpacesRequest, GetSpacesResponseOK } from "./types/space";
import { GetSpaceByIdRequest, GetSpaceByIdResponseOK } from "./types/space";
import { GetTasksRequest, GetTasksResponseOK } from "./types/task";
import { GetTaskByIdRequest, GetTaskByIdResponseOK } from "./types/task";
import { UpdateTaskRequest, UpdateTaskResponseOK } from "./types/task";
import { GetAttachmentVersionsRequest, GetAttachmentVersionsResponseOK } from "./types/version/attachment";
import { GetVersionDetailsForAttachmentVersionRequest, GetVersionDetailsForAttachmentVersionResponseOK } from "./types/version/attachment";
import { GetBlogPostVersionsRequest, GetBlogPostVersionsResponseOK } from "./types/version/blogPost";
import { GetVersionDetailsForBlogPostVersionRequest, GetVersionDetailsForBlogPostVersionResponseOK } from "./types/version/blogPost";
import { GetPageVersionsRequest, GetPageVersionsResponseOK } from "./types/version/page";
import { GetVersionDetailsForPageVersionRequest, GetVersionDetailsForPageVersionResponseOK } from "./types/version/page";
import { GetCustomContentVersionsRequest, GetCustomContentVersionsResponseOK } from "./types/version/customContent";
import { GetVersionDetailsForCustomContentVersionRequest, GetVersionDetailsForCustomContentVersionResponseOK } from "./types/version/customContent";
import { GetFooterCommentVersionsRequest, GetFooterCommentVersionsResponseOK } from "./types/version/comment/footer";
import { GetVersionDetailsForFooterCommentVersionRequest, GetVersionDetailsForFooterCommentVersionResponseOK } from "./types/version/comment/footer";
import { GetInlineCommentVersionsRequest, GetInlineCommentVersionsResponseOK } from "./types/version/comment/inline";
import { GetVersionDetailsForInlineCommentVersionRequest, GetVersionDetailsForInlineCommentVersionResponseOK } from "./types/version/comment/inline";
import { CreateWhiteboardRequest, CreateWhiteboardResponseOK } from "./types/whiteboard";
import { GetWhiteboardByIdRequest, GetWhiteboardByIdResponseOK } from "./types/whiteboard";
import { DeleteWhiteboardRequest, DeleteWhiteboardResponseOK } from "./types/whiteboard";
import { GetWhiteboardDescendantsRequest, GetWhiteboardDescendantsResponseOK } from "./types/descendant";
import { GetDatabaseDescendantsRequest, GetDatabaseDescendantsResponseOK } from "./types/descendant";
import { GetSmartLinkDescendantsRequest, GetSmartLinkDescendantsResponseOK } from "./types/descendant";
import { GetFolderDescendantsRequest, GetFolderDescendantsResponseOK } from "./types/descendant";
import { GetPageDescendantsRequest, GetPageDescendantsResponseOK } from "./types/descendant";
import { CreateFolderRequest, CreateFolderResponseOK } from "./types/folder";
import { GetFolderByIdRequest, GetFolderByIdResponseOK } from "./types/folder";
import { DeleteFolderRequest, DeleteFolderResponseOK } from "./types/folder";
import { CreateDatabaseRequest, CreateDatabaseResponseOK } from "./types/database";
import { GetDatabaseByIdRequest, GetDatabaseByIdResponseOK } from "./types/database";
import { DeleteDatabaseRequest, DeleteDatabaseResponseOK } from "./types/database";
import { CreateSmartLinkRequest, CreateSmartLinkResponseOK } from "./types/smartLink";
import { GetSmartLinkByIdRequest, GetSmartLinkByIdResponseOK } from "./types/smartLink";
import { DeleteSmartLinkRequest, DeleteSmartLinkResponseOK } from "./types/smartLink";
import { CreateOrUpdateContentAttachmentRequest, CreateOrUpdateContentAttachmentResponseOK } from "./types/v1/content/attachment";
import { CreateContentAttachmentResponseOK, CreateContentAttachmentRequest } from "./types/v1/content/attachment";
import { UpdateContentAttachmentPropertiesRequest, UpdateContentAttachmentPropertiesResponseOK } from "./types/v1/content/attachment";
import { UpdateContentAttachmentDataRequest, UpdateContentAttachmentDataResponseOK } from "./types/v1/content/attachment";
import { GetMacroBodyByIdRequest, GetMacroBodyByIdResponseOK } from "./types/v1/content/body/macro";
import { ConvertContentBodyRequest, ConvertContentBodyResponseOK } from "./types/v1/content/body";
import { AsyncConvertContentBodyRequest, AsyncConvertContentBodyResponseOK } from "./types/v1/content/body";
import { GetAsyncConvertContentBodyResultRequest, GetAsyncConvertContentBodyResultResponseOK } from "./types/v1/content/body";
import { MovePageToNewLocationRelativeToTargetPageRequest, MovePageToNewLocationRelativeToTargetPageResponseOK } from "./types/v1/content/move";
import { GetContentDescendantsRequest, GetContentDescendantsResponseOK } from "./types/v1/content/descendant";
import { GetContentDescendantsByTypeRequest, GetContentDescendantsByTypeResponseOK } from "./types/v1/content/descendant";
import { CopyPageHierarchyRequest, CopyPageHierarchyResponseOK } from "./types/v1/content/copy";
import { CopySinglePageRequest, CopySinglePageResponseOK } from "./types/v1/content/copy";
import { AddContentLabelRequest, AddContentLabelResponseOK } from "./types/v1/content/label";
import { RemoveContentLabelWithQueryParameterRequest, RemoveContentLabelWithQueryParameterResponseOK } from "./types/v1/content/label";
import { RemoveContentLabelRequest, RemoveContentLabelResponseOK } from "./types/v1/content/label";
import { GetContentRestrictionGroupStatusRequest, GetContentRestrictionGroupStatusResponseOK } from "./types/v1/content/restriction/group";
import { AddContentRestrictionGroupRequest, AddContentRestrictionGroupResponseOK } from "./types/v1/content/restriction/group";
import { RemoveContentRestrictionGroupRequest, RemoveContentRestrictionGroupResponseOK } from "./types/v1/content/restriction/group";
import { GetContentRestrictionsRequest, GetContentRestrictionsResponseOK } from "./types/v1/content/restriction";
import { UpdateContentRestrictionsRequest, UpdateContentRestrictionsResponseOK } from "./types/v1/content/restriction";
import { AddContentRestrictionsRequest, AddContentRestrictionsResponseOK } from "./types/v1/content/restriction";
import { DeleteContentRestrictionsRequest, DeleteContentRestrictionsResponseOK } from "./types/v1/content/restriction";
import { GetContentRestrictionsByOperationRequest, GetContentRestrictionsByOperationResponseOK } from "./types/v1/content/restriction";
import { GetContentRestrictionsForOperationRequest, GetContentRestrictionsForOperationResponseOK } from "./types/v1/content/restriction";
import { RestoreContentVersionRequest, RestoreContentVersionResponseOK } from "./types/v1/content/version";
import { DeleteContentVersionRequest, DeleteContentVersionResponseOK } from "./types/v1/content/version";
import { PublishSharedDraftRequest, PublishSharedDraftResponseOK } from "./types/v1/content";
import { PublishLegacyDraftRequest, PublishLegacyDraftResponseOK } from "./types/v1/content";
import { SearchContentByCQLRequest, SearchContentByCQLResponseOK } from "./types/v1/content";
import { GetContentWatcherStatusRequest, GetContentWatcherStatusResponseOK } from "./types/v1/watcher/content";
import { AddContentWatcherRequest, AddContentWatcherResponseOK } from "./types/v1/watcher/content";
import { RemoveContentWatcherRequest, RemoveContentWatcherResponseOK } from "./types/v1/watcher/content";
import { GetLabelWatcherStatusRequest, GetLabelWatcherStatusResponseOK } from "./types/v1/watcher/label";
import { AddLabelWatcherRequest, AddLabelWatcherResponseOK } from "./types/v1/watcher/label";
import { RemoveLabelWatcherRequest, RemoveLabelWatcherResponseOK } from "./types/v1/watcher/label";
import { GetSpaceWatcherStatusRequest, GetSpaceWatcherStatusResponseOK } from "./types/v1/watcher/space";
import { AddSpaceWatcherRequest, AddSpaceWatcherResponseOK } from "./types/v1/watcher/space";
import { RemoveSpaceWatcherRequest, RemoveSpaceWatcherResponseOK } from "./types/v1/watcher/space";
import { GetWatchesForPageRequest, GetWatchesForPageResponseOK } from "./types/v1/watcher";
import { GetWatchesForSpaceRequest, GetWatchesForSpaceResponseOK } from "./types/v1/watcher";
import { GetSpaceWatchersRequest, GetSpaceWatchersResponseOK } from "./types/v1/watcher";
import { AddUserGroupMembersByIdRequest, AddUserGroupMembersByIdResponseOK } from "./types/v1/userGroup/member";
import { RemoveUserGroupMembersByIdRequest, RemoveUserGroupMembersByIdResponseOK } from "./types/v1/userGroup/member";
import { GetUserGroupMembersByIdRequest, GetUserGroupMembersByIdResponseOK } from "./types/v1/userGroup/member";
import { GetUserGroupsRequest, GetUserGroupsResponseOK } from "./types/v1/userGroup";
import { CreateUserGroupRequest, CreateUserGroupResponseOK } from "./types/v1/userGroup";
import { DeleteUserGroupByIdRequest, DeleteUserGroupByIdResponseOK } from "./types/v1/userGroup";
import { GetUserGroupByIdRequest, GetUserGroupByIdResponseOK } from "./types/v1/userGroup";
import { GetLabelInfoRequest, GetLabelInfoResponseOK } from "./types/v1/label";
import { GetLongRunningTasksRequest, GetLongRunningTasksResponseOK } from "./types/v1/longRunningTask";
import { GetLongRunningTaskRequest, GetLongRunningTaskResponseOK } from "./types/v1/longRunningTask";
import { FindTargetEntitiesRelatedToSourceEntityRequest, FindTargetEntitiesRelatedToSourceEntityResponseOK } from "./types/v1/relation";
import { FindRelationshipFromSourceToTargetRequest, FindRelationshipFromSourceToTargetResponseOK } from "./types/v1/relation";
import { CreateRelationshipRequest, CreateRelationshipResponseOK } from "./types/v1/relation";
import { DeleteRelationshipRequest, DeleteRelationshipResponseOK } from "./types/v1/relation";
import { FindSourceEntitiesRelatedToTargetEntityRequest, FindSourceEntitiesRelatedToTargetEntityResponseOK } from "./types/v1/relation";
import { SearchContentRequest, SearchContentResponseOK } from "./types/v1/search";
import { SearchUsersRequest, SearchUsersResponseOK } from "./types/v1/search";
import { GetLookAndFeelSettingsRequest, GetLookAndFeelSettingsResponseOK } from "./types/v1/setting";
import { UpdateLookAndFeelSettingsRequest, UpdateLookAndFeelSettingsResponseOK } from "./types/v1/setting";
import { ResetLookAndFeelSettingsRequest, ResetLookAndFeelSettingsResponseOK } from "./types/v1/setting";
import { GetSystemInfoRequest, GetSystemInfoResponseOK } from "./types/v1/setting";
import { CreatePrivateSpaceRequest, CreatePrivateSpaceResponseOK } from "./types/v1/space/private";
import { GetSpaceSettingsRequest, GetSpaceSettingsResponseOK } from "./types/v1/space/setting";
import { UpdateSpaceSettingsRequest, UpdateSpaceSettingsResponseOK } from "./types/v1/space/setting";
import { CreateSpaceRequest, CreateSpaceResponseOK } from "./types/v1/space";
import { UpdateSpaceRequest, UpdateSpaceResponseOK } from "./types/v1/space";
import { DeleteSpaceRequest, DeleteSpaceResponseOK } from "./types/v1/space";
import { UpdateContentTemplateRequest, UpdateContentTemplateResponseOK } from "./types/v1/template";
import { CreateContentTemplateRequest, CreateContentTemplateResponseOK } from "./types/v1/template";
import { GetBlueprintTemplatesRequest, GetBlueprintTemplatesResponseOK } from "./types/v1/template";
import { GetContentTemplatesRequest, GetContentTemplatesResponseOK } from "./types/v1/template";
import { GetContentTemplateRequest, GetContentTemplateResponseOK } from "./types/v1/template";
import { RemoveTemplateRequest, RemoveTemplateResponseOK } from "./types/v1/template";
import { GetThemesRequest, GetThemesResponseOK } from "./types/v1/theme";
import { GetGlobalThemeRequest, GetGlobalThemeResponseOK } from "./types/v1/theme";
import { GetThemeRequest, GetThemeResponseOK } from "./types/v1/theme";
import { GetSpaceThemeRequest, GetSpaceThemeResponseOK } from "./types/v1/theme";
import { SetSpaceThemeRequest, SetSpaceThemeResponseOK } from "./types/v1/theme";
import { ResetSpaceThemeRequest, ResetSpaceThemeResponseOK } from "./types/v1/theme";
import { GetUserRequest, GetUserResponseOK } from "./types/v1/user";
import { GetAnonymousUserRequest, GetAnonymousUserResponseOK } from "./types/v1/user";
import { GetCurrentUserRequest, GetCurrentUserResponseOK } from "./types/v1/user";
import { GetGroupsWhereUserMemberRequest, GetGroupsWhereUserMemberResponseOK } from "./types/v1/user";
import { GetUsersWithIdsRequest, GetUsersWithIdsResponseOK } from "./types/v1/user";
import { GetUserEmailRequest, GetUserEmailResponseOK } from "./types/v1/user";
import { GetUserEmailsRequest, GetUserEmailsResponseOK } from "./types/v1/user";
import { BaseApiCore, Headers, Response, ErrorStrategyOptionType, PlatformImplementation } from "@managed-api/commons-core";
import { CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyOption } from "./errorStrategy";
import { ErrorStrategyBuilder } from "./builders/errorStrategy";
export interface ConfluenceCloudApiCoreOptions extends ErrorStrategyOption {
}
declare type GetGlobalErrorStrategy = () => ErrorStrategyOptionType<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder> | undefined;
export declare abstract class ConfluenceCloudApiCore extends BaseApiCore {
    private options?;
    Attachment: AttachmentGroup;
    Ancestor: AncestorGroup;
    BlogPost: BlogPostGroup;
    Children: ChildrenGroup;
    Comment: CommentGroup;
    Content: ContentGroup;
    CustomContent: CustomContentGroup;
    Label: LabelGroup;
    Like: LikeGroup;
    Page: PageGroup;
    Space: SpaceGroup;
    Task: TaskGroup;
    Version: VersionGroup;
    Whiteboard: WhiteboardGroup;
    Descendant: DescendantGroup;
    Folder: FolderGroup;
    Database: DatabaseGroup;
    SmartLink: SmartLinkGroup;
    V1: V1Group;
    All: AllGroup;
    constructor(options?: ConfluenceCloudApiCoreOptions | undefined);
    setGlobalErrorStrategy(errorStrategy: ErrorStrategyOptionType<CommonError, AdditionalErrorTypes, ErrorStrategyHandlers, ErrorStrategyBuilder>): void;
    protected buildResponse(url: string, status: number, statusText: string, headers: Headers, body?: string | ArrayBuffer): Response<any>;
    private getGlobalErrorStrategy;
}
declare class AllGroup {
    private Attachment;
    private Ancestor;
    private BlogPost;
    private Children;
    private Comment;
    private Content;
    private CustomContent;
    private Label;
    private Like;
    private Page;
    private Space;
    private Task;
    private Version;
    private Whiteboard;
    private Descendant;
    private Folder;
    private Database;
    private SmartLink;
    private V1;
    constructor(Attachment: AttachmentGroup, Ancestor: AncestorGroup, BlogPost: BlogPostGroup, Children: ChildrenGroup, Comment: CommentGroup, Content: ContentGroup, CustomContent: CustomContentGroup, Label: LabelGroup, Like: LikeGroup, Page: PageGroup, Space: SpaceGroup, Task: TaskGroup, Version: VersionGroup, Whiteboard: WhiteboardGroup, Descendant: DescendantGroup, Folder: FolderGroup, Database: DatabaseGroup, SmartLink: SmartLinkGroup, V1: V1Group);
    /**
  * Returns all attachments. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the container of the attachment.
  * Alternative usage: Attachment.getAttachments
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-attachments-get
  * @param options Request options.
  */
    getAttachments<T = GetAttachmentsResponseOK>(options?: GetAttachmentsRequest): Promise<GetAttachmentsResponseOK | T>;
    /**
  * Returns a specific attachment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the attachment's container.
  * Alternative usage: Attachment.getAttachmentById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-attachments-id-get
  * @param options Request options.
  */
    getAttachmentByIds<T = GetAttachmentByIdsResponseOK>(options: GetAttachmentByIdsRequest): Promise<GetAttachmentByIdsResponseOK | T>;
    /**
  * Delete an attachment by id.
  
  Deleting an attachment moves the attachment to the trash, where it can be restored later. To permanently delete an attachment (or "purge" it),
  the endpoint must be called on a **trashed** attachment with the following param `purge=true`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the container of the attachment.
  Permission to delete attachments in the space.
  Permission to administer the space (if attempting to purge).
  * Alternative usage: Attachment.deleteAttachment
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-attachments-id-delete
  * @param options Request options.
  */
    deleteAttachment<T = DeleteAttachmentResponseOK>(options: DeleteAttachmentRequest): Promise<DeleteAttachmentResponseOK | T>;
    /**
  * Returns the attachments of specific blog post. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the blog post and its corresponding space.
  * Alternative usage: Attachment.BlogPost.getAttachments
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-blogposts-id-attachments-get
  * @param options Request options.
  */
    getAttachmentsForBlogPost<T = GetAttachmentsForBlogPostResponseOK>(options: GetAttachmentsForBlogPostRequest): Promise<GetAttachmentsForBlogPostResponseOK | T>;
    /**
  * Returns the attachments of specific custom content. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the custom content and its corresponding space.
  * Alternative usage: Attachment.CustomContent.getAttachments
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-custom-content-id-attachments-get
  * @param options Request options.
  */
    getAttachmentsForCustomContent<T = GetAttachmentsForCustomContentResponseOK>(options: GetAttachmentsForCustomContentRequest): Promise<GetAttachmentsForCustomContentResponseOK | T>;
    /**
  * Returns the attachments of specified label. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the attachment and its corresponding space.
  * Alternative usage: Attachment.Label.getAttachments
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-labels-id-attachments-get
  * @param options Request options.
  */
    getAttachmentsForLabel<T = GetAttachmentsForLabelResponseOK>(options: GetAttachmentsForLabelRequest): Promise<GetAttachmentsForLabelResponseOK | T>;
    /**
  * Returns the attachments of specific page. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Alternative usage: Attachment.Page.getAttachments
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-pages-id-attachments-get
  * @param options Request options.
  */
    getAttachmentsForPage<T = GetAttachmentsForPageResponseOK>(options: GetAttachmentsForPageRequest): Promise<GetAttachmentsForPageResponseOK | T>;
    /**
  * Returns all ancestors for a given page by ID in top-to-bottom order (that is, the highest ancestor is the first
  item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available by calling this endpoint with the ID of first ancestor in the response payload.
  
  This endpoint returns minimal information about each ancestor. To fetch more details, use a related endpoint, such
  as [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: Ancestor.getAllAncestorsOfPage
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-pages-id-ancestors-get
  * @param options Request options.
  */
    getAllAncestorsOfPage<T = GetAllAncestorsOfPageResponseOK>(options: GetAllAncestorsOfPageRequest): Promise<GetAllAncestorsOfPageResponseOK | T>;
    /**
  * Returns all ancestors for a given whiteboard by ID in top-to-bottom order (that is, the highest ancestor is the first
  item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available by calling this endpoint with the ID of first ancestor in the response payload.
  
  This endpoint returns minimal information about each ancestor. To fetch more details, use a related endpoint, such
  as [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the whiteboard and its corresponding space
  * Alternative usage: Ancestor.getAllAncestorsOfWhiteboard
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-whiteboards-id-ancestors-get
  * @param options Request options.
  */
    getAllAncestorsOfWhiteboard<T = GetAllAncestorsOfWhiteboardResponseOK>(options: GetAllAncestorsOfWhiteboardRequest): Promise<GetAllAncestorsOfWhiteboardResponseOK | T>;
    /**
  * Returns all ancestors for a given database by ID in top-to-bottom order (that is, the highest ancestor is the first
  item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available by calling this endpoint with the ID of first ancestor in the response payload.
  
  This endpoint returns minimal information about each ancestor. To fetch more details, use a related endpoint, such
  as [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the database and its corresponding space
  * Alternative usage: Ancestor.getAllAncestorsOfDatabase
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-databases-id-ancestors-get
  * @param options Request options.
  */
    getAllAncestorsOfDatabase<T = GetAllAncestorsOfDatabaseResponseOK>(options: GetAllAncestorsOfDatabaseRequest): Promise<GetAllAncestorsOfDatabaseResponseOK | T>;
    /**
  * Returns all ancestors for a given Smart Link in the content tree by ID in top-to-bottom order (that is, the highest ancestor is
  the first item in the response payload). The number of results is limited by the `limit` parameter and additional results
  (if available) will be available by calling this endpoint with the ID of first ancestor in the response payload.
  
  This endpoint returns minimal information about each ancestor. To fetch more details, use a related endpoint, such
  as [Get Smart Link in the content tree by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the Smart Link in the content tree and its corresponding space
  * Alternative usage: Ancestor.getAllAncestorsOfSmartLink
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-embeds-id-ancestors-get
  * @param options Request options.
  */
    getAllAncestorsOfSmartLink<T = GetAllAncestorsOfSmartLinkResponseOK>(options: GetAllAncestorsOfSmartLinkRequest): Promise<GetAllAncestorsOfSmartLinkResponseOK | T>;
    /**
  * Returns all ancestors for a given folder by ID in top-to-bottom order (that is, the highest ancestor is
  the first item in the response payload). The number of results is limited by the `limit` parameter and additional results
  (if available) will be available by calling this endpoint with the ID of first ancestor in the response payload.
  
  This endpoint returns minimal information about each ancestor. To fetch more details, use a related endpoint, such
  as [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-folders-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the folder and its corresponding space
  * Alternative usage: Ancestor.getAllAncestorsOfFolder
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-folders-id-ancestors-get
  * @param options Request options.
  */
    getAllAncestorsOfFolder<T = GetAllAncestorsOfFolderResponseOK>(options: GetAllAncestorsOfFolderRequest): Promise<GetAllAncestorsOfFolderResponseOK | T>;
    /**
  * Returns all blog posts. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only blog posts that the user has permission to view will be returned.
  * Alternative usage: BlogPost.getBlogPosts
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-get
  * @param options Request options.
  */
    getBlogPosts<T = GetBlogPostsResponseOK>(options?: GetBlogPostsRequest): Promise<GetBlogPostsResponseOK | T>;
    /**
  * Creates a new blog post in the space specified by the spaceId.
  
  By default this will create the blog post as a non-draft, unless the status is specified as draft.
  If creating a non-draft, the title must not be empty.
  
  Currently only supports the storage representation specified in the body.representation enums below
  * Alternative usage: BlogPost.createBlogPost
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-post
  * @param options Request options.
  */
    createBlogPost<T = CreateBlogPostResponseOK>(options: CreateBlogPostRequest): Promise<CreateBlogPostResponseOK | T>;
    /**
  * Returns a specific blog post.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the blog post and its corresponding space.
  * Alternative usage: BlogPost.getBlogPostById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-id-get
  * @param options Request options.
  */
    getBlogPostById<T = GetBlogPostByIdResponseOK>(options: GetBlogPostByIdRequest): Promise<GetBlogPostByIdResponseOK | T>;
    /**
  * Update a blog post by id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the blog post and its corresponding space. Permission to update blog posts in the space.
  * Alternative usage: BlogPost.updateBlogPost
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-id-put
  * @param options Request options.
  */
    updateBlogPost<T = UpdateBlogPostResponseOK>(options: UpdateBlogPostRequest): Promise<UpdateBlogPostResponseOK | T>;
    /**
  * Delete a blog post by id.
  
  By default this will delete blog posts that are non-drafts. To delete a blog post that is a draft, the endpoint must be called on a
  draft with the following param `draft=true`. Discarded drafts are not sent to the trash and are permanently deleted.
  
  Deleting a blog post that is not a draft moves the blog post to the trash, where it can be restored later.
  To permanently delete a blog post (or "purge" it), the endpoint must be called on a **trashed** blog post with the following param `purge=true`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the blog post and its corresponding space.
  Permission to delete blog posts in the space.
  Permission to administer the space (if attempting to purge).
  * Alternative usage: BlogPost.deleteBlogPost
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-id-delete
  * @param options Request options.
  */
    deleteBlogPost<T = DeleteBlogPostResponseOK>(options: DeleteBlogPostRequest): Promise<DeleteBlogPostResponseOK | T>;
    /**
  * Returns the blogposts of specified label. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Alternative usage: BlogPost.getBlogPostsForLabel
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-labels-id-blogposts-get
  * @param options Request options.
  */
    getBlogPostsForLabel<T = GetBlogPostsForLabelResponseOK>(options: GetBlogPostsForLabelRequest): Promise<GetBlogPostsForLabelResponseOK | T>;
    /**
  * Returns all blog posts in a space. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission) and view the space.
  Only blog posts that the user has permission to view will be returned.
  * Alternative usage: BlogPost.getBlogPostsInSpace
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-spaces-id-blogposts-get
  * @param options Request options.
  */
    getBlogPostsInSpace<T = GetBlogPostsInSpaceResponseOK>(options: GetBlogPostsInSpaceRequest): Promise<GetBlogPostsInSpaceResponseOK | T>;
    /**
  * Returns all children for given whiteboard id in the content tree. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each child. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only content that the user has permission to view will be returned.
  * Alternative usage: Children.getWhiteboardDirectChildren
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-whiteboards-id-direct-children-get
  * @param options Request options.
  */
    getWhiteboardDirectChildren<T = GetWhiteboardDirectChildrenResponseOK>(options: GetWhiteboardDirectChildrenRequest): Promise<GetWhiteboardDirectChildrenResponseOK | T>;
    /**
  * Returns all children for given database id in the content tree. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each child. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only content that the user has permission to view will be returned.
  * Alternative usage: Children.getDatabaseDirectChildren
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-databases-id-direct-children-get
  * @param options Request options.
  */
    getDatabaseDirectChildren<T = GetDatabaseDirectChildrenResponseOK>(options: GetDatabaseDirectChildrenRequest): Promise<GetDatabaseDirectChildrenResponseOK | T>;
    /**
  * Returns all children for given smart link id in the content tree. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each child. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only content that the user has permission to view will be returned.
  * Alternative usage: Children.getSmartLinkDirectChildren
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-embeds-id-direct-children-get
  * @param options Request options.
  */
    getSmartLinkDirectChildren<T = GetSmartLinkDirectChildrenResponseOK>(options: GetSmartLinkDirectChildrenRequest): Promise<GetSmartLinkDirectChildrenResponseOK | T>;
    /**
  * Returns all children for given folder id in the content tree. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each child. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only content that the user has permission to view will be returned.
  * Alternative usage: Children.getFolderDirectChildren
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-folders-id-direct-children-get
  * @param options Request options.
  */
    getFolderDirectChildren<T = GetFolderDirectChildrenResponseOK>(options: GetFolderDirectChildrenRequest): Promise<GetFolderDirectChildrenResponseOK | T>;
    /**
  * Returns all child pages for given page id. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only pages that the user has permission to view will be returned.
  * Alternative usage: Children.getChildPages
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-pages-id-children-get
  * @param options Request options.
  * @deprecated
  */
    getChildPages<T = GetChildPagesResponseOK>(options: GetChildPagesRequest): Promise<GetChildPagesResponseOK | T>;
    /**
  * Returns all children for given page id in the content tree. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each child. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only content that the user has permission to view will be returned.
  * Alternative usage: Children.getPageDirectChildren
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-pages-id-direct-children-get
  * @param options Request options.
  */
    getPageDirectChildren<T = GetPageDirectChildrenResponseOK>(options: GetPageDirectChildrenRequest): Promise<GetPageDirectChildrenResponseOK | T>;
    /**
  * Returns all child custom content for given custom content id. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only custom content that the user has permission to view will be returned.
  * Alternative usage: Children.getChildCustomContent
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-custom-content-id-children-get
  * @param options Request options.
  */
    getChildCustomContent<T = GetChildCustomContentResponseOK>(options: GetChildCustomContentRequest): Promise<GetChildCustomContentResponseOK | T>;
    /**
  * Returns the comments of the specific attachment.
  The number of results is limited by the `limit` parameter and additional results (if available) will be available through
  the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the attachment and its corresponding containers.
  * Alternative usage: Comment.Attachment.getComments
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-attachments-id-footer-comments-get
  * @param options Request options.
  */
    getAttachmentComments<T = GetAttachmentCommentsResponseOK>(options: GetAttachmentCommentsRequest): Promise<GetAttachmentCommentsResponseOK | T>;
    /**
  * Returns the comments of the specific custom content.
  The number of results is limited by the `limit` parameter and additional results (if available) will be available through
  the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content and its corresponding containers.
  * Alternative usage: Comment.CustomContent.getComments
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-custom-content-id-footer-comments-get
  * @param options Request options.
  */
    getCustomContentComments<T = GetCustomContentCommentsResponseOK>(options: GetCustomContentCommentsRequest): Promise<GetCustomContentCommentsResponseOK | T>;
    /**
  * Returns all footer comments. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the container and its corresponding space.
  * Alternative usage: Comment.Footer.getComments
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-get
  * @param options Request options.
  */
    getFooterComments<T = GetFooterCommentsResponseOK>(options?: GetFooterCommentsRequest): Promise<GetFooterCommentsResponseOK | T>;
    /**
  * Create a footer comment.
  
  The footer comment can be made against several locations:
  - at the top level (specifying pageId or blogPostId in the request body)
  - as a reply (specifying parentCommentId in the request body)
  - against an attachment (note: this is different than the comments added via the attachment properties page on the UI, which are referred to as version comments)
  - against a custom content
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space. Permission to create comments in the space.
  * Alternative usage: Comment.Footer.createComment
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-post
  * @param options Request options.
  */
    createFooterComment<T = CreateFooterCommentResponseOK>(options: CreateFooterCommentRequest): Promise<CreateFooterCommentResponseOK | T>;
    /**
  * Retrieves a footer comment by id
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the container and its corresponding space.
  * Alternative usage: Comment.Footer.getCommentById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-comment-id-get
  * @param options Request options.
  */
    getFooterCommentById<T = GetFooterCommentByIdResponseOK>(options: GetFooterCommentByIdRequest): Promise<GetFooterCommentByIdResponseOK | T>;
    /**
  * Update a footer comment. This can be used to update the body text of a comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space. Permission to create comments in the space.
  * Alternative usage: Comment.Footer.updateComment
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-comment-id-put
  * @param options Request options.
  */
    updateFooterComment<T = UpdateFooterCommentResponseOK>(options: UpdateFooterCommentRequest): Promise<UpdateFooterCommentResponseOK | T>;
    /**
  * Deletes a footer comment. This is a permanent deletion and cannot be reverted.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space. Permission to delete comments in the space.
  * Alternative usage: Comment.Footer.deleteComment
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-comment-id-delete
  * @param options Request options.
  */
    deleteFooterComment<T = DeleteFooterCommentResponseOK>(options: DeleteFooterCommentRequest): Promise<DeleteFooterCommentResponseOK | T>;
    /**
  * Returns the children footer comments of specific comment. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Alternative usage: Comment.Footer.getChildrenComments
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-id-children-get
  * @param options Request options.
  */
    getChildrenFooterComments<T = GetChildrenFooterCommentsResponseOK>(options: GetChildrenFooterCommentsRequest): Promise<GetChildrenFooterCommentsResponseOK | T>;
    /**
  * Returns the root footer comments of specific page. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Alternative usage: Comment.Footer.Page.getComments
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-pages-id-footer-comments-get
  * @param options Request options.
  */
    getFooterCommentsForPage<T = GetFooterCommentsForPageResponseOK>(options: GetFooterCommentsForPageRequest): Promise<GetFooterCommentsForPageResponseOK | T>;
    /**
  * Returns the root footer comments of specific blog post. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the blog post and its corresponding space.
  * Alternative usage: Comment.Footer.BlogPost.getComments
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-blogposts-id-footer-comments-get
  * @param options Request options.
  */
    getFooterCommentsForBlogPost<T = GetFooterCommentsForBlogPostResponseOK>(options: GetFooterCommentsForBlogPostRequest): Promise<GetFooterCommentsForBlogPostResponseOK | T>;
    /**
  * Returns all inline comments. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Alternative usage: Comment.Inline.getComments
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-get
  * @param options Request options.
  */
    getInlineComments<T = GetInlineCommentsResponseOK>(options?: GetInlineCommentsRequest): Promise<GetInlineCommentsResponseOK | T>;
    /**
  * Create an inline comment. This can be at the top level (specifying pageId or blogPostId in the request body)
  or as a reply (specifying parentCommentId in the request body). Note the inlineCommentProperties object in the
  request body is used to select the text the inline comment should be tied to. This is what determines the text
  highlighting when viewing a page in Confluence.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space. Permission to create comments in the space.
  * Alternative usage: Comment.Inline.createComment
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-post
  * @param options Request options.
  */
    createInlineComment<T = CreateInlineCommentResponseOK>(options: CreateInlineCommentRequest): Promise<CreateInlineCommentResponseOK | T>;
    /**
  * Retrieves an inline comment by id
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space.
  * Alternative usage: Comment.Inline.getCommentById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-comment-id-get
  * @param options Request options.
  */
    getInlineCommentById<T = GetInlineCommentByIdResponseOK>(options: GetInlineCommentByIdRequest): Promise<GetInlineCommentByIdResponseOK | T>;
    /**
  * Update an inline comment. This can be used to update the body text of a comment and/or to resolve the comment
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space. Permission to create comments in the space.
  * Alternative usage: Comment.Inline.updateComment
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-comment-id-put
  * @param options Request options.
  */
    updateInlineComment<T = UpdateInlineCommentResponseOK>(options: UpdateInlineCommentRequest): Promise<UpdateInlineCommentResponseOK | T>;
    /**
  * Deletes an inline comment. This is a permanent deletion and cannot be reverted.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space. Permission to delete comments in the space.
  * Alternative usage: Comment.Inline.deleteComment
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-comment-id-delete
  * @param options Request options.
  */
    deleteInlineComment<T = DeleteInlineCommentResponseOK>(options: DeleteInlineCommentRequest): Promise<DeleteInlineCommentResponseOK | T>;
    /**
  * Returns the children inline comments of specific comment. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Alternative usage: Comment.Inline.getChildrenComments
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-id-children-get
  * @param options Request options.
  */
    getChildrenInlineComments<T = GetChildrenInlineCommentsResponseOK>(options: GetChildrenInlineCommentsRequest): Promise<GetChildrenInlineCommentsResponseOK | T>;
    /**
  * Returns the root inline comments of specific page. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Alternative usage: Comment.Inline.Page.getComments
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-pages-id-inline-comments-get
  * @param options Request options.
  */
    getInlineCommentsForPage<T = GetInlineCommentsForPageResponseOK>(options: GetInlineCommentsForPageRequest): Promise<GetInlineCommentsForPageResponseOK | T>;
    /**
  * Returns the root inline comments of specific blog post. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the blog post and its corresponding space.
  * Alternative usage: Comment.Inline.BlogPost.getComments
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-blogposts-id-inline-comments-get
  * @param options Request options.
  */
    getInlineCommentsForFooter<T = GetInlineCommentsForFooterResponseOK>(options: GetInlineCommentsForFooterRequest): Promise<GetInlineCommentsForFooterResponseOK | T>;
    /**
  * Converts a list of content ids into their associated content types. This is useful for users migrating from v1 to v2
  who may have stored just content ids without their associated type. This will return types as they should be used in v2.
  Notably, this will return `inline-comment` for inline comments and `footer-comment` for footer comments, which is distinct from them
  both being represented by `comment` in v1.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the requested content. Any content that the user does not have permission to view or does not exist will map to `null` in the response.
  * Alternative usage: Content.convertIdsToTypes
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content/#api-group-content
  * @param options Request options.
  */
    convertContentIdsToContentType<T = ConvertContentIdsToContentTypeResponseOK>(options: ConvertContentIdsToContentTypeRequest): Promise<ConvertContentIdsToContentTypeResponseOK | T>;
    /**
  * Retrieves all Content Properties tied to a specified attachment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the attachment.
  * Alternative usage: Content.Property.Attachment.getContentProperties
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-get
  * @param options Request options.
  */
    getContentPropertiesForAttachment<T = GetContentPropertiesForAttachmentResponseOK>(options: GetContentPropertiesForAttachmentRequest): Promise<GetContentPropertiesForAttachmentResponseOK | T>;
    /**
  * Creates a new content property for an attachment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the attachment.
  * Alternative usage: Content.Property.Attachment.createContentProperty
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-post
  * @param options Request options.
  */
    createContentPropertyForAttachment<T = CreateContentPropertyForAttachmentResponseOK>(options: CreateContentPropertyForAttachmentRequest): Promise<CreateContentPropertyForAttachmentResponseOK | T>;
    /**
  * Retrieves a specific Content Property by ID that is attached to a specified attachment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the attachment.
  * Alternative usage: Content.Property.Attachment.getContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-property-id-get
  * @param options Request options.
  */
    getContentPropertyForAttachmentById<T = GetContentPropertyForAttachmentByIdResponseOK>(options: GetContentPropertyForAttachmentByIdRequest): Promise<GetContentPropertyForAttachmentByIdResponseOK | T>;
    /**
  * Update a content property for attachment by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the attachment.
  * Alternative usage: Content.Property.Attachment.updateContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-property-id-put
  * @param options Request options.
  */
    updateContentPropertyForAttachmentById<T = UpdateContentPropertyForAttachmentByIdResponseOK>(options: UpdateContentPropertyForAttachmentByIdRequest): Promise<UpdateContentPropertyForAttachmentByIdResponseOK | T>;
    /**
  * Deletes a content property for an attachment by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to attachment the page.
  * Alternative usage: Content.Property.Attachment.deleteContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-property-id-delete
  * @param options Request options.
  */
    deleteContentPropertyForAttachmentById<T = DeleteContentPropertyForAttachmentByIdResponseOK>(options: DeleteContentPropertyForAttachmentByIdRequest): Promise<DeleteContentPropertyForAttachmentByIdResponseOK | T>;
    /**
  * Retrieves all Content Properties tied to a specified blog post.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the blog post.
  * Alternative usage: Content.Property.BlogPost.getContentProperties
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-get
  * @param options Request options.
  */
    getContentPropertiesForBlogPost<T = GetContentPropertiesForBlogPostResponseOK>(options: GetContentPropertiesForBlogPostRequest): Promise<GetContentPropertiesForBlogPostResponseOK | T>;
    /**
  * Creates a new property for a blogpost.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the blog post.
  * Alternative usage: Content.Property.BlogPost.createContentProperty
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-post
  * @param options Request options.
  */
    createContentPropertyForBlogPost<T = CreateContentPropertyForBlogPostResponseOK>(options: CreateContentPropertyForBlogPostRequest): Promise<CreateContentPropertyForBlogPostResponseOK | T>;
    /**
  * Retrieves a specific Content Property by ID that is attached to a specified blog post.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the blog post.
  * Alternative usage: Content.Property.BlogPost.getContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-property-id-get
  * @param options Request options.
  */
    getContentPropertyForBlogPostById<T = GetContentPropertyForBlogPostByIdResponseOK>(options: GetContentPropertyForBlogPostByIdRequest): Promise<GetContentPropertyForBlogPostByIdResponseOK | T>;
    /**
  * Update a content property for blog post by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the blog post.
  * Alternative usage: Content.Property.BlogPost.updateContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-property-id-put
  * @param options Request options.
  */
    updateContentPropertyForBlogPostById<T = UpdateContentPropertyForBlogPostByIdResponseOK>(options: UpdateContentPropertyForBlogPostByIdRequest): Promise<UpdateContentPropertyForBlogPostByIdResponseOK | T>;
    /**
  * Deletes a content property for a blogpost by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the blog post.
  * Alternative usage: Content.Property.BlogPost.deleteContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-property-id-delete
  * @param options Request options.
  */
    deleteContentPropertyForBlogPostById<T = DeleteContentPropertyForBlogPostByIdResponseOK>(options: DeleteContentPropertyForBlogPostByIdRequest): Promise<DeleteContentPropertyForBlogPostByIdResponseOK | T>;
    /**
  * Retrieves Content Properties tied to a specified custom content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content.
  * Alternative usage: Content.Property.CustomContent.getContentProperties
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-get
  * @param options Request options.
  */
    getContentPropertiesForCustomContent<T = GetContentPropertiesForCustomContentResponseOK>(options: GetContentPropertiesForCustomContentRequest): Promise<GetContentPropertiesForCustomContentResponseOK | T>;
    /**
  * Creates a new content property for a piece of custom content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the custom content.
  * Alternative usage: Content.Property.CustomContent.createContentProperty
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-post
  * @param options Request options.
  */
    createContentPropertyForCustomContent<T = CreateContentPropertyForCustomContentResponseOK>(options: CreateContentPropertyForCustomContentRequest): Promise<CreateContentPropertyForCustomContentResponseOK | T>;
    /**
  * Retrieves a specific Content Property by ID that is attached to a specified custom content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page.
  * Alternative usage: Content.Property.CustomContent.getContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-property-id-get
  * @param options Request options.
  */
    getContentPropertyForCustomContentById<T = GetContentPropertyForCustomContentByIdResponseOK>(options: GetContentPropertyForCustomContentByIdRequest): Promise<GetContentPropertyForCustomContentByIdResponseOK | T>;
    /**
  * Update a content property for a piece of custom content by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the custom content.
  * Alternative usage: Content.Property.CustomContent.updateContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-property-id-put
  * @param options Request options.
  */
    updateContentPropertyById<T = UpdateContentPropertyByIdResponseOK>(options: UpdateContentPropertyByIdRequest): Promise<UpdateContentPropertyByIdResponseOK | T>;
    /**
  * Deletes a content property for a piece of custom content by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the custom content.
  * Alternative usage: Content.Property.CustomContent.deleteContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-property-id-delete
  * @param options Request options.
  */
    deleteContentPropertyForCustomContentById<T = DeleteContentPropertyForCustomContentByIdResponseOK>(options: DeleteContentPropertyForCustomContentByIdRequest): Promise<DeleteContentPropertyForCustomContentByIdResponseOK | T>;
    /**
  * Retrieves Content Properties tied to a specified page.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page.
  * Alternative usage: Content.Property.Page.getContentProperties
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-get
  * @param options Request options.
  */
    getContentPropertiesForPage<T = GetContentPropertiesForPageResponseOK>(options: GetContentPropertiesForPageRequest): Promise<GetContentPropertiesForPageResponseOK | T>;
    /**
  * Creates a new content property for a page.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the page.
  * Alternative usage: Content.Property.Page.createContentProperty
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-post
  * @param options Request options.
  */
    createContentPropertyForPage<T = CreateContentPropertyForPageResponseOK>(options: CreateContentPropertyForPageRequest): Promise<CreateContentPropertyForPageResponseOK | T>;
    /**
  * Retrieves a specific Content Property by ID that is attached to a specified page.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page.
  * Alternative usage: Content.Property.Page.getContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-property-id-get
  * @param options Request options.
  */
    getContentPropertyForPageById<T = GetContentPropertyForPageByIdResponseOK>(options: GetContentPropertyForPageByIdRequest): Promise<GetContentPropertyForPageByIdResponseOK | T>;
    /**
  * Update a content property for a page by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the page.
  * Alternative usage: Content.Property.Page.updateContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-property-id-put
  * @param options Request options.
  */
    updateContentPropertyForPageById<T = UpdateContentPropertyForPageByIdResponseOK>(options: UpdateContentPropertyForPageByIdRequest): Promise<UpdateContentPropertyForPageByIdResponseOK | T>;
    /**
  * Deletes a content property for a page by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the page.
  * Alternative usage: Content.Property.Page.deleteContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-property-id-delete
  * @param options Request options.
  */
    deleteContentPropertyForPageById<T = DeleteContentPropertyForPageByIdResponseOK>(options: DeleteContentPropertyForPageByIdRequest): Promise<DeleteContentPropertyForPageByIdResponseOK | T>;
    /**
  * Retrieves Content Properties attached to a specified comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the comment.
  * Alternative usage: Content.Property.Comment.getContentProperties
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-get
  * @param options Request options.
  */
    getContentPropertiesForComment<T = GetContentPropertiesForCommentResponseOK>(options: GetContentPropertiesForCommentRequest): Promise<GetContentPropertiesForCommentResponseOK | T>;
    /**
  * Creates a new content property for a comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the comment.
  * Alternative usage: Content.Property.Comment.createContentProperty
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-post
  * @param options Request options.
  */
    createContentPropertyForComment<T = CreateContentPropertyForCommentResponseOK>(options: CreateContentPropertyForCommentRequest): Promise<CreateContentPropertyForCommentResponseOK | T>;
    /**
  * Retrieves a specific Content Property by ID that is attached to a specified comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the comment.
  * Alternative usage: Content.Property.Comment.getContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-property-id-get
  * @param options Request options.
  */
    getContentPropertyForCommentById<T = GetContentPropertyForCommentByIdResponseOK>(options: GetContentPropertyForCommentByIdRequest): Promise<GetContentPropertyForCommentByIdResponseOK | T>;
    /**
  * Update a content property for a comment by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the comment.
  * Alternative usage: Content.Property.Comment.updateContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-property-id-put
  * @param options Request options.
  */
    updateContentPropertyForCommentById<T = UpdateContentPropertyForCommentByIdResponseOK>(options: UpdateContentPropertyForCommentByIdRequest): Promise<UpdateContentPropertyForCommentByIdResponseOK | T>;
    /**
  * Deletes a content property for a comment by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the comment.
  * Alternative usage: Content.Property.Comment.deleteContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-property-id-delete
  * @param options Request options.
  */
    deleteContentPropertyForCommentById<T = DeleteContentPropertyForCommentByIdResponseOK>(options: DeleteContentPropertyForCommentByIdRequest): Promise<DeleteContentPropertyForCommentByIdResponseOK | T>;
    /**
  * Retrieves Content Properties tied to a specified folder.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the folder.
  * Alternative usage: Content.Property.Folder.getContentProperties
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-id-properties-get
  * @param options Request options.
  */
    getContentPropertiesForFolder<T = GetContentPropertiesForFolderResponseOK>(options: GetContentPropertiesForFolderRequest): Promise<GetContentPropertiesForFolderResponseOK | T>;
    /**
  * Creates a new content property for a folder.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the folder.
  * Alternative usage: Content.Property.Folder.createContentProperty
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-id-properties-post
  * @param options Request options.
  */
    createContentPropertyForFolder<T = CreateContentPropertyForFolderResponseOK>(options: CreateContentPropertyForFolderRequest): Promise<CreateContentPropertyForFolderResponseOK | T>;
    /**
  * Retrieves a specific Content Property by ID that is attached to a specified folder.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the folder.
  * Alternative usage: Content.Property.Folder.getContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-folder-id-properties-property-id-get
  * @param options Request options.
  */
    getContentPropertyForFolderById<T = GetContentPropertyForFolderByIdResponseOK>(options: GetContentPropertyForFolderByIdRequest): Promise<GetContentPropertyForFolderByIdResponseOK | T>;
    /**
  * Update a content property for a folder by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the folder.
  * Alternative usage: Content.Property.Folder.updateContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-folder-id-properties-property-id-put
  * @param options Request options.
  */
    updateContentPropertyForFolderById<T = UpdateContentPropertyForFolderByIdResponseOK>(options: UpdateContentPropertyForFolderByIdRequest): Promise<UpdateContentPropertyForFolderByIdResponseOK | T>;
    /**
  * Deletes a content property for a folder by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the folder.
  * Alternative usage: Content.Property.Folder.deleteContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-folder-id-properties-property-id-delete
  * @param options Request options.
  */
    deleteContentPropertyForFolderById<T = DeleteContentPropertyForFolderByIdResponseOK>(options: DeleteContentPropertyForFolderByIdRequest): Promise<DeleteContentPropertyForFolderByIdResponseOK | T>;
    /**
  * Retrieves Content Properties tied to a specified whiteboard.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the whiteboard.
  * Alternative usage: Content.Property.Whiteboard.getContentProperties
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-id-properties-get
  * @param options Request options.
  */
    getContentPropertiesForWhiteboard<T = GetContentPropertiesForWhiteboardResponseOK>(options: GetContentPropertiesForWhiteboardRequest): Promise<GetContentPropertiesForWhiteboardResponseOK | T>;
    /**
  * Creates a new content property for a whiteboard.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the whiteboard.
  * Alternative usage: Content.Property.Whiteboard.createContentProperty
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-id-properties-post
  * @param options Request options.
  */
    createContentPropertyForWhiteboard<T = CreateContentPropertyForWhiteboardResponseOK>(options: CreateContentPropertyForWhiteboardRequest): Promise<CreateContentPropertyForWhiteboardResponseOK | T>;
    /**
  * Retrieves a specific Content Property by ID that is attached to a specified whiteboard.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the whiteboard.
  * Alternative usage: Content.Property.Whiteboard.getContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-whiteboard-id-properties-property-id-get
  * @param options Request options.
  */
    getContentPropertyForWhiteboardById<T = GetContentPropertyForWhiteboardByIdResponseOK>(options: GetContentPropertyForWhiteboardByIdRequest): Promise<GetContentPropertyForWhiteboardByIdResponseOK | T>;
    /**
  * Update a content property for a whiteboard by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the whiteboard.
  * Alternative usage: Content.Property.Whiteboard.updateContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-whiteboard-id-properties-property-id-put
  * @param options Request options.
  */
    updateContentPropertyForWhiteboardById<T = UpdateContentPropertyForWhiteboardByIdResponseOK>(options: UpdateContentPropertyForWhiteboardByIdRequest): Promise<UpdateContentPropertyForWhiteboardByIdResponseOK | T>;
    /**
  * Deletes a content property for a whiteboard by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the whiteboard.
  * Alternative usage: Content.Property.Whiteboard.deleteContentPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-whiteboard-id-properties-property-id-delete
  * @param options Request options.
  */
    deleteContentPropertyForWhiteboardById<T = DeleteContentPropertyForWhiteboardByIdResponseOK>(options: DeleteContentPropertyForWhiteboardByIdRequest): Promise<DeleteContentPropertyForWhiteboardByIdResponseOK | T>;
    /**
  * Returns all custom content for a given type. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content, the container of the custom content, and the corresponding space (if different from the container).
  * Alternative usage: CustomContent.getCustomContentByType
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-blogposts-id-custom-content-get
  * @param options Request options.
  */
    getCustomContentByType<T = GetCustomContentByTypeResponseOK>(options: GetCustomContentByTypeRequest): Promise<GetCustomContentByTypeResponseOK | T>;
    /**
  * Creates a new custom content in the given space, page, blogpost or other custom content.
  
  Only one of `spaceId`, `pageId`, `blogPostId`, or `customContentId` is required in the request body.
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space. Permission to create custom content in the space.
  * Alternative usage: CustomContent.createCustomContent
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-custom-content-post
  * @param options Request options.
  */
    createCustomContent<T = CreateCustomContentResponseOK>(options: CreateCustomContentRequest): Promise<CreateCustomContentResponseOK | T>;
    /**
  * Returns a specific piece of custom content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content, the container of the custom content, and the corresponding space (if different from the container).
  * Alternative usage: CustomContent.getCustomContentById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-custom-content-id-get
  * @param options Request options.
  */
    getCustomContentById<T = GetCustomContentByIdResponseOK>(options: GetCustomContentByIdRequest): Promise<GetCustomContentByIdResponseOK | T>;
    /**
  * Update a custom content by id.
  At most one of `spaceId`, `pageId`, `blogPostId`, or `customContentId` is allowed in the request body.
  Note that if `spaceId` is specified, it must be the same as the `spaceId` used for creating the custom content
  as moving custom content to a different space is not supported.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space. Permission to update custom content in the space.
  * Alternative usage: CustomContent.updateCustomContent
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-custom-content-id-put
  * @param options Request options.
  */
    updateCustomContent<T = UpdateCustomContentResponseOK>(options: UpdateCustomContentRequest): Promise<UpdateCustomContentResponseOK | T>;
    /**
  * Delete a custom content by id.
  
  Deleting a custom content will either move it to the trash or permanently delete it (purge it), depending on the apiSupport.
  To permanently delete a **trashed** custom content, the endpoint must be called with the following param `purge=true`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space.
  Permission to delete custom content in the space.
  Permission to administer the space (if attempting to purge).
  * Alternative usage: CustomContent.deleteCustomContent
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-custom-content-id-delete
  * @param options Request options.
  */
    deleteCustomContent<T = DeleteCustomContentResponseOK>(options: DeleteCustomContentRequest): Promise<DeleteCustomContentResponseOK | T>;
    /**
  * Returns all custom content for a given type within a given blogpost. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content, the container of the custom content (blog post), and the corresponding space.
  * Alternative usage: CustomContent.BlogPost.getCustomContentByType
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-blogposts-id-custom-content-get
  * @param options Request options.
  */
    getCustomContentByTypeInBlogPost<T = GetCustomContentByTypeInBlogPostResponseOK>(options: GetCustomContentByTypeInBlogPostRequest): Promise<GetCustomContentByTypeInBlogPostResponseOK | T>;
    /**
  * Returns all custom content for a given type within a given page. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content, the container of the custom content (page), and the corresponding space.
  * Alternative usage: CustomContent.Page.getCustomContentByType
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-pages-id-custom-content-get
  * @param options Request options.
  */
    getCustomContentByTypeInPage<T = GetCustomContentByTypeInPageResponseOK>(options: GetCustomContentByTypeInPageRequest): Promise<GetCustomContentByTypeInPageResponseOK | T>;
    /**
  * Returns all custom content for a given type within a given space. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content and the corresponding space.
  * Alternative usage: CustomContent.Space.getCustomContentByType
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-spaces-id-custom-content-get
  * @param options Request options.
  */
    getCustomContentByTypeInSpace<T = GetCustomContentByTypeInSpaceResponseOK>(options: GetCustomContentByTypeInSpaceRequest): Promise<GetCustomContentByTypeInSpaceResponseOK | T>;
    /**
  * Returns all labels. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only labels that the user has permission to view will be returned.
  * Alternative usage: Label.getLabels
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-labels-get
  * @param options Request options.
  */
    getLabels<T = GetLabelsResponseOK>(options?: GetLabelsRequest): Promise<GetLabelsResponseOK | T>;
    /**
  * Returns the labels of specific attachment. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the parent content of the attachment and its corresponding space.
  Only labels that the user has permission to view will be returned.
  * Alternative usage: Label.Attachment.getLabels
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-attachments-id-labels-get
  * @param options Request options.
  */
    getLabelsForAttachment<T = GetLabelsForAttachmentResponseOK>(options: GetLabelsForAttachmentRequest): Promise<GetLabelsForAttachmentResponseOK | T>;
    /**
  * Returns the labels of specific blog post. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the blog post and its corresponding space.
  Only labels that the user has permission to view will be returned.
  * Alternative usage: Label.BlogPost.getLabels
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-blogposts-id-labels-get
  * @param options Request options.
  */
    getLabelsForBlogPost<T = GetLabelsForBlogPostResponseOK>(options: GetLabelsForBlogPostRequest): Promise<GetLabelsForBlogPostResponseOK | T>;
    /**
  * Returns the labels for a specific piece of custom content. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content and its corresponding space.
  Only labels that the user has permission to view will be returned.
  * Alternative usage: Label.CustomContent.getLabels
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-custom-content-id-labels-get
  * @param options Request options.
  */
    getLabelsForCustomContent<T = GetLabelsForCustomContentResponseOK>(options: GetLabelsForCustomContentRequest): Promise<GetLabelsForCustomContentResponseOK | T>;
    /**
  * Returns the labels of specific page. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  Only labels that the user has permission to view will be returned.
  * Alternative usage: Label.Page.getLabels
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-pages-id-labels-get
  * @param options Request options.
  */
    getLabelsForPage<T = GetLabelsForPageResponseOK>(options: GetLabelsForPageRequest): Promise<GetLabelsForPageResponseOK | T>;
    /**
  * Returns the labels of specific space. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the space.
  Only labels that the user has permission to view will be returned.
  * Alternative usage: Label.Space.getLabels
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-spaces-id-labels-get
  * @param options Request options.
  */
    getLabelsForSpace<T = GetLabelsForSpaceResponseOK>(options: GetLabelsForSpaceRequest): Promise<GetLabelsForSpaceResponseOK | T>;
    /**
  * Returns the labels of space content (pages, blogposts etc). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the space.
  Only labels that the user has permission to view will be returned.
  * Alternative usage: Label.Space.getLabelsForContent
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-spaces-id-content-labels-get
  * @param options Request options.
  */
    getLabelsForSpaceContent<T = GetLabelsForSpaceContentResponseOK>(options: GetLabelsForSpaceContentRequest): Promise<GetLabelsForSpaceContentResponseOK | T>;
    /**
  * Returns the count of likes of specific blog post.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the blog post and its corresponding space.
  * Alternative usage: Like.BlogPost.getLikeCount
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-blogposts-id-likes-count-get
  * @param options Request options.
  */
    getLikeCountForBlogPost<T = GetLikeCountForBlogPostResponseOK>(options: GetLikeCountForBlogPostRequest): Promise<GetLikeCountForBlogPostResponseOK | T>;
    /**
  * Returns the account IDs of likes of specific blog post.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the blog post and its corresponding space.
  * Alternative usage: Like.BlogPost.getAccountIdsOfLikes
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-blogposts-id-likes-users-get
  * @param options Request options.
  */
    getAccountIdsOfLikesForBlogPost<T = GetAccountIdsOfLikesForBlogPostResponseOK>(options: GetAccountIdsOfLikesForBlogPostRequest): Promise<GetAccountIdsOfLikesForBlogPostResponseOK | T>;
    /**
  * Returns the count of likes of specific page.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Alternative usage: Like.Page.getLikeCount
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-pages-id-likes-count-get
  * @param options Request options.
  */
    getLikeCountForPage<T = GetLikeCountForPageResponseOK>(options: GetLikeCountForPageRequest): Promise<GetLikeCountForPageResponseOK | T>;
    /**
  * Returns the account IDs of likes of specific page.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Alternative usage: Like.Page.getAccountIdsOfLikes
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-pages-id-likes-users-get
  * @param options Request options.
  */
    getAccountIdsOfLikesForPage<T = GetAccountIdsOfLikesForPageResponseOK>(options: GetAccountIdsOfLikesForPageRequest): Promise<GetAccountIdsOfLikesForPageResponseOK | T>;
    /**
  * Returns the count of likes of specific footer comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page/blogpost and its corresponding space.
  * Alternative usage: Like.Comment.Footer.getLikeCount
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-footer-comments-id-likes-count-get
  * @param options Request options.
  */
    getLikeCountForFooterComment<T = GetLikeCountForFooterCommentResponseOK>(options: GetLikeCountForFooterCommentRequest): Promise<GetLikeCountForFooterCommentResponseOK | T>;
    /**
  * Returns the account IDs of likes of specific footer comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page/blogpost and its corresponding space.
  * Alternative usage: Like.Comment.Footer.getAccountIdsOfLikes
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-footer-comments-id-likes-users-get
  * @param options Request options.
  */
    getAccountIdsOfLikesForFooterComment<T = GetAccountIdsOfLikesForFooterCommentResponseOK>(options: GetAccountIdsOfLikesForFooterCommentRequest): Promise<GetAccountIdsOfLikesForFooterCommentResponseOK | T>;
    /**
  * Returns the count of likes of specific inline comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page/blogpost and its corresponding space.
  * Alternative usage: Like.Comment.Inline.getLikeCount
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-inline-comments-id-likes-count-get
  * @param options Request options.
  */
    getLikeCountForInlineComment<T = GetLikeCountForInlineCommentResponseOK>(options: GetLikeCountForInlineCommentRequest): Promise<GetLikeCountForInlineCommentResponseOK | T>;
    /**
  * Returns the account IDs of likes of specific inline comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page/blogpost and its corresponding space.
  * Alternative usage: Like.Comment.Inline.getAccountIdsOfLikes
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-inline-comments-id-likes-users-get
  * @param options Request options.
  */
    getAccountIdsOfLikesForInlineComment<T = GetAccountIdsOfLikesForInlineCommentResponseOK>(options: GetAccountIdsOfLikesForInlineCommentRequest): Promise<GetAccountIdsOfLikesForInlineCommentResponseOK | T>;
    /**
  * Returns the pages of specified label. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Alternative usage: Page.getPagesForLabel
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-labels-id-pages-get
  * @param options Request options.
  */
    getPagesForLabel<T = GetPagesForLabelResponseOK>(options: GetPagesForLabelRequest): Promise<GetPagesForLabelResponseOK | T>;
    /**
  * Returns all pages. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only pages that the user has permission to view will be returned.
  * Alternative usage: Page.getPages
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-get
  * @param options Request options.
  */
    getPages<T = GetPagesResponseOK>(options?: GetPagesRequest): Promise<GetPagesResponseOK | T>;
    /**
  * Creates a page in the space.
  
  Pages are created as published by default unless specified as a draft in the status field. If creating a published page, the title must be specified.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the corresponding space. Permission to create a page in the space.
  * Alternative usage: Page.createPage
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-post
  * @param options Request options.
  */
    createPage<T = CreatePageResponseOK>(options: CreatePageRequest): Promise<CreatePageResponseOK | T>;
    /**
  * Returns a specific page.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page and its corresponding space.
  * Alternative usage: Page.getPageById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get
  * @param options Request options.
  */
    getPageById<T = GetPageByIdResponseOK>(options: GetPageByIdRequest): Promise<GetPageByIdResponseOK | T>;
    /**
  * Update a page by id.
  
  When the "current" version is updated, the provided body content is considered as the latest version. This latest body content
  will be attempted to be merged into the draft version through a content reconciliation algorithm. If two versions are significantly diverged,
  the latest provided content may entirely override what was previously in the draft.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page and its corresponding space. Permission to update pages in the space.
  * Alternative usage: Page.updatePage
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-put
  * @param options Request options.
  */
    updatePage<T = UpdatePageResponseOK>(options: UpdatePageRequest): Promise<UpdatePageResponseOK | T>;
    /**
  * Delete a page by id.
  
  By default this will delete pages that are non-drafts. To delete a page that is a draft, the endpoint must be called on a
  draft with the following param `draft=true`. Discarded drafts are not sent to the trash and are permanently deleted.
  
  Deleting a page moves the page to the trash, where it can be restored later. To permanently delete a page (or "purge" it),
  the endpoint must be called on a **trashed** page with the following param `purge=true`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page and its corresponding space.
  Permission to delete pages in the space.
  Permission to administer the space (if attempting to purge).
  * Alternative usage: Page.deletePage
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-delete
  * @param options Request options.
  */
    deletePage<T = DeletePageResponseOK>(options: DeletePageRequest): Promise<DeletePageResponseOK | T>;
    /**
  * Returns all pages in a space. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission) and 'View' permission for the space.
  Only pages that the user has permission to view will be returned.
  * Alternative usage: Page.getPagesInSpace
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-spaces-id-pages-get
  * @param options Request options.
  */
    getPagesInSpace<T = GetPagesInSpaceResponseOK>(options: GetPagesInSpaceRequest): Promise<GetPagesInSpaceResponseOK | T>;
    /**
  * Returns all spaces. The results will be sorted by id ascending. The number of results is limited by the `limit` parameter and
  additional results (if available) will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only spaces that the user has permission to view will be returned.
  * Alternative usage: Space.getSpaces
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space/#api-spaces-get
  * @param options Request options.
  */
    getSpaces<T = GetSpacesResponseOK>(options?: GetSpacesRequest): Promise<GetSpacesResponseOK | T>;
    /**
  * Returns a specific space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the space.
  * Alternative usage: Space.getSpaceById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space/#api-spaces-id-get
  * @param options Request options.
  */
    getSpaceById<T = GetSpaceByIdResponseOK>(options: GetSpaceByIdRequest): Promise<GetSpaceByIdResponseOK | T>;
    /**
  * Returns all properties for the given space. Space properties are a key-value storage associated with a space.
  The limit parameter specifies the maximum number of results returned in a single response. Use the `link` response header
  to paginate through additional results.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission) and 'View' permission for the space.
  * Alternative usage: Space.Property.getProperties
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-get
  * @param options Request options.
  */
    getSpaceProperties<T = GetSpacePropertiesResponseOK>(options: GetSpacePropertiesRequest): Promise<GetSpacePropertiesResponseOK | T>;
    /**
  * Creates a new space property.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission) and 'Admin' permission for the space.
  * Alternative usage: Space.Property.createProperty
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-post
  * @param options Request options.
  */
    createSpacePropertyInSpace<T = CreateSpacePropertyInSpaceResponseOK>(options: CreateSpacePropertyInSpaceRequest): Promise<CreateSpacePropertyInSpaceResponseOK | T>;
    /**
  * Retrieve a space property by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission) and 'View' permission for the space.
  * Alternative usage: Space.Property.getPropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-property-id-get
  * @param options Request options.
  */
    getSpacePropertyById<T = GetSpacePropertyByIdResponseOK>(options: GetSpacePropertyByIdRequest): Promise<GetSpacePropertyByIdResponseOK | T>;
    /**
  * Update a space property by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission) and 'Admin' permission for the space.
  * Alternative usage: Space.Property.updatePropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-property-id-put
  * @param options Request options.
  */
    updateSpacePropertyById<T = UpdateSpacePropertyByIdResponseOK>(options: UpdateSpacePropertyByIdRequest): Promise<UpdateSpacePropertyByIdResponseOK | T>;
    /**
  * Deletes a space property by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission) and 'Admin' permission for the space.
  * Alternative usage: Space.Property.deletePropertyById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-property-id-delete
  * @param options Request options.
  */
    deleteSpacePropertyById<T = DeleteSpacePropertyByIdResponseOK>(options: DeleteSpacePropertyByIdRequest): Promise<DeleteSpacePropertyByIdResponseOK | T>;
    /**
  * Returns all tasks. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only tasks that the user has permission to view will be returned.
  * Alternative usage: Task.getTasks
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-task/#api-tasks-get
  * @param options Request options.
  */
    getTasks<T = GetTasksResponseOK>(options?: GetTasksRequest): Promise<GetTasksResponseOK | T>;
    /**
  * Returns a specific task.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the containing page or blog post and its corresponding space.
  * Alternative usage: Task.getTaskById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-task/#api-tasks-id-get
  * @param options Request options.
  */
    getTaskById<T = GetTaskByIdResponseOK>(options: GetTaskByIdRequest): Promise<GetTaskByIdResponseOK | T>;
    /**
  * Update a task by id. This endpoint currently only supports updating task status.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the containing page or blog post and view its corresponding space.
  * Alternative usage: Task.updateTask
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-task/#api-tasks-id-get
  * @param options Request options.
  */
    updateTask<T = UpdateTaskResponseOK>(options: UpdateTaskRequest): Promise<UpdateTaskResponseOK | T>;
    /**
  * Returns the versions of specific attachment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the attachment and its corresponding space.
  * Alternative usage: Version.Attachment.getVersions
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-attachments-id-versions-get
  * @param options Request options.
  */
    getAttachmentVersions<T = GetAttachmentVersionsResponseOK>(options: GetAttachmentVersionsRequest): Promise<GetAttachmentVersionsResponseOK | T>;
    /**
  * Retrieves version details for the specified attachment and version number.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the attachment.
  * Alternative usage: Version.Attachment.getVersionDetails
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-attachments-attachment-id-versions-version-number-get
  * @param options Request options.
  */
    getVersionDetailsForAttachmentVersion<T = GetVersionDetailsForAttachmentVersionResponseOK>(options: GetVersionDetailsForAttachmentVersionRequest): Promise<GetVersionDetailsForAttachmentVersionResponseOK | T>;
    /**
  * Returns the versions of specific blog post.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the blog post and its corresponding space.
  * Alternative usage: Version.BlogPost.getVersions
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-blogposts-id-versions-get
  * @param options Request options.
  */
    getBlogPostVersions<T = GetBlogPostVersionsResponseOK>(options: GetBlogPostVersionsRequest): Promise<GetBlogPostVersionsResponseOK | T>;
    /**
  * Retrieves version details for the specified blog post and version number.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the blog post.
  * Alternative usage: Version.BlogPost.getVersionDetails
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-blogposts-blogpost-id-versions-version-number-get
  * @param options Request options.
  */
    getVersionDetailsForBlogPostVersion<T = GetVersionDetailsForBlogPostVersionResponseOK>(options: GetVersionDetailsForBlogPostVersionRequest): Promise<GetVersionDetailsForBlogPostVersionResponseOK | T>;
    /**
  * Returns the versions of specific page.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page and its corresponding space.
  * Alternative usage: Version.Page.getVersions
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-pages-id-versions-get
  * @param options Request options.
  */
    getPageVersions<T = GetPageVersionsResponseOK>(options: GetPageVersionsRequest): Promise<GetPageVersionsResponseOK | T>;
    /**
  * Retrieves version details for the specified page and version number.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page.
  * Alternative usage: Version.Page.getVersionDetails
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-pages-page-id-versions-version-number-get
  * @param options Request options.
  */
    getVersionDetailsForPageVersion<T = GetVersionDetailsForPageVersionResponseOK>(options: GetVersionDetailsForPageVersionRequest): Promise<GetVersionDetailsForPageVersionResponseOK | T>;
    /**
  * Returns the versions of specific custom content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content and its corresponding page and space.
  * Alternative usage: Version.CustomContent.getVersions
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-custom-content-custom-content-id-versions-get
  * @param options Request options.
  */
    getCustomContentVersions<T = GetCustomContentVersionsResponseOK>(options: GetCustomContentVersionsRequest): Promise<GetCustomContentVersionsResponseOK | T>;
    /**
  * Retrieves version details for the specified custom content and version number.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page.
  * Alternative usage: Version.CustomContent.getVersionDetails
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-custom-content-custom-content-id-versions-get
  * @param options Request options.
  */
    getVersionDetailsForCustomContentVersion<T = GetVersionDetailsForCustomContentVersionResponseOK>(options: GetVersionDetailsForCustomContentVersionRequest): Promise<GetVersionDetailsForCustomContentVersionResponseOK | T>;
    /**
  * Retrieves the versions of the specified footer comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blog post and its corresponding space.
  * Alternative usage: Version.Comment.Footer.getVersions
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-footer-comments-id-versions-get
  * @param options Request options.
  */
    getFooterCommentVersions<T = GetFooterCommentVersionsResponseOK>(options: GetFooterCommentVersionsRequest): Promise<GetFooterCommentVersionsResponseOK | T>;
    /**
  * Retrieves version details for the specified footer comment version.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blog post and its corresponding space.
  * Alternative usage: Version.Comment.Footer.getVersionDetails
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-footer-comments-id-versions-version-number-get
  * @param options Request options.
  */
    getVersionDetailsForFooterCommentVersion<T = GetVersionDetailsForFooterCommentVersionResponseOK>(options: GetVersionDetailsForFooterCommentVersionRequest): Promise<GetVersionDetailsForFooterCommentVersionResponseOK | T>;
    /**
  * Retrieves the versions of the specified inline comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blog post and its corresponding space.
  * Alternative usage: Version.Comment.Inline.getVersions
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-inline-comments-id-versions-get
  * @param options Request options.
  */
    getInlineCommentVersions<T = GetInlineCommentVersionsResponseOK>(options: GetInlineCommentVersionsRequest): Promise<GetInlineCommentVersionsResponseOK | T>;
    /**
  * Retrieves version details for the specified inline comment version.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blog post and its corresponding space.
  * Alternative usage: Version.Comment.Inline.getVersionDetails
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-inline-comments-id-versions-version-number-get
  * @param options Request options.
  */
    getVersionDetailsForInlineCommentVersion<T = GetVersionDetailsForInlineCommentVersionResponseOK>(options: GetVersionDetailsForInlineCommentVersionRequest): Promise<GetVersionDetailsForInlineCommentVersionResponseOK | T>;
    /**
  * Creates a whiteboard in the space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the corresponding space. Permission to create a whiteboard in the space.
  * Alternative usage: Whiteboard.createWhiteboard
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-post
  * @param options Request options.
  */
    createWhiteboard<T = CreateWhiteboardResponseOK>(options: CreateWhiteboardRequest): Promise<CreateWhiteboardResponseOK | T>;
    /**
  * Returns a specific whiteboard.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the whiteboard and its corresponding space.
  * Alternative usage: Whiteboard.getWhiteboardById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get
  * @param options Request options.
  */
    getWhiteboardById<T = GetWhiteboardByIdResponseOK>(options: GetWhiteboardByIdRequest): Promise<GetWhiteboardByIdResponseOK | T>;
    /**
  * Delete a whiteboard by id.
  
  Deleting a whiteboard moves the whiteboard to the trash, where it can be restored later
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the whiteboard and its corresponding space.
  Permission to delete whiteboards in the space.
  * Alternative usage: Whiteboard.deleteWhiteboard
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-delete
  * @param options Request options.
  */
    deleteWhiteboard<T = DeleteWhiteboardResponseOK>(options: DeleteWhiteboardRequest): Promise<DeleteWhiteboardResponseOK | T>;
    /**
  * Returns descendants in the content tree for a given whiteboard by ID in top-to-bottom order (that is, the highest descendant is the first
  item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available by calling this endpoint with the cursor in the response payload. There is also a `depth` parameter specifying depth
  of descendants to be fetched.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each descendant. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the whiteboard and its corresponding space
  * Alternative usage: Descendant.getWhiteboardDescendants
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-whiteboards-id-descendants-get
  * @param options Request options.
  */
    getWhiteboardDescendants<T = GetWhiteboardDescendantsResponseOK>(options: GetWhiteboardDescendantsRequest): Promise<GetWhiteboardDescendantsResponseOK | T>;
    /**
  * Returns descendants in the content tree for a given database by ID in top-to-bottom order (that is, the highest descendant is the first
  item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available by calling this endpoint with the cursor in the response payload. There is also a `depth` parameter specifying depth
  of descendants to be fetched.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each descendant. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the database and its corresponding space
  * Alternative usage: Descendant.getDatabaseDescendants
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-databases-id-descendants-get
  * @param options Request options.
  */
    getDatabaseDescendants<T = GetDatabaseDescendantsResponseOK>(options: GetDatabaseDescendantsRequest): Promise<GetDatabaseDescendantsResponseOK | T>;
    /**
  * Returns descendants in the content tree for a given smart link by ID in top-to-bottom order (that is, the highest descendant is the first
  item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available by calling this endpoint with the cursor in the response payload. There is also a `depth` parameter specifying depth
  of descendants to be fetched.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  
  This endpoint returns minimal information about each descendant. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the smart link and its corresponding space
  * Alternative usage: Descendant.getSmartLinkDescendants
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-embeds-id-descendants-get
  * @param options Request options.
  */
    getSmartLinkDescendants<T = GetSmartLinkDescendantsResponseOK>(options: GetSmartLinkDescendantsRequest): Promise<GetSmartLinkDescendantsResponseOK | T>;
    /**
  * Returns descendants in the content tree for a given folder by ID in top-to-bottom order (that is, the highest descendant is the first
  item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available by calling this endpoint with the cursor in the response payload. There is also a `depth` parameter specifying depth
  of descendants to be fetched.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each descendant. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the  and its corresponding space
  * Alternative usage: Descendant.getFolderDescendants
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-folders-id-descendants-get
  * @param options Request options.
  */
    getFolderDescendants<T = GetFolderDescendantsResponseOK>(options: GetFolderDescendantsRequest): Promise<GetFolderDescendantsResponseOK | T>;
    /**
  * Returns descendants in the content tree for a given page by ID in top-to-bottom order (that is, the highest descendant is the first
  item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available by calling this endpoint with the cursor in the response payload. There is also a `depth` parameter specifying depth
  of descendants to be fetched.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each descendant. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the page and its corresponding space
  * Alternative usage: Descendant.getPageDescendants
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-pages-id-descendants-get
  * @param options Request options.
  */
    getPageDescendants<T = GetPageDescendantsResponseOK>(options: GetPageDescendantsRequest): Promise<GetPageDescendantsResponseOK | T>;
    /**
  * Creates a folder in the space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the corresponding space. Permission to create a folder in the space.
  * Alternative usage: Folder.createFolder
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-post
  * @param options Request options.
  */
    createFolder<T = CreateFolderResponseOK>(options: CreateFolderRequest): Promise<CreateFolderResponseOK | T>;
    /**
  * Returns a specific folder.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the folder and its corresponding space.
  * Alternative usage: Folder.getFolderById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get
  * @param options Request options.
  */
    getFolderById<T = GetFolderByIdResponseOK>(options: GetFolderByIdRequest): Promise<GetFolderByIdResponseOK | T>;
    /**
  * Delete a folder by id.
  
  Deleting a folder moves the folder to the trash, where it can be restored later
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the folder and its corresponding space.
  Permission to delete folders in the space.
  * Alternative usage: Folder.deleteFolder
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-delete
  * @param options Request options.
  */
    deleteFolder<T = DeleteFolderResponseOK>(options: DeleteFolderRequest): Promise<DeleteFolderResponseOK | T>;
    /**
  * Creates a database in the space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the corresponding space. Permission to create a database in the space.
  * Alternative usage: Database.createDatabase
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-post
  * @param options Request options.
  */
    createDatabase<T = CreateDatabaseResponseOK>(options: CreateDatabaseRequest): Promise<CreateDatabaseResponseOK | T>;
    /**
  * Returns a specific database.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the database and its corresponding space.
  * Alternative usage: Database.getDatabaseById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get
  * @param options Request options.
  */
    getDatabaseById<T = GetDatabaseByIdResponseOK>(options: GetDatabaseByIdRequest): Promise<GetDatabaseByIdResponseOK | T>;
    /**
  * Delete a database by id.
  
  Deleting a database moves the database to the trash, where it can be restored later
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the database and its corresponding space.
  Permission to delete databases in the space.
  * Alternative usage: Database.deleteDatabase
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-delete
  * @param options Request options.
  */
    deleteDatabase<T = DeleteDatabaseResponseOK>(options: DeleteDatabaseRequest): Promise<DeleteDatabaseResponseOK | T>;
    /**
  * Creates a Smart Link in the content tree in the space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the corresponding space. Permission to create a Smart Link in the content tree in the space.
  * Alternative usage: SmartLink.createSmartLink
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-post
  * @param options Request options.
  */
    createSmartLink<T = CreateSmartLinkResponseOK>(options: CreateSmartLinkRequest): Promise<CreateSmartLinkResponseOK | T>;
    /**
  * Returns a specific Smart Link in the content tree.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the Smart Link in the content tree and its corresponding space.
  * Alternative usage: SmartLink.getSmartLinkById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get
  * @param options Request options.
  */
    getSmartLinkById<T = GetSmartLinkByIdResponseOK>(options: GetSmartLinkByIdRequest): Promise<GetSmartLinkByIdResponseOK | T>;
    /**
  * Delete a Smart Link in the content tree by id.
  
  Deleting a Smart Link in the content tree moves the Smart Link to the trash, where it can be restored later
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the Smart Link in the content tree and its corresponding space.
  Permission to delete Smart Links in the content tree in the space.
  * Alternative usage: SmartLink.deleteSmartLink
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-delete
  * @param options Request options.
  */
    deleteSmartLink<T = DeleteSmartLinkResponseOK>(options: DeleteSmartLinkRequest): Promise<DeleteSmartLinkResponseOK | T>;
    /**
  * Publishes a shared draft of a page created from a blueprint.
  
  By default, the following objects are expanded: `body.storage`, `history`, `space`, `version`, `ancestors`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the draft and 'Add' permission for the space that
  the content will be created in.
  * Alternative usage: V1.Content.publishSharedDraft
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-blueprint-instance-draftid-put
  * @param options Request options.
  */
    publishSharedDraft<T = PublishSharedDraftResponseOK>(options: PublishSharedDraftRequest): Promise<PublishSharedDraftResponseOK | T>;
    /**
  * Publishes a legacy draft of a page created from a blueprint. Legacy drafts
  will eventually be removed in favor of shared drafts. For now, this method
  works the same as [Publish shared draft](#api-content-blueprint-instance-draftId-put).
  
  By default, the following objects are expanded: `body.storage`, `history`, `space`, `version`, `ancestors`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the draft and 'Add' permission for the space that
  the content will be created in.
  * Alternative usage: V1.Content.publishLegacyDraft
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-blueprint-instance-draftid-post
  * @param options Request options.
  */
    publishLegacyDraft<T = PublishLegacyDraftResponseOK>(options: PublishLegacyDraftRequest): Promise<PublishLegacyDraftResponseOK | T>;
    /**
  * Returns the list of content that matches a Confluence Query Language
  (CQL) query. For information on CQL, see:
  [Advanced searching using CQL](https://developer.atlassian.com/cloud/confluence/advanced-searching-using-cql/).
  
  Example initial call:
  ```
  /wiki/rest/api/content/search?cql=type=page&limit=25
  ```
  
  Example response:
  ```
  {
    "results": [
      { ... },
      { ... },
      ...
      { ... }
    ],
    "limit": 25,
    "size": 25,
    ...
    "_links": {
      "base": "<url>",
      "context": "<url>",
      "next": "/rest/api/content/search?cql=type=page&limit=25&cursor=raNDoMsTRiNg",
      "self": "<url>"
    }
  }
  ```
  
  When additional results are available, returns `next` and `prev` URLs to retrieve them in subsequent calls. The URLs each contain a cursor that points to the appropriate set of results. Use `limit` to specify the number of results returned in each call.
  Example subsequent call (taken from example response):
  ```
  /wiki/rest/api/content/search?cql=type=page&limit=25&cursor=raNDoMsTRiNg
  ```
  The response to this will have a `prev` URL similar to the `next` in the example response.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only content that the user has permission to view will be returned.
  * Alternative usage: V1.Content.searchContentByCQL
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-search-get
  * @param options Request options.
  */
    searchContentByCql<T = SearchContentByCQLResponseOK>(options: SearchContentByCQLRequest): Promise<SearchContentByCQLResponseOK | T>;
    /**
  * Adds an attachment to a piece of content. If the attachment already exists
  for the content, then the attachment is updated (i.e. a new version of the
  attachment is created).
  
  Note, you must set a `X-Atlassian-Token: nocheck` header on the request
  for this method, otherwise it will be blocked. This protects against XSRF
  attacks, which is necessary as this method accepts multipart/form-data.
  
  The media type 'multipart/form-data' is defined in [RFC 7578](https://www.ietf.org/rfc/rfc7578.txt).
  Most client libraries have classes that make it easier to implement
  multipart posts, like the [MultipartEntityBuilder](https://hc.apache.org/httpcomponents-client-5.1.x/current/httpclient5/apidocs/)
  Java class provided by Apache HTTP Components.
  
  Note, according to [RFC 7578](https://tools.ietf.org/html/rfc7578#section-4.5),
  in the case where the form data is text,
  the charset parameter for the "text/plain" Content-Type may be used to
  indicate the character encoding used in that part. In the case of this
  API endpoint, the `comment` body parameter should be sent with `type=text/plain`
  and `charset=utf-8` values. This will force the charset to be UTF-8.
  
  Example: This curl command attaches a file ('example.txt') to a piece of
  content (id='123') with a comment and `minorEdits`=true. If the 'example.txt'
  file already exists, it will update it with a new version of the attachment.
  
  ``` bash
  curl -D- \
    -u admin:admin \
    -X PUT \
    -H 'X-Atlassian-Token: nocheck' \
    -F 'file=@"example.txt"' \
    -F 'minorEdit="true"' \
    -F 'comment="Example attachment comment"; type=text/plain; charset=utf-8' \
    http://myhost/rest/api/content/123/child/attachment
  ```
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: V1.Content.Attachment.createOrUpdateAttachment
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-put
  * @param options Request options.
  */
    createOrUpdateContentAttachment<T = CreateOrUpdateContentAttachmentResponseOK>(options: CreateOrUpdateContentAttachmentRequest): Promise<CreateOrUpdateContentAttachmentResponseOK | T>;
    /**
  * Adds an attachment to a piece of content. This method only adds a new
  attachment. If you want to update an existing attachment, use
  [Create or update attachments](#api-content-id-child-attachment-put).
  
  Note, you must set a `X-Atlassian-Token: nocheck` header on the request
  for this method, otherwise it will be blocked. This protects against XSRF
  attacks, which is necessary as this method accepts multipart/form-data.
  
  The media type 'multipart/form-data' is defined in [RFC 7578](https://www.ietf.org/rfc/rfc7578.txt).
  Most client libraries have classes that make it easier to implement
  multipart posts, like the [MultipartEntityBuilder](https://hc.apache.org/httpcomponents-client-5.1.x/current/httpclient5/apidocs/)
  Java class provided by Apache HTTP Components.
  
  Note, according to [RFC 7578](https://tools.ietf.org/html/rfc7578#section-4.5),
  in the case where the form data is text,
  the charset parameter for the "text/plain" Content-Type may be used to
  indicate the character encoding used in that part. In the case of this
  API endpoint, the `comment` body parameter should be sent with `type=text/plain`
  and `charset=utf-8` values. This will force the charset to be UTF-8.
  
  Example: This curl command attaches a file ('example.txt') to a container
  (id='123') with a comment and `minorEdits`=true.
  
  ``` bash
  curl -D- \
    -u admin:admin \
    -X POST \
    -H 'X-Atlassian-Token: nocheck' \
    -F 'file=@"example.txt"' \
    -F 'minorEdit="true"' \
    -F 'comment="Example attachment comment"; type=text/plain; charset=utf-8' \
    http://myhost/rest/api/content/123/child/attachment
  ```
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: V1.Content.Attachment.createAttachment
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-post
  * @param options Request options.
  */
    createContentAttachment<T = CreateContentAttachmentResponseOK>(options: CreateContentAttachmentRequest): Promise<CreateContentAttachmentResponseOK | T>;
    /**
  * Updates the attachment properties, i.e. the non-binary data of an attachment
  like the filename, media-type, comment, and parent container.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: V1.Content.Attachment.updateAttachmentProperties
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-attachmentid-put
  * @param options Request options.
  */
    updateContentAttachmentProperties<T = UpdateContentAttachmentPropertiesResponseOK>(options: UpdateContentAttachmentPropertiesRequest): Promise<UpdateContentAttachmentPropertiesResponseOK | T>;
    /**
  * Updates the binary data of an attachment, given the attachment ID, and
  optionally the comment and the minor edit field.
  
  This method is essentially the same as [Create or update attachments](#api-content-id-child-attachment-put),
  except that it matches the attachment ID rather than the name.
  
  Note, you must set a `X-Atlassian-Token: nocheck` header on the request
  for this method, otherwise it will be blocked. This protects against XSRF
  attacks, which is necessary as this method accepts multipart/form-data.
  
  The media type 'multipart/form-data' is defined in [RFC 7578](https://www.ietf.org/rfc/rfc7578.txt).
  Most client libraries have classes that make it easier to implement
  multipart posts, like the [MultipartEntityBuilder](https://hc.apache.org/httpcomponents-client-5.1.x/current/httpclient5/apidocs/)
  Java class provided by Apache HTTP Components.
  
  Note, according to [RFC 7578](https://tools.ietf.org/html/rfc7578#section-4.5),
  in the case where the form data is text,
  the charset parameter for the "text/plain" Content-Type may be used to
  indicate the character encoding used in that part. In the case of this
  API endpoint, the `comment` body parameter should be sent with `type=text/plain`
  and `charset=utf-8` values. This will force the charset to be UTF-8.
  
  Example: This curl command updates an attachment (id='att456') that is attached
  to a piece of content (id='123') with a comment and `minorEdits`=true.
  
  ``` bash
  curl -D- \
    -u admin:admin \
    -X POST \
    -H 'X-Atlassian-Token: nocheck' \
    -F 'file=@"example.txt"' \
    -F 'minorEdit="true"' \
    -F 'comment="Example attachment comment"; type=text/plain; charset=utf-8' \
    http://myhost/rest/api/content/123/child/attachment/att456/data
  ```
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: V1.Content.Attachment.updateAttachmentData
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-attachmentid-data-post
  * @param options Request options.
  */
    updateContentAttachmentData<T = UpdateContentAttachmentDataResponseOK>(options: UpdateContentAttachmentDataRequest): Promise<UpdateContentAttachmentDataResponseOK | T>;
    /**
  * Deprecated, use the [single asynchronous endpoint](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-to-post)
  or the [bulk asynchronous endpoint](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-bulk-tasks-post) instead.
  
  Converts a content body from one format to another format.
  
  Supported conversions:
  
  - storage: view, export_view, styled_view, editor
  - editor: storage
  - view: none
  - export_view: none
  - styled_view: none
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  If request specifies 'contentIdContext', 'View' permission for the space, and permission to view the content.
  * Alternative usage: V1.Content.Body.convertBody
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-to-post
  * @param options Request options.
  * @deprecated
  */
    convertContentBody<T = ConvertContentBodyResponseOK>(options: ConvertContentBodyRequest): Promise<ConvertContentBodyResponseOK | T>;
    /**
  * Converts a content body from one format to another format asynchronously.
  Returns the asyncId for the asynchronous task.
  
  Supported conversions:
  
  - atlas_doc_format: editor, export_view, storage, styled_view, view
  - storage: atlas_doc_format, editor, export_view, styled_view, view
  - editor: storage
  
  No other conversions are supported at the moment.
  Once a conversion is completed, it will be available for 5 minutes at the result endpoint.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  If request specifies 'contentIdContext', 'View' permission for the space, and permission to view the content.
  * Alternative usage: V1.Content.Body.asyncConvertBody
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-to-post
  * @param options Request options.
  */
    asyncConvertContentBody<T = AsyncConvertContentBodyResponseOK>(options: AsyncConvertContentBodyRequest): Promise<AsyncConvertContentBodyResponseOK | T>;
    /**
  * Returns the asynchronous content body for the corresponding id if the task is complete
  or returns the status of the task.
  
  After the task is completed, the result can be obtained for 5 minutes, or until an identical conversion request is made again,
  with allowCache query param set to false.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  If request specifies 'contentIdContext', 'View' permission for the space, and permission to view the content.
  * Alternative usage: V1.Content.Body.getAsyncConvertResult
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-id-get
  * @param options Request options.
  */
    getAsyncConvertContentBodyResult<T = GetAsyncConvertContentBodyResultResponseOK>(options: GetAsyncConvertContentBodyResultRequest): Promise<GetAsyncConvertContentBodyResultResponseOK | T>;
    /**
  * Returns the body of a macro in storage format, for the given macro ID.
  This includes information like the name of the macro, the body of the macro,
  and any macro parameters. This method is mainly used by Cloud apps.
  
  About the macro ID: When a macro is created in a new version of content,
  Confluence will generate a random ID for it, unless an ID is specified
  (by an app). The macro ID will look similar to this: '50884bd9-0cb8-41d5-98be-f80943c14f96'.
  The ID is then persisted as new versions of content are created, and is
  only modified by Confluence if there are conflicting IDs.
  
  For Forge macros, the value for macro ID is the "local ID" of that particular ADF node.
  This value can be retrieved either client-side by calling view.getContext() and accessing "localId"
  on the resulting object, or server-side by examining the "local-id" parameter node inside the "parameters" node.
  
  Note that there are other attributes named "local-id", but only this particular one is used to store the macro ID.
  
  Example:
  <ac:adf-node type="extension">
    <ac:adf-attribute key="extension-type">com.atlassian.ecosystem</ac:adf-attribute>
    <ac:adf-attribute key="parameters">
        <ac:adf-parameter key="local-id">e9c4aa10-73fa-417c-888d-48c719ae4165</ac:adf-parameter>
    </ac:adf-parameter>
  </ac:adf-node>
  
  Note, to preserve backwards compatibility this resource will also match on
  the hash of the macro body, even if a macro ID is found. This check will
  eventually become redundant, as macro IDs are generated for pages and
  transparently propagate out to all instances.
  
  This backwards compatibility logic does not apply to Forge macros; those
  can only be retrieved by their ID.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content that the macro is in.
  * Alternative usage: V1.Content.Body.Macro.getMacroById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---macro-body/#api-wiki-rest-api-content-id-history-version-macro-id-macroid-get
  * @param options Request options.
  */
    getMacroBodyById<T = GetMacroBodyByIdResponseOK>(options: GetMacroBodyByIdRequest): Promise<GetMacroBodyByIdResponseOK | T>;
    /**
  * Move a page to a new location relative to a target page:
  
  * `before` - move the page under the same parent as the target, before the target in the list of children
  * `after` - move the page under the same parent as the target, after the target in the list of children
  * `append` - move the page to be a child of the target
  
  Caution: This API can move pages to the top level of a space. Top-level pages are difficult to find in the UI
  because they do not show up in the page tree display. To avoid this, never use `before` or `after` positions
  when the `targetId` is a top-level page.
  * Alternative usage: V1.Content.Move.movePageToNewLocationRelativeToTargetPage
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-pageid-move-position-targetid-put
  * @param options Request options.
  */
    movePageToNewLocationRelativeToTargetPage<T = MovePageToNewLocationRelativeToTargetPageResponseOK>(options: MovePageToNewLocationRelativeToTargetPageRequest): Promise<MovePageToNewLocationRelativeToTargetPageResponseOK | T>;
    /**
  * Returns a map of the descendants of a piece of content. This is similar
  to [Get content children](#api-content-id-child-get), except that this
  method returns child pages at all levels, rather than just the direct
  child pages.
  
  A piece of content has different types of descendants, depending on its type:
  
  - `page`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `whiteboard`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `database`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `embed`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `folder`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `blogpost`: descendant is `comment`, `attachment`
  - `attachment`: descendant is `comment`
  - `comment`: descendant is `attachment`
  
  The map will always include all descendant types that are valid for the content.
  However, if the content has no instances of a descendant type, the map will
  contain an empty array for that descendant type.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space, and permission to view the content if it
  is a page.
  * Alternative usage: V1.Content.Descendant.getDescendants
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-get
  * @param options Request options.
  * @deprecated
  */
    getContentDescendants<T = GetContentDescendantsResponseOK>(options: GetContentDescendantsRequest): Promise<GetContentDescendantsResponseOK | T>;
    /**
  * Returns all descendants of a given type, for a piece of content. This is
  similar to [Get content children by type](#api-content-id-child-type-get),
  except that this method returns child pages at all levels, rather than just
  the direct child pages.
  
  A piece of content has different types of descendants, depending on its type:
  
  - `page`: descendant is `page`, `comment`, `attachment`
  - `blogpost`: descendant is `comment`, `attachment`
  - `attachment`: descendant is `comment`
  - `comment`: descendant is `attachment`
  
  Custom content types that are provided by apps can also be returned.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space, and permission to view the content if it
  is a page.
  * Alternative usage: V1.Content.Descendant.getDescendantsByType
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-type-get
  * @param options Request options.
  * @deprecated
  */
    getContentDescendantsByType<T = GetContentDescendantsByTypeResponseOK>(options: GetContentDescendantsByTypeRequest): Promise<GetContentDescendantsByTypeResponseOK | T>;
    /**
  * Copy page hierarchy allows the copying of an entire hierarchy of pages and their associated properties, permissions and attachments.
   The id path parameter refers to the content id of the page to copy, and the new parent of this copied page is defined using the destinationPageId in the request body.
   The titleOptions object defines the rules of renaming page titles during the copy;
   for example, search and replace can be used in conjunction to rewrite the copied page titles.
  
   Response example:
   <pre><code>
   {
        "id" : "1180606",
        "links" : {
             "status" : "/rest/api/longtask/1180606"
        }
   }
   </code></pre>
   Use the /longtask/<taskId> REST API to get the copy task status.
  * Alternative usage: V1.Content.Copy.copyPageHierarchy
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-pagehierarchy-copy-post
  * @param options Request options.
  */
    copyPageHierarchy<T = CopyPageHierarchyResponseOK>(options: CopyPageHierarchyRequest): Promise<CopyPageHierarchyResponseOK | T>;
    /**
  * Copies a single page and its associated properties, permissions, attachments, and custom contents.
   The `id` path parameter refers to the content ID of the page to copy. The target of the page to be copied
   is defined using the `destination` in the request body and can be one of the following types.
  
    - `space`: page will be copied to the specified space as a root page on the space
    - `parent_page`: page will be copied as a child of the specified parent page
    - `existing_page`: page will be copied and replace the specified page
  
  By default, the following objects are expanded: `space`, `history`, `version`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: 'Add' permission for the space that the content will be copied in and permission to update the content if copying to an `existing_page`.
  * Alternative usage: V1.Content.Copy.copySinglePage
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-copy-post
  * @param options Request options.
  */
    copySinglePage<T = CopySinglePageResponseOK>(options: CopySinglePageRequest): Promise<CopySinglePageResponseOK | T>;
    /**
  * Adds labels to a piece of content. Does not modify the existing labels.
  
  Notes:
  
  - Labels can also be added when creating content ([Create content](#api-content-post)).
  - Labels can be updated when updating content ([Update content](#api-content-id-put)).
  This will delete the existing labels and replace them with the labels in
  the request.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: V1.Content.Label.addLabel
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-post
  * @param options Request options.
  */
    addContentLabel<T = AddContentLabelResponseOK>(options: AddContentLabelRequest): Promise<AddContentLabelResponseOK | T>;
    /**
  * Removes a label from a piece of content. Labels can't be deleted from archived content.
  This is similar to [Remove label from content](#api-content-id-label-label-delete)
  except that the label name is specified via a query parameter.
  
  Use this method if the label name has "/" characters, as
  [Remove label from content using query parameter](#api-content-id-label-delete)
  does not accept "/" characters for the label name.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: V1.Content.Label.removeLabelWithQueryParameter
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-delete
  * @param options Request options.
  */
    removeContentLabelWithQueryParameter<T = RemoveContentLabelWithQueryParameterResponseOK>(options: RemoveContentLabelWithQueryParameterRequest): Promise<RemoveContentLabelWithQueryParameterResponseOK | T>;
    /**
  * Removes a label from a piece of content. Labels can't be deleted from archived content.
  This is similar to [Remove label from content using query parameter](#api-content-id-label-delete)
  except that the label name is specified via a path parameter.
  
  Use this method if the label name does not have "/" characters, as the path
  parameter does not accept "/" characters for security reasons. Otherwise,
  use [Remove label from content using query parameter](#api-content-id-label-delete).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: V1.Content.Label.removeLabel
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-label-delete
  * @param options Request options.
  */
    removeContentLabel<T = RemoveContentLabelResponseOK>(options: RemoveContentLabelRequest): Promise<RemoveContentLabelResponseOK | T>;
    /**
  * Returns the restrictions on a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Alternative usage: V1.Content.Restriction.getRestrictions
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-get
  * @param options Request options.
  */
    getContentRestrictions<T = GetContentRestrictionsResponseOK>(options: GetContentRestrictionsRequest): Promise<GetContentRestrictionsResponseOK | T>;
    /**
  * Updates restrictions for a piece of content. This removes the existing
  restrictions and replaces them with the restrictions in the request.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Alternative usage: V1.Content.Restriction.updateRestrictions
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-put
  * @param options Request options.
  */
    updateContentRestrictions<T = UpdateContentRestrictionsResponseOK>(options: UpdateContentRestrictionsRequest): Promise<UpdateContentRestrictionsResponseOK | T>;
    /**
  * Adds restrictions to a piece of content. Note, this does not change any
  existing restrictions on the content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Alternative usage: V1.Content.Restriction.addRestrictions
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-post
  * @param options Request options.
  */
    addContentRestrictions<T = AddContentRestrictionsResponseOK>(options: AddContentRestrictionsRequest): Promise<AddContentRestrictionsResponseOK | T>;
    /**
  * Removes all restrictions (read and update) on a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Alternative usage: V1.Content.Restriction.deleteRestrictions
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-delete
  * @param options Request options.
  */
    deleteContentRestrictions<T = DeleteContentRestrictionsResponseOK>(options: DeleteContentRestrictionsRequest): Promise<DeleteContentRestrictionsResponseOK | T>;
    /**
  * Returns restrictions on a piece of content by operation. This method is
  similar to [Get restrictions](#api-content-id-restriction-get) except that
  the operations are properties of the return object, rather than items in
  a results array.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Alternative usage: V1.Content.Restriction.getRestrictionsByOperation
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-get
  * @param options Request options.
  */
    getContentRestrictionsByOperation<T = GetContentRestrictionsByOperationResponseOK>(options: GetContentRestrictionsByOperationRequest): Promise<GetContentRestrictionsByOperationResponseOK | T>;
    /**
  * Returns the restictions on a piece of content for a given operation (read
  or update).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Alternative usage: V1.Content.Restriction.getRestrictionsForOperation
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-get
  * @param options Request options.
  */
    getContentRestrictionsForOperation<T = GetContentRestrictionsForOperationResponseOK>(options: GetContentRestrictionsForOperationRequest): Promise<GetContentRestrictionsForOperationResponseOK | T>;
    /**
  * Returns whether the specified content restriction applies to a group.
  For example, if a page with `id=123` has a `read` restriction for the `123456` group id,
  the following request will return `true`:
  
  `/wiki/rest/api/content/123/restriction/byOperation/read/byGroupId/123456`
  
  Note that a response of `true` does not guarantee that the group can view the page, as it does not account for
  account-inherited restrictions, space permissions, or even product access. For more
  information, see [Confluence permissions](https://confluence.atlassian.com/x/_AozKw).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Alternative usage: V1.Content.Restriction.Group.getGroupStatus
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-get
  * @param options Request options.
  */
    getContentRestrictionGroupStatus<T = GetContentRestrictionGroupStatusResponseOK>(options: GetContentRestrictionGroupStatusRequest): Promise<GetContentRestrictionGroupStatusResponseOK | T>;
    /**
  * Adds a group to a content restriction by Group Id. That is, grant read or update
  permission to the group for a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Alternative usage: V1.Content.Restriction.Group.addGroup
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-put
  * @param options Request options.
  */
    addContentRestrictionGroup<T = AddContentRestrictionGroupResponseOK>(options: AddContentRestrictionGroupRequest): Promise<AddContentRestrictionGroupResponseOK | T>;
    /**
  * Removes a group from a content restriction. That is, remove read or update
  permission for the group for a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Alternative usage: V1.Content.Restriction.Group.removeGroup
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-delete
  * @param options Request options.
  */
    removeContentRestrictionGroup<T = RemoveContentRestrictionGroupResponseOK>(options: RemoveContentRestrictionGroupRequest): Promise<RemoveContentRestrictionGroupResponseOK | T>;
    /**
  * Restores a historical version to be the latest version. That is, a new version
  is created with the content of the historical version.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: V1.Content.Version.restoreVersion
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-post
  * @param options Request options.
  */
    restoreContentVersion<T = RestoreContentVersionResponseOK>(options: RestoreContentVersionRequest): Promise<RestoreContentVersionResponseOK | T>;
    /**
  * Delete a historical version. This does not delete the changes made to the
  content in that version, rather the changes for the deleted version are
  rolled up into the next version. Note, you cannot delete the current version.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Alternative usage: V1.Content.Version.deleteVersion
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-versionnumber-delete
  * @param options Request options.
  */
    deleteContentVersion<T = DeleteContentVersionResponseOK>(options: DeleteContentVersionRequest): Promise<DeleteContentVersionResponseOK | T>;
    /**
  * Returns the watches for a page. A user that watches a page will receive
  receive notifications when the page is updated.
  
  If you want to manage watches for a page, use the following `user` methods:
  
  - [Get content watch status for user](#api-user-watch-content-contentId-get)
  - [Add content watch](#api-user-watch-content-contentId-post)
  - [Remove content watch](#api-user-watch-content-contentId-delete)
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.Watcher.getWatchesForPage
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-content-id-notification-child-created-get
  * @param options Request options.
  */
    getWatchesForPage<T = GetWatchesForPageResponseOK>(options: GetWatchesForPageRequest): Promise<GetWatchesForPageResponseOK | T>;
    /**
  * Returns all space watches for the space that the content is in. A user that
  watches a space will receive receive notifications when any content in the
  space is updated.
  
  If you want to manage watches for a space, use the following `user` methods:
  
  - [Get space watch status for user](#api-user-watch-space-spaceKey-get)
  - [Add space watch](#api-user-watch-space-spaceKey-post)
  - [Remove space watch](#api-user-watch-space-spaceKey-delete)
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.Watcher.getWatchesForSpace
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-content-id-notification-created-get
  * @param options Request options.
  */
    getWatchesForSpace<T = GetWatchesForSpaceResponseOK>(options: GetWatchesForSpaceRequest): Promise<GetWatchesForSpaceResponseOK | T>;
    /**
     * Returns a list of watchers of a space
     * Alternative usage: V1.Watcher.getSpaceWatchers
     * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-space-spacekey-watch-get
     * @param options Request options.
     */
    getSpaceWatchers<T = GetSpaceWatchersResponseOK>(options: GetSpaceWatchersRequest): Promise<GetSpaceWatchersResponseOK | T>;
    /**
  * Returns whether a user is watching a piece of content. Choose the user by
  doing one of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.Watcher.Content.getWatcherStatus
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-get
  * @param options Request options.
  */
    getContentWatcherStatus<T = GetContentWatcherStatusResponseOK>(options: GetContentWatcherStatusRequest): Promise<GetContentWatcherStatusResponseOK | T>;
    /**
  * Adds a user as a watcher to a piece of content. Choose the user by doing
  one of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  Note, you must add the `X-Atlassian-Token: no-check` header when making a
  request, as this operation has XSRF protection.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.Watcher.Content.addWatcher
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-post
  * @param options Request options.
  */
    addContentWatcher<T = AddContentWatcherResponseOK>(options: AddContentWatcherRequest): Promise<AddContentWatcherResponseOK | T>;
    /**
  * Removes a user as a watcher from a piece of content. Choose the user by
  doing one of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.Watcher.Content.removeWatcher
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-delete
  * @param options Request options.
  */
    removeContentWatcher<T = RemoveContentWatcherResponseOK>(options: RemoveContentWatcherRequest): Promise<RemoveContentWatcherResponseOK | T>;
    /**
  * Returns whether a user is watching a label. Choose the user by doing one
  of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.Watcher.Label.getWatcherStatus
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-get
  * @param options Request options.
  */
    getLabelWatcherStatus<T = GetLabelWatcherStatusResponseOK>(options: GetLabelWatcherStatusRequest): Promise<GetLabelWatcherStatusResponseOK | T>;
    /**
  * Adds a user as a watcher to a label. Choose the user by doing one of the
  following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  Note, you must add the `X-Atlassian-Token: no-check` header when making a
  request, as this operation has XSRF protection.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.Watcher.Label.addWatcher
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-post
  * @param options Request options.
  */
    addLabelWatcher<T = AddLabelWatcherResponseOK>(options: AddLabelWatcherRequest): Promise<AddLabelWatcherResponseOK | T>;
    /**
  * Removes a user as a watcher from a label. Choose the user by doing one of
  the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.Watcher.Label.removeWatcher
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-delete
  * @param options Request options.
  */
    removeLabelWatcher<T = RemoveLabelWatcherResponseOK>(options: RemoveLabelWatcherRequest): Promise<RemoveLabelWatcherResponseOK | T>;
    /**
  * Returns whether a user is watching a space. Choose the user by
  doing one of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.Watcher.Space.getWatcherStatus
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-get
  * @param options Request options.
  */
    getSpaceWatcherStatus<T = GetSpaceWatcherStatusResponseOK>(options: GetSpaceWatcherStatusRequest): Promise<GetSpaceWatcherStatusResponseOK | T>;
    /**
  * Adds a user as a watcher to a space. Choose the user by doing one of the
  following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  Note, you must add the `X-Atlassian-Token: no-check` header when making a
  request, as this operation has XSRF protection.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.Watcher.Space.addWatcher
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-post
  * @param options Request options.
  */
    addSpaceWatcher<T = AddSpaceWatcherResponseOK>(options: AddSpaceWatcherRequest): Promise<AddSpaceWatcherResponseOK | T>;
    /**
  * Removes a user as a watcher from a space. Choose the user by doing one of
  the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.Watcher.Space.removeWatcher
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-delete
  * @param options Request options.
  */
    removeSpaceWatcher<T = RemoveSpaceWatcherResponseOK>(options: RemoveSpaceWatcherRequest): Promise<RemoveSpaceWatcherResponseOK | T>;
    /**
  * Returns all user groups. The returned groups are ordered alphabetically in
  ascending order by group name.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.UserGroup.getUserGroups
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-get
  * @param options Request options.
  */
    getUserGroups<T = GetUserGroupsResponseOK>(options?: GetUserGroupsRequest): Promise<GetUserGroupsResponseOK | T>;
    /**
  * Creates a new user group.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  User must be a site admin.
  * Alternative usage: V1.UserGroup.createUserGroup
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-post
  * @param options Request options.
  */
    createUserGroup<T = CreateUserGroupResponseOK>(options: CreateUserGroupRequest): Promise<CreateUserGroupResponseOK | T>;
    /**
  * Delete user group.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  User must be a site admin.
  * Alternative usage: V1.UserGroup.deleteUserGroupById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-by-id-delete
  * @param options Request options.
  */
    deleteUserGroupById<T = DeleteUserGroupByIdResponseOK>(options: DeleteUserGroupByIdRequest): Promise<DeleteUserGroupByIdResponseOK | T>;
    /**
  * Returns a user group for a given group id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.UserGroup.getUserGroupById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-by-id-get
  * @param options Request options.
  */
    getUserGroupById<T = GetUserGroupByIdResponseOK>(options: GetUserGroupByIdRequest): Promise<GetUserGroupByIdResponseOK | T>;
    /**
  * Adds a user as a member in a group represented by its groupId
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  User must be a site admin.
  * Alternative usage: V1.UserGroup.Member.addMemberById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-userbygroupid-post
  * @param options Request options.
  */
    addUserGroupMembersById<T = AddUserGroupMembersByIdResponseOK>(options: AddUserGroupMembersByIdRequest): Promise<AddUserGroupMembersByIdResponseOK | T>;
    /**
  * Remove user as a member from a group.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  User must be a site admin.
  * Alternative usage: V1.UserGroup.Member.removeMemberById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-userbygroupid-delete
  * @param options Request options.
  */
    removeUserGroupMembersById<T = RemoveUserGroupMembersByIdResponseOK>(options: RemoveUserGroupMembersByIdRequest): Promise<RemoveUserGroupMembersByIdResponseOK | T>;
    /**
  * Returns the users that are members of a group.
  
  Use updated Get group API
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.UserGroup.Member.getMembersById
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-groupid-membersbygroupid-get
  * @param options Request options.
  */
    getUserGroupMembersById<T = GetUserGroupMembersByIdResponseOK>(options: GetUserGroupMembersByIdRequest): Promise<GetUserGroupMembersByIdResponseOK | T>;
    /**
  * Returns label information and a list of contents associated with the label.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission). Only contents
  that the user is permitted to view is returned.
  * Alternative usage: V1.Label.getInfo
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-label-info/#api-wiki-rest-api-label-get
  * @param options Request options.
  */
    getLabelInfo<T = GetLabelInfoResponseOK>(options: GetLabelInfoRequest): Promise<GetLabelInfoResponseOK | T>;
    /**
  * Returns information about all active long-running tasks (e.g. space export),
  such as how long each task has been running and the percentage of each task
  that has completed.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.LongRunningTask.getLongRunningTasks
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-long-running-task/#api-wiki-rest-api-longtask-get
  * @param options Request options.
  */
    getLongRunningTasks<T = GetLongRunningTasksResponseOK>(options?: GetLongRunningTasksRequest): Promise<GetLongRunningTasksResponseOK | T>;
    /**
  * Returns information about an active long-running task (e.g. space export),
  such as how long it has been running and the percentage of the task that
  has completed.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.LongRunningTask.getLongRunningTask
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-long-running-task/#api-wiki-rest-api-longtask-id-get
  * @param options Request options.
  */
    getLongRunningTask<T = GetLongRunningTaskResponseOK>(options: GetLongRunningTaskRequest): Promise<GetLongRunningTaskResponseOK | T>;
    /**
  * Returns all target entities that have a particular relationship to the
  source entity. Note, relationships are one way.
  
  For example, the following method finds all content that the current user
  has an 'ignore' relationship with:
  `GET /wiki/rest/api/relation/ignore/from/user/current/to/content`
  Note, 'ignore' is an example custom relationship type.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view both the target entity and source entity.
  * Alternative usage: V1.Relation.findTargetEntitiesRelatedToSourceEntity
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-get
  * @param options Request options.
  */
    findTargetEntitiesRelatedToSourceEntity<T = FindTargetEntitiesRelatedToSourceEntityResponseOK>(options: FindTargetEntitiesRelatedToSourceEntityRequest): Promise<FindTargetEntitiesRelatedToSourceEntityResponseOK | T>;
    /**
  * Find whether a particular type of relationship exists from a source
  entity to a target entity. Note, relationships are one way.
  
  For example, you can use this method to find whether the current user has
  selected a particular page as a favorite (i.e. 'save for later'):
  `GET /wiki/rest/api/relation/favourite/from/user/current/to/content/123`
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view both the target entity and source entity.
  * Alternative usage: V1.Relation.findRelationshipFromSourceToTarget
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-get
  * @param options Request options.
  */
    findRelationshipFromSourceToTarget<T = FindRelationshipFromSourceToTargetResponseOK>(options: FindRelationshipFromSourceToTargetRequest): Promise<FindRelationshipFromSourceToTargetResponseOK | T>;
    /**
  * Creates a relationship between two entities (user, space, content). The
  'favourite' relationship is supported by default, but you can use this method
  to create any type of relationship between two entities.
  
  For example, the following method creates a 'sibling' relationship between
  two pieces of content:
  `PUT /wiki/rest/api/relation/sibling/from/content/123/to/content/456`
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.Relation.createRelationship
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-put
  * @param options Request options.
  */
    createRelationship<T = CreateRelationshipResponseOK>(options: CreateRelationshipRequest): Promise<CreateRelationshipResponseOK | T>;
    /**
  * Deletes a relationship between two entities (user, space, content).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  For favourite relationships, the current user can only delete their own
  favourite relationships. A space administrator can delete favourite
  relationships for any user.
  * Alternative usage: V1.Relation.deleteRelationship
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-delete
  * @param options Request options.
  */
    deleteRelationship<T = DeleteRelationshipResponseOK>(options: DeleteRelationshipRequest): Promise<DeleteRelationshipResponseOK | T>;
    /**
  * Returns all target entities that have a particular relationship to the
  source entity. Note, relationships are one way.
  
  For example, the following method finds all users that have a 'collaborator'
  relationship to a piece of content with an ID of '1234':
  `GET /wiki/rest/api/relation/collaborator/to/content/1234/from/user`
  Note, 'collaborator' is an example custom relationship type.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view both the target entity and source entity.
  * Alternative usage: V1.Relation.findSourceEntitiesRelatedToTargetEntity
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-to-targettype-targetkey-from-sourcetype-get
  * @param options Request options.
  */
    findSourceEntitiesRelatedToTargetEntity<T = FindSourceEntitiesRelatedToTargetEntityResponseOK>(options: FindSourceEntitiesRelatedToTargetEntityRequest): Promise<FindSourceEntitiesRelatedToTargetEntityResponseOK | T>;
    /**
  * Searches for content using the
  [Confluence Query Language (CQL)](https://developer.atlassian.com/cloud/confluence/advanced-searching-using-cql/).
  
  **Note that CQL input queries submitted through the `/wiki/rest/api/search` endpoint no longer support user-specific fields like `user`, `user.fullname`, `user.accountid`, and `user.userkey`.**
  See this [deprecation notice](https://developer.atlassian.com/cloud/confluence/deprecation-notice-search-api/) for more details.
  
  Example initial call:
  ```
  /wiki/rest/api/search?cql=type=page&limit=25
  ```
  
  Example response:
  ```
  {
    "results": [
      { ... },
      { ... },
      ...
      { ... }
    ],
    "limit": 25,
    "size": 25,
    ...
    "_links": {
      "base": "<url>",
      "context": "<url>",
      "next": "/rest/api/search?cql=type=page&limit=25&cursor=raNDoMsTRiNg",
      "self": "<url>"
    }
  }
  ```
  
  When additional results are available, returns `next` and `prev` URLs to retrieve them in subsequent calls. The URLs each contain a cursor that points to the appropriate set of results. Use `limit` to specify the number of results returned in each call.
  
  Example subsequent call (taken from example response):
  ```
  /wiki/rest/api/search?cql=type=page&limit=25&cursor=raNDoMsTRiNg
  ```
  The response to this will have a `prev` URL similar to the `next` in the example response.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the entities. Note, only entities that the user has
  permission to view will be returned.
  * Alternative usage: V1.Search.searchContent
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-search/#api-wiki-rest-api-search-get
  * @param options Request options.
  */
    searchContent<T = SearchContentResponseOK>(options: SearchContentRequest): Promise<SearchContentResponseOK | T>;
    /**
  * Searches for users using user-specific queries from the
  [Confluence Query Language (CQL)](https://developer.atlassian.com/cloud/confluence/advanced-searching-using-cql/).
  
  Note that CQL input queries submitted through the `/wiki/rest/api/search/user` endpoint only support user-specific fields like `user`, `user.fullname`, `user.accountid`, and `user.userkey`.
  
  Note that some user fields may be set to null depending on the user's privacy settings.
  These are: email, profilePicture, displayName, and timeZone.
  * Alternative usage: V1.Search.searchUsers
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-search/#api-wiki-rest-api-search-user-get
  * @param options Request options.
  */
    searchUsers<T = SearchUsersResponseOK>(options: SearchUsersRequest): Promise<SearchUsersResponseOK | T>;
    /**
  * Returns the look and feel settings for the site or a single space. This
  includes attributes such as the color scheme, padding, and border radius.
  
  The look and feel settings for a space can be inherited from the global
  look and feel settings or provided by a theme.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  None
  * Alternative usage: V1.Setting.getLookAndFeelSettings
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-get
  * @param options Request options.
  */
    getLookAndFeelSettings<T = GetLookAndFeelSettingsResponseOK>(options?: GetLookAndFeelSettingsRequest): Promise<GetLookAndFeelSettingsResponseOK | T>;
    /**
  * Updates the look and feel settings for the site or for a single space.
  If custom settings exist, they are updated. If no custom settings exist,
  then a set of custom settings is created.
  
  Note, if a theme is selected for a space, the space look and feel settings
  are provided by the theme and cannot be overridden.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Alternative usage: V1.Setting.updateLookAndFeelSettings
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-custom-post
  * @param options Request options.
  */
    updateLookAndFeelSettings<T = UpdateLookAndFeelSettingsResponseOK>(options: UpdateLookAndFeelSettingsRequest): Promise<UpdateLookAndFeelSettingsResponseOK | T>;
    /**
  * Resets the custom look and feel settings for the site or a single space.
  This changes the values of the custom settings to be the same as the
  default settings. It does not change which settings (default or custom)
  are selected. Note, the default space settings are inherited from the
  current global settings.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Alternative usage: V1.Setting.resetLookAndFeelSettings
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-custom-delete
  * @param options Request options.
  */
    resetLookAndFeelSettings<T = ResetLookAndFeelSettingsResponseOK>(options?: ResetLookAndFeelSettingsRequest): Promise<ResetLookAndFeelSettingsResponseOK | T>;
    /**
  * Returns the system information for the Confluence Cloud tenant. This
  information is used by Atlassian.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.Setting.getSystemInfo
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-systeminfo-get
  * @param options Request options.
  */
    getSystemInfo<T = GetSystemInfoResponseOK>(options?: GetSystemInfoRequest): Promise<GetSystemInfoResponseOK | T>;
    /**
  * Creates a new space. Note, currently you cannot set space labels when
  creating a space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Create Space(s)' global permission.
  * Alternative usage: V1.Space.createSpace
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-post
  * @param options Request options.
  */
    createSpace<T = CreateSpaceResponseOK>(options: CreateSpaceRequest): Promise<CreateSpaceResponseOK | T>;
    /**
  * Updates the name, description, or homepage of a space.
  
  -   For security reasons, permissions cannot be updated via the API and
  must be changed via the user interface instead.
  -   Currently you cannot set space labels when updating a space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Alternative usage: V1.Space.updateSpace
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-put
  * @param options Request options.
  */
    updateSpace<T = UpdateSpaceResponseOK>(options: UpdateSpaceRequest): Promise<UpdateSpaceResponseOK | T>;
    /**
  * Permanently deletes a space without sending it to the trash. Note, the space will be deleted in a long running task.
  Therefore, the space may not be deleted yet when this method has
  returned. Clients should poll the status link that is returned in the
  response until the task completes.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Alternative usage: V1.Space.deleteSpace
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-delete
  * @param options Request options.
  */
    deleteSpace<T = DeleteSpaceResponseOK>(options: DeleteSpaceRequest): Promise<DeleteSpaceResponseOK | T>;
    /**
  * Creates a new space that is only visible to the creator. This method is
  the same as the [Create space](#api-space-post) method with permissions
  set to the current user only. Note, currently you cannot set space
  labels when creating a space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Create Space(s)' global permission.
  * Alternative usage: V1.Space.Private.createSpace
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-private-post
  * @param options Request options.
  */
    createPrivateSpace<T = CreatePrivateSpaceResponseOK>(options: CreatePrivateSpaceRequest): Promise<CreatePrivateSpaceResponseOK | T>;
    /**
  * Returns the settings of a space. Currently only the
  `routeOverrideEnabled` setting can be returned.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space.
  * Alternative usage: V1.Space.Setting.getSettings
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-settings/#api-wiki-rest-api-space-spacekey-settings-get
  * @param options Request options.
  */
    getSpaceSettings<T = GetSpaceSettingsResponseOK>(options: GetSpaceSettingsRequest): Promise<GetSpaceSettingsResponseOK | T>;
    /**
  * Updates the settings for a space. Currently only the
  `routeOverrideEnabled` setting can be updated.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Alternative usage: V1.Space.Setting.updateSettings
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-settings/#api-wiki-rest-api-space-spacekey-settings-put
  * @param options Request options.
  */
    updateSpaceSettings<T = UpdateSpaceSettingsResponseOK>(options: UpdateSpaceSettingsRequest): Promise<UpdateSpaceSettingsResponseOK | T>;
    /**
  * Updates a content template. Note, blueprint templates cannot be updated
  via the REST API.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space to update a space template or 'Confluence Administrator'
  global permission to update a global template.
  * Alternative usage: V1.Template.updateContentTemplate
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-put
  * @param options Request options.
  */
    updateContentTemplate<T = UpdateContentTemplateResponseOK>(options: UpdateContentTemplateRequest): Promise<UpdateContentTemplateResponseOK | T>;
    /**
  * Creates a new content template. Note, blueprint templates cannot be created via the REST API.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space to create a space template or 'Confluence Administrator'
  global permission to create a global template.
  * Alternative usage: V1.Template.createContentTemplate
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-post
  * @param options Request options.
  */
    createContentTemplate<T = CreateContentTemplateResponseOK>(options: CreateContentTemplateRequest): Promise<CreateContentTemplateResponseOK | T>;
    /**
  * Returns all templates provided by blueprints. Use this method to retrieve
  all global blueprint templates or all blueprint templates in a space.
  
  Note, all global blueprints are inherited by each space. Space blueprints
  can be customised without affecting the global blueprints.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space to view blueprints for the space and permission
  to access the Confluence site ('Can use' global permission) to view global blueprints.
  * Alternative usage: V1.Template.getBlueprintTemplates
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-blueprint-get
  * @param options Request options.
  */
    getBlueprintTemplates<T = GetBlueprintTemplatesResponseOK>(options?: GetBlueprintTemplatesRequest): Promise<GetBlueprintTemplatesResponseOK | T>;
    /**
  * Returns all content templates. Use this method to retrieve all global
  content templates or all content templates in a space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space to view space templates and permission to
  access the Confluence site ('Can use' global permission) to view global templates.
  * Alternative usage: V1.Template.getContentTemplates
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-page-get
  * @param options Request options.
  */
    getContentTemplates<T = GetContentTemplatesResponseOK>(options?: GetContentTemplatesRequest): Promise<GetContentTemplatesResponseOK | T>;
    /**
  * Returns a content template. This includes information about template,
  like the name, the space or blueprint that the template is in, the body
  of the template, and more.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space to view space templates and permission to
  access the Confluence site ('Can use' global permission) to view global templates.
  * Alternative usage: V1.Template.getContentTemplate
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-contenttemplateid-get
  * @param options Request options.
  */
    getContentTemplate<T = GetContentTemplateResponseOK>(options: GetContentTemplateRequest): Promise<GetContentTemplateResponseOK | T>;
    /**
  * Deletes a template. This results in different actions depending on the
  type of template:
  
  - If the template is a content template, it is deleted.
  - If the template is a modified space-level blueprint template, it reverts
  to the template inherited from the global-level blueprint template.
  - If the template is a modified global-level blueprint template, it reverts
  to the default global-level blueprint template.
  
   Note, unmodified blueprint templates cannot be deleted.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
          'Admin' permission for the space to delete a space template or 'Confluence Administrator'
          global permission to delete a global template.
  * Alternative usage: V1.Template.removeTemplate
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-contenttemplateid-delete
  * @param options Request options.
  */
    removeTemplate<T = RemoveTemplateResponseOK>(options: RemoveTemplateRequest): Promise<RemoveTemplateResponseOK | T>;
    /**
  * Returns all themes, not including the default theme.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: None
  * Alternative usage: V1.Theme.getThemes
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-get
  * @param options Request options.
  */
    getThemes<T = GetThemesResponseOK>(options?: GetThemesRequest): Promise<GetThemesResponseOK | T>;
    /**
  * Returns the globally assigned theme.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: None
  * Alternative usage: V1.Theme.getGlobalTheme
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-selected-get
  * @param options Request options.
  */
    getGlobalTheme<T = GetGlobalThemeResponseOK>(options?: GetGlobalThemeRequest): Promise<GetGlobalThemeResponseOK | T>;
    /**
  * Returns a theme. This includes information about the theme name,
  description, and icon.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: None
  * Alternative usage: V1.Theme.getTheme
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-themekey-get
  * @param options Request options.
  */
    getTheme<T = GetThemeResponseOK>(options: GetThemeRequest): Promise<GetThemeResponseOK | T>;
    /**
  * Returns the theme selected for a space, if one is set. If no space
  theme is set, this means that the space is inheriting the global look
  and feel settings.
  
  **[Permissions required](https://confluence.atlassian.com/x/_AozKw)**: ‘View’ permission for the space.
  * Alternative usage: V1.Theme.getSpaceTheme
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-get
  * @param options Request options.
  */
    getSpaceTheme<T = GetSpaceThemeResponseOK>(options: GetSpaceThemeRequest): Promise<GetSpaceThemeResponseOK | T>;
    /**
  * Sets the theme for a space. Note, if you want to reset the space theme to
  the default Confluence theme, use the 'Reset space theme' method instead
  of this method.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Alternative usage: V1.Theme.setSpaceTheme
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-put
  * @param options Request options.
  */
    setSpaceTheme<T = SetSpaceThemeResponseOK>(options: SetSpaceThemeRequest): Promise<SetSpaceThemeResponseOK | T>;
    /**
  * Resets the space theme. This means that the space will inherit the
  global look and feel settings
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Alternative usage: V1.Theme.resetSpaceTheme
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-delete
  * @param options Request options.
  */
    resetSpaceTheme<T = ResetSpaceThemeResponseOK>(options: ResetSpaceThemeRequest): Promise<ResetSpaceThemeResponseOK | T>;
    /**
  * Returns a user. This includes information about the user, such as the
  display name, account ID, profile picture, and more. The information returned may be
  restricted by the user's profile visibility settings.
  
  **Note:** to add, edit, or delete users in your organization, see the
  [user management REST API](/cloud/admin/user-management/about/).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.User.getUser
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-group-users
  * @param options Request options.
  */
    getUser<T = GetUserResponseOK>(options: GetUserRequest): Promise<GetUserResponseOK | T>;
    /**
  * Returns information about how anonymous users are represented, like the
  profile picture and display name.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.User.getAnonymousUser
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-anonymous-get
  * @param options Request options.
  */
    getAnonymousUser<T = GetAnonymousUserResponseOK>(options?: GetAnonymousUserRequest): Promise<GetAnonymousUserResponseOK | T>;
    /**
  * Returns the currently logged-in user. This includes information about
  the user, like the display name, userKey, account ID, profile picture,
  and more.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.User.getCurrentUser
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-current-get
  * @param options Request options.
  */
    getCurrentUser<T = GetCurrentUserResponseOK>(options?: GetCurrentUserRequest): Promise<GetCurrentUserResponseOK | T>;
    /**
  * Returns the groups that a user is a member of.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.User.getGroupsWhereUserMember
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-memberof-get
  * @param options Request options.
  */
    getGroupsWhereUserMember<T = GetGroupsWhereUserMemberResponseOK>(options: GetGroupsWhereUserMemberRequest): Promise<GetGroupsWhereUserMemberResponseOK | T>;
    /**
  * Returns user details for the ids provided in the request.
  Currently this API returns a maximum of 100 results.
  If more than 100 account ids are passed in, then the first 100 will be returned.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.User.getUsersWithIds
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-bulk-get
  * @param options Request options.
  */
    getUsersWithIds<T = GetUsersWithIdsResponseOK>(options: GetUsersWithIdsRequest): Promise<GetUsersWithIdsResponseOK | T>;
    /**
  * Returns a user's email address regardless of the user's profile visibility settings. For Connect apps, this API is only available to apps approved by
  Atlassian, according to these [guidelines](https://community.developer.atlassian.com/t/guidelines-for-requesting-access-to-email-address/27603).
  For Forge apps, this API only supports access via asApp() requests.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.User.getUserEmail
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-email-get
  * @param options Request options.
  */
    getUserEmail<T = GetUserEmailResponseOK>(options: GetUserEmailRequest): Promise<GetUserEmailResponseOK | T>;
    /**
  * Returns a user's email address regardless of the user’s profile visibility settings. For Connect apps, this API is only available to apps approved by
  Atlassian, according to these [guidelines](https://community.developer.atlassian.com/t/guidelines-for-requesting-access-to-email-address/27603).
  For Forge apps, this API only supports access via asApp() requests.
  
  Any accounts which are not available will not be included in the result.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Alternative usage: V1.User.getUserEmails
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-email-bulk-get
  * @param options Request options.
  */
    getUserEmails<T = GetUserEmailsResponseOK>(options: GetUserEmailsRequest): Promise<GetUserEmailsResponseOK | T>;
}
declare class AttachmentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    BlogPost: AttachmentBlogPostGroup;
    CustomContent: AttachmentCustomContentGroup;
    Label: AttachmentLabelGroup;
    Page: AttachmentPageGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all attachments. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the container of the attachment.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-attachments-get
  * @param options Request options.
  */
    getAttachments<T = GetAttachmentsResponseOK>(options?: GetAttachmentsRequest): Promise<GetAttachmentsResponseOK | T>;
    /**
  * Returns a specific attachment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the attachment's container.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-attachments-id-get
  * @param options Request options.
  */
    getAttachmentById<T = GetAttachmentByIdsResponseOK>(options: GetAttachmentByIdsRequest): Promise<GetAttachmentByIdsResponseOK | T>;
    /**
  * Delete an attachment by id.
  
  Deleting an attachment moves the attachment to the trash, where it can be restored later. To permanently delete an attachment (or "purge" it),
  the endpoint must be called on a **trashed** attachment with the following param `purge=true`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the container of the attachment.
  Permission to delete attachments in the space.
  Permission to administer the space (if attempting to purge).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-attachments-id-delete
  * @param options Request options.
  */
    deleteAttachment<T = DeleteAttachmentResponseOK>(options: DeleteAttachmentRequest): Promise<DeleteAttachmentResponseOK | T>;
}
declare class AttachmentBlogPostGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the attachments of specific blog post. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the blog post and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-blogposts-id-attachments-get
  * @param options Request options.
  */
    getAttachments<T = GetAttachmentsForBlogPostResponseOK>(options: GetAttachmentsForBlogPostRequest): Promise<GetAttachmentsForBlogPostResponseOK | T>;
}
declare class AttachmentCustomContentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the attachments of specific custom content. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the custom content and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-custom-content-id-attachments-get
  * @param options Request options.
  */
    getAttachments<T = GetAttachmentsForCustomContentResponseOK>(options: GetAttachmentsForCustomContentRequest): Promise<GetAttachmentsForCustomContentResponseOK | T>;
}
declare class AttachmentLabelGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the attachments of specified label. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the attachment and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-labels-id-attachments-get
  * @param options Request options.
  */
    getAttachments<T = GetAttachmentsForLabelResponseOK>(options: GetAttachmentsForLabelRequest): Promise<GetAttachmentsForLabelResponseOK | T>;
}
declare class AttachmentPageGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the attachments of specific page. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-attachment/#api-pages-id-attachments-get
  * @param options Request options.
  */
    getAttachments<T = GetAttachmentsForPageResponseOK>(options: GetAttachmentsForPageRequest): Promise<GetAttachmentsForPageResponseOK | T>;
}
declare class AncestorGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all ancestors for a given page by ID in top-to-bottom order (that is, the highest ancestor is the first
  item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available by calling this endpoint with the ID of first ancestor in the response payload.
  
  This endpoint returns minimal information about each ancestor. To fetch more details, use a related endpoint, such
  as [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-pages-id-ancestors-get
  * @param options Request options.
  */
    getAllAncestorsOfPage<T = GetAllAncestorsOfPageResponseOK>(options: GetAllAncestorsOfPageRequest): Promise<GetAllAncestorsOfPageResponseOK | T>;
    /**
  * Returns all ancestors for a given whiteboard by ID in top-to-bottom order (that is, the highest ancestor is the first
  item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available by calling this endpoint with the ID of first ancestor in the response payload.
  
  This endpoint returns minimal information about each ancestor. To fetch more details, use a related endpoint, such
  as [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the whiteboard and its corresponding space
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-whiteboards-id-ancestors-get
  * @param options Request options.
  */
    getAllAncestorsOfWhiteboard<T = GetAllAncestorsOfWhiteboardResponseOK>(options: GetAllAncestorsOfWhiteboardRequest): Promise<GetAllAncestorsOfWhiteboardResponseOK | T>;
    /**
  * Returns all ancestors for a given database by ID in top-to-bottom order (that is, the highest ancestor is the first
  item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available by calling this endpoint with the ID of first ancestor in the response payload.
  
  This endpoint returns minimal information about each ancestor. To fetch more details, use a related endpoint, such
  as [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the database and its corresponding space
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-databases-id-ancestors-get
  * @param options Request options.
  */
    getAllAncestorsOfDatabase<T = GetAllAncestorsOfDatabaseResponseOK>(options: GetAllAncestorsOfDatabaseRequest): Promise<GetAllAncestorsOfDatabaseResponseOK | T>;
    /**
  * Returns all ancestors for a given Smart Link in the content tree by ID in top-to-bottom order (that is, the highest ancestor is
  the first item in the response payload). The number of results is limited by the `limit` parameter and additional results
  (if available) will be available by calling this endpoint with the ID of first ancestor in the response payload.
  
  This endpoint returns minimal information about each ancestor. To fetch more details, use a related endpoint, such
  as [Get Smart Link in the content tree by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the Smart Link in the content tree and its corresponding space
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-embeds-id-ancestors-get
  * @param options Request options.
  */
    getAllAncestorsOfSmartLink<T = GetAllAncestorsOfSmartLinkResponseOK>(options: GetAllAncestorsOfSmartLinkRequest): Promise<GetAllAncestorsOfSmartLinkResponseOK | T>;
    /**
  * Returns all ancestors for a given folder by ID in top-to-bottom order (that is, the highest ancestor is
  the first item in the response payload). The number of results is limited by the `limit` parameter and additional results
  (if available) will be available by calling this endpoint with the ID of first ancestor in the response payload.
  
  This endpoint returns minimal information about each ancestor. To fetch more details, use a related endpoint, such
  as [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-folders-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the folder and its corresponding space
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-ancestors/#api-folders-id-ancestors-get
  * @param options Request options.
  */
    getAllAncestorsOfFolder<T = GetAllAncestorsOfFolderResponseOK>(options: GetAllAncestorsOfFolderRequest): Promise<GetAllAncestorsOfFolderResponseOK | T>;
}
declare class BlogPostGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all blog posts. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only blog posts that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-get
  * @param options Request options.
  */
    getBlogPosts<T = GetBlogPostsResponseOK>(options?: GetBlogPostsRequest): Promise<GetBlogPostsResponseOK | T>;
    /**
  * Creates a new blog post in the space specified by the spaceId.
  
  By default this will create the blog post as a non-draft, unless the status is specified as draft.
  If creating a non-draft, the title must not be empty.
  
  Currently only supports the storage representation specified in the body.representation enums below
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-post
  * @param options Request options.
  */
    createBlogPost<T = CreateBlogPostResponseOK>(options: CreateBlogPostRequest): Promise<CreateBlogPostResponseOK | T>;
    /**
  * Returns a specific blog post.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the blog post and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-id-get
  * @param options Request options.
  */
    getBlogPostById<T = GetBlogPostByIdResponseOK>(options: GetBlogPostByIdRequest): Promise<GetBlogPostByIdResponseOK | T>;
    /**
  * Update a blog post by id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the blog post and its corresponding space. Permission to update blog posts in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-id-put
  * @param options Request options.
  */
    updateBlogPost<T = UpdateBlogPostResponseOK>(options: UpdateBlogPostRequest): Promise<UpdateBlogPostResponseOK | T>;
    /**
  * Delete a blog post by id.
  
  By default this will delete blog posts that are non-drafts. To delete a blog post that is a draft, the endpoint must be called on a
  draft with the following param `draft=true`. Discarded drafts are not sent to the trash and are permanently deleted.
  
  Deleting a blog post that is not a draft moves the blog post to the trash, where it can be restored later.
  To permanently delete a blog post (or "purge" it), the endpoint must be called on a **trashed** blog post with the following param `purge=true`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the blog post and its corresponding space.
  Permission to delete blog posts in the space.
  Permission to administer the space (if attempting to purge).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-blogposts-id-delete
  * @param options Request options.
  */
    deleteBlogPost<T = DeleteBlogPostResponseOK>(options: DeleteBlogPostRequest): Promise<DeleteBlogPostResponseOK | T>;
    /**
  * Returns the blogposts of specified label. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-labels-id-blogposts-get
  * @param options Request options.
  */
    getBlogPostsForLabel<T = GetBlogPostsForLabelResponseOK>(options: GetBlogPostsForLabelRequest): Promise<GetBlogPostsForLabelResponseOK | T>;
    /**
  * Returns all blog posts in a space. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission) and view the space.
  Only blog posts that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-blog-post/#api-spaces-id-blogposts-get
  * @param options Request options.
  */
    getBlogPostsInSpace<T = GetBlogPostsInSpaceResponseOK>(options: GetBlogPostsInSpaceRequest): Promise<GetBlogPostsInSpaceResponseOK | T>;
}
declare class ChildrenGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all children for given whiteboard id in the content tree. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each child. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only content that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-whiteboards-id-direct-children-get
  * @param options Request options.
  */
    getWhiteboardDirectChildren<T = GetWhiteboardDirectChildrenResponseOK>(options: GetWhiteboardDirectChildrenRequest): Promise<GetWhiteboardDirectChildrenResponseOK | T>;
    /**
  * Returns all children for given database id in the content tree. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each child. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only content that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-databases-id-direct-children-get
  * @param options Request options.
  */
    getDatabaseDirectChildren<T = GetDatabaseDirectChildrenResponseOK>(options: GetDatabaseDirectChildrenRequest): Promise<GetDatabaseDirectChildrenResponseOK | T>;
    /**
  * Returns all children for given smart link id in the content tree. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each child. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only content that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-embeds-id-direct-children-get
  * @param options Request options.
  */
    getSmartLinkDirectChildren<T = GetSmartLinkDirectChildrenResponseOK>(options: GetSmartLinkDirectChildrenRequest): Promise<GetSmartLinkDirectChildrenResponseOK | T>;
    /**
  * Returns all children for given folder id in the content tree. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each child. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only content that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-folders-id-direct-children-get
  * @param options Request options.
  */
    getFolderDirectChildren<T = GetFolderDirectChildrenResponseOK>(options: GetFolderDirectChildrenRequest): Promise<GetFolderDirectChildrenResponseOK | T>;
    /**
  * Returns all child pages for given page id. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only pages that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-pages-id-children-get
  * @param options Request options.
  * @deprecated
  */
    getChildPages<T = GetChildPagesResponseOK>(options: GetChildPagesRequest): Promise<GetChildPagesResponseOK | T>;
    /**
  * Returns all children for given page id in the content tree. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each child. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only content that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-pages-id-direct-children-get
  * @param options Request options.
  */
    getPageDirectChildren<T = GetPageDirectChildrenResponseOK>(options: GetPageDirectChildrenRequest): Promise<GetPageDirectChildrenResponseOK | T>;
    /**
  * Returns all child custom content for given custom content id. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only custom content that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-children/#api-custom-content-id-children-get
  * @param options Request options.
  */
    getChildCustomContent<T = GetChildCustomContentResponseOK>(options: GetChildCustomContentRequest): Promise<GetChildCustomContentResponseOK | T>;
}
declare class CommentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Attachment: CommentAttachmentGroup;
    CustomContent: CommentCustomContentGroup;
    Footer: CommentFooterGroup;
    Inline: CommentInlineGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
}
declare class CommentAttachmentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the comments of the specific attachment.
  The number of results is limited by the `limit` parameter and additional results (if available) will be available through
  the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the attachment and its corresponding containers.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-attachments-id-footer-comments-get
  * @param options Request options.
  */
    getComments<T = GetAttachmentCommentsResponseOK>(options: GetAttachmentCommentsRequest): Promise<GetAttachmentCommentsResponseOK | T>;
}
declare class CommentCustomContentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the comments of the specific custom content.
  The number of results is limited by the `limit` parameter and additional results (if available) will be available through
  the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content and its corresponding containers.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-custom-content-id-footer-comments-get
  * @param options Request options.
  */
    getComments<T = GetCustomContentCommentsResponseOK>(options: GetCustomContentCommentsRequest): Promise<GetCustomContentCommentsResponseOK | T>;
}
declare class CommentFooterGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Page: CommentFooterPageGroup;
    BlogPost: CommentFooterBlogPostGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all footer comments. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the container and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-get
  * @param options Request options.
  */
    getComments<T = GetFooterCommentsResponseOK>(options?: GetFooterCommentsRequest): Promise<GetFooterCommentsResponseOK | T>;
    /**
  * Create a footer comment.
  
  The footer comment can be made against several locations:
  - at the top level (specifying pageId or blogPostId in the request body)
  - as a reply (specifying parentCommentId in the request body)
  - against an attachment (note: this is different than the comments added via the attachment properties page on the UI, which are referred to as version comments)
  - against a custom content
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space. Permission to create comments in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-post
  * @param options Request options.
  */
    createComment<T = CreateFooterCommentResponseOK>(options: CreateFooterCommentRequest): Promise<CreateFooterCommentResponseOK | T>;
    /**
  * Retrieves a footer comment by id
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the container and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-comment-id-get
  * @param options Request options.
  */
    getCommentById<T = GetFooterCommentByIdResponseOK>(options: GetFooterCommentByIdRequest): Promise<GetFooterCommentByIdResponseOK | T>;
    /**
  * Update a footer comment. This can be used to update the body text of a comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space. Permission to create comments in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-comment-id-put
  * @param options Request options.
  */
    updateComment<T = UpdateFooterCommentResponseOK>(options: UpdateFooterCommentRequest): Promise<UpdateFooterCommentResponseOK | T>;
    /**
  * Deletes a footer comment. This is a permanent deletion and cannot be reverted.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space. Permission to delete comments in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-comment-id-delete
  * @param options Request options.
  */
    deleteComment<T = DeleteFooterCommentResponseOK>(options: DeleteFooterCommentRequest): Promise<DeleteFooterCommentResponseOK | T>;
    /**
  * Returns the children footer comments of specific comment. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-footer-comments-id-children-get
  * @param options Request options.
  */
    getChildrenComments<T = GetChildrenFooterCommentsResponseOK>(options: GetChildrenFooterCommentsRequest): Promise<GetChildrenFooterCommentsResponseOK | T>;
}
declare class CommentFooterPageGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the root footer comments of specific page. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-pages-id-footer-comments-get
  * @param options Request options.
  */
    getComments<T = GetFooterCommentsForPageResponseOK>(options: GetFooterCommentsForPageRequest): Promise<GetFooterCommentsForPageResponseOK | T>;
}
declare class CommentFooterBlogPostGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the root footer comments of specific blog post. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the blog post and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-blogposts-id-footer-comments-get
  * @param options Request options.
  */
    getComments<T = GetFooterCommentsForBlogPostResponseOK>(options: GetFooterCommentsForBlogPostRequest): Promise<GetFooterCommentsForBlogPostResponseOK | T>;
}
declare class CommentInlineGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Page: CommentInlinePageGroup;
    BlogPost: CommentInlineBlogPostGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all inline comments. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-get
  * @param options Request options.
  */
    getComments<T = GetInlineCommentsResponseOK>(options?: GetInlineCommentsRequest): Promise<GetInlineCommentsResponseOK | T>;
    /**
  * Create an inline comment. This can be at the top level (specifying pageId or blogPostId in the request body)
  or as a reply (specifying parentCommentId in the request body). Note the inlineCommentProperties object in the
  request body is used to select the text the inline comment should be tied to. This is what determines the text
  highlighting when viewing a page in Confluence.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space. Permission to create comments in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-post
  * @param options Request options.
  */
    createComment<T = CreateInlineCommentResponseOK>(options: CreateInlineCommentRequest): Promise<CreateInlineCommentResponseOK | T>;
    /**
  * Retrieves an inline comment by id
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-comment-id-get
  * @param options Request options.
  */
    getCommentById<T = GetInlineCommentByIdResponseOK>(options: GetInlineCommentByIdRequest): Promise<GetInlineCommentByIdResponseOK | T>;
    /**
  * Update an inline comment. This can be used to update the body text of a comment and/or to resolve the comment
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space. Permission to create comments in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-comment-id-put
  * @param options Request options.
  */
    updateComment<T = UpdateInlineCommentResponseOK>(options: UpdateInlineCommentRequest): Promise<UpdateInlineCommentResponseOK | T>;
    /**
  * Deletes an inline comment. This is a permanent deletion and cannot be reverted.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space. Permission to delete comments in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-comment-id-delete
  * @param options Request options.
  */
    deleteComment<T = DeleteInlineCommentResponseOK>(options: DeleteInlineCommentRequest): Promise<DeleteInlineCommentResponseOK | T>;
    /**
  * Returns the children inline comments of specific comment. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-inline-comments-id-children-get
  * @param options Request options.
  */
    getChildrenComments<T = GetChildrenInlineCommentsResponseOK>(options: GetChildrenInlineCommentsRequest): Promise<GetChildrenInlineCommentsResponseOK | T>;
}
declare class CommentInlinePageGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the root inline comments of specific page. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-pages-id-inline-comments-get
  * @param options Request options.
  */
    getComments<T = GetInlineCommentsForPageResponseOK>(options: GetInlineCommentsForPageRequest): Promise<GetInlineCommentsForPageResponseOK | T>;
}
declare class CommentInlineBlogPostGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the root inline comments of specific blog post. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the blog post and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-comment/#api-blogposts-id-inline-comments-get
  * @param options Request options.
  */
    getComments<T = GetInlineCommentsForFooterResponseOK>(options: GetInlineCommentsForFooterRequest): Promise<GetInlineCommentsForFooterResponseOK | T>;
}
declare class ContentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Property: ContentPropertyGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Converts a list of content ids into their associated content types. This is useful for users migrating from v1 to v2
  who may have stored just content ids without their associated type. This will return types as they should be used in v2.
  Notably, this will return `inline-comment` for inline comments and `footer-comment` for footer comments, which is distinct from them
  both being represented by `comment` in v1.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the requested content. Any content that the user does not have permission to view or does not exist will map to `null` in the response.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content/#api-group-content
  * @param options Request options.
  */
    convertIdsToTypes<T = ConvertContentIdsToContentTypeResponseOK>(options: ConvertContentIdsToContentTypeRequest): Promise<ConvertContentIdsToContentTypeResponseOK | T>;
}
declare class ContentPropertyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Attachment: ContentPropertyAttachmentGroup;
    BlogPost: ContentPropertyBlogPostGroup;
    CustomContent: ContentPropertyCustomContentGroup;
    Page: ContentPropertyPageGroup;
    Comment: ContentPropertyCommentGroup;
    Folder: ContentPropertyFolderGroup;
    Whiteboard: ContentPropertyWhiteboardGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
}
declare class ContentPropertyAttachmentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Retrieves all Content Properties tied to a specified attachment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the attachment.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-get
  * @param options Request options.
  */
    getContentProperties<T = GetContentPropertiesForAttachmentResponseOK>(options: GetContentPropertiesForAttachmentRequest): Promise<GetContentPropertiesForAttachmentResponseOK | T>;
    /**
  * Creates a new content property for an attachment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the attachment.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-post
  * @param options Request options.
  */
    createContentProperty<T = CreateContentPropertyForAttachmentResponseOK>(options: CreateContentPropertyForAttachmentRequest): Promise<CreateContentPropertyForAttachmentResponseOK | T>;
    /**
  * Retrieves a specific Content Property by ID that is attached to a specified attachment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the attachment.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-property-id-get
  * @param options Request options.
  */
    getContentPropertyById<T = GetContentPropertyForAttachmentByIdResponseOK>(options: GetContentPropertyForAttachmentByIdRequest): Promise<GetContentPropertyForAttachmentByIdResponseOK | T>;
    /**
  * Update a content property for attachment by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the attachment.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-property-id-put
  * @param options Request options.
  */
    updateContentPropertyById<T = UpdateContentPropertyForAttachmentByIdResponseOK>(options: UpdateContentPropertyForAttachmentByIdRequest): Promise<UpdateContentPropertyForAttachmentByIdResponseOK | T>;
    /**
  * Deletes a content property for an attachment by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to attachment the page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-attachments-attachment-id-properties-property-id-delete
  * @param options Request options.
  */
    deleteContentPropertyById<T = DeleteContentPropertyForAttachmentByIdResponseOK>(options: DeleteContentPropertyForAttachmentByIdRequest): Promise<DeleteContentPropertyForAttachmentByIdResponseOK | T>;
}
declare class ContentPropertyBlogPostGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Retrieves all Content Properties tied to a specified blog post.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the blog post.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-get
  * @param options Request options.
  */
    getContentProperties<T = GetContentPropertiesForBlogPostResponseOK>(options: GetContentPropertiesForBlogPostRequest): Promise<GetContentPropertiesForBlogPostResponseOK | T>;
    /**
  * Creates a new property for a blogpost.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the blog post.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-post
  * @param options Request options.
  */
    createContentProperty<T = CreateContentPropertyForBlogPostResponseOK>(options: CreateContentPropertyForBlogPostRequest): Promise<CreateContentPropertyForBlogPostResponseOK | T>;
    /**
  * Retrieves a specific Content Property by ID that is attached to a specified blog post.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the blog post.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-property-id-get
  * @param options Request options.
  */
    getContentPropertyById<T = GetContentPropertyForBlogPostByIdResponseOK>(options: GetContentPropertyForBlogPostByIdRequest): Promise<GetContentPropertyForBlogPostByIdResponseOK | T>;
    /**
  * Update a content property for blog post by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the blog post.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-property-id-put
  * @param options Request options.
  */
    updateContentPropertyById<T = UpdateContentPropertyForBlogPostByIdResponseOK>(options: UpdateContentPropertyForBlogPostByIdRequest): Promise<UpdateContentPropertyForBlogPostByIdResponseOK | T>;
    /**
  * Deletes a content property for a blogpost by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the blog post.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-blogposts-blogpost-id-properties-property-id-delete
  * @param options Request options.
  */
    deleteContentPropertyById<T = DeleteContentPropertyForBlogPostByIdResponseOK>(options: DeleteContentPropertyForBlogPostByIdRequest): Promise<DeleteContentPropertyForBlogPostByIdResponseOK | T>;
}
declare class ContentPropertyCustomContentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Retrieves Content Properties tied to a specified custom content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-get
  * @param options Request options.
  */
    getContentProperties<T = GetContentPropertiesForCustomContentResponseOK>(options: GetContentPropertiesForCustomContentRequest): Promise<GetContentPropertiesForCustomContentResponseOK | T>;
    /**
  * Creates a new content property for a piece of custom content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the custom content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-post
  * @param options Request options.
  */
    createContentProperty<T = CreateContentPropertyForCustomContentResponseOK>(options: CreateContentPropertyForCustomContentRequest): Promise<CreateContentPropertyForCustomContentResponseOK | T>;
    /**
  * Retrieves a specific Content Property by ID that is attached to a specified custom content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-property-id-get
  * @param options Request options.
  */
    getContentPropertyById<T = GetContentPropertyForCustomContentByIdResponseOK>(options: GetContentPropertyForCustomContentByIdRequest): Promise<GetContentPropertyForCustomContentByIdResponseOK | T>;
    /**
  * Update a content property for a piece of custom content by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the custom content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-property-id-put
  * @param options Request options.
  */
    updateContentPropertyById<T = UpdateContentPropertyByIdResponseOK>(options: UpdateContentPropertyByIdRequest): Promise<UpdateContentPropertyByIdResponseOK | T>;
    /**
  * Deletes a content property for a piece of custom content by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the custom content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-custom-content-custom-content-id-properties-property-id-delete
  * @param options Request options.
  */
    deleteContentPropertyById<T = DeleteContentPropertyForCustomContentByIdResponseOK>(options: DeleteContentPropertyForCustomContentByIdRequest): Promise<DeleteContentPropertyForCustomContentByIdResponseOK | T>;
}
declare class ContentPropertyPageGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Retrieves Content Properties tied to a specified page.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-get
  * @param options Request options.
  */
    getContentProperties<T = GetContentPropertiesForPageResponseOK>(options: GetContentPropertiesForPageRequest): Promise<GetContentPropertiesForPageResponseOK | T>;
    /**
  * Creates a new content property for a page.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-post
  * @param options Request options.
  */
    createContentProperty<T = CreateContentPropertyForPageResponseOK>(options: CreateContentPropertyForPageRequest): Promise<CreateContentPropertyForPageResponseOK | T>;
    /**
  * Retrieves a specific Content Property by ID that is attached to a specified page.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-property-id-get
  * @param options Request options.
  */
    getContentPropertyById<T = GetContentPropertyForPageByIdResponseOK>(options: GetContentPropertyForPageByIdRequest): Promise<GetContentPropertyForPageByIdResponseOK | T>;
    /**
  * Update a content property for a page by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-property-id-put
  * @param options Request options.
  */
    updateContentPropertyById<T = UpdateContentPropertyForPageByIdResponseOK>(options: UpdateContentPropertyForPageByIdRequest): Promise<UpdateContentPropertyForPageByIdResponseOK | T>;
    /**
  * Deletes a content property for a page by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-pages-page-id-properties-property-id-delete
  * @param options Request options.
  */
    deleteContentPropertyById<T = DeleteContentPropertyForPageByIdResponseOK>(options: DeleteContentPropertyForPageByIdRequest): Promise<DeleteContentPropertyForPageByIdResponseOK | T>;
}
declare class ContentPropertyCommentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Retrieves Content Properties attached to a specified comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the comment.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-get
  * @param options Request options.
  */
    getContentProperties<T = GetContentPropertiesForCommentResponseOK>(options: GetContentPropertiesForCommentRequest): Promise<GetContentPropertiesForCommentResponseOK | T>;
    /**
  * Creates a new content property for a comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the comment.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-post
  * @param options Request options.
  */
    createContentProperty<T = CreateContentPropertyForCommentResponseOK>(options: CreateContentPropertyForCommentRequest): Promise<CreateContentPropertyForCommentResponseOK | T>;
    /**
  * Retrieves a specific Content Property by ID that is attached to a specified comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the comment.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-property-id-get
  * @param options Request options.
  */
    getContentPropertyById<T = GetContentPropertyForCommentByIdResponseOK>(options: GetContentPropertyForCommentByIdRequest): Promise<GetContentPropertyForCommentByIdResponseOK | T>;
    /**
  * Update a content property for a comment by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the comment.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-property-id-put
  * @param options Request options.
  */
    updateContentPropertyById<T = UpdateContentPropertyForCommentByIdResponseOK>(options: UpdateContentPropertyForCommentByIdRequest): Promise<UpdateContentPropertyForCommentByIdResponseOK | T>;
    /**
  * Deletes a content property for a comment by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the comment.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-comments-comment-id-properties-property-id-delete
  * @param options Request options.
  */
    deleteContentPropertyById<T = DeleteContentPropertyForCommentByIdResponseOK>(options: DeleteContentPropertyForCommentByIdRequest): Promise<DeleteContentPropertyForCommentByIdResponseOK | T>;
}
declare class ContentPropertyFolderGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Retrieves Content Properties tied to a specified folder.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the folder.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-id-properties-get
  * @param options Request options.
  */
    getContentProperties<T = GetContentPropertiesForFolderResponseOK>(options: GetContentPropertiesForFolderRequest): Promise<GetContentPropertiesForFolderResponseOK | T>;
    /**
  * Creates a new content property for a folder.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the folder.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-id-properties-post
  * @param options Request options.
  */
    createContentProperty<T = CreateContentPropertyForFolderResponseOK>(options: CreateContentPropertyForFolderRequest): Promise<CreateContentPropertyForFolderResponseOK | T>;
    /**
  * Retrieves a specific Content Property by ID that is attached to a specified folder.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the folder.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-folder-id-properties-property-id-get
  * @param options Request options.
  */
    getContentPropertyById<T = GetContentPropertyForFolderByIdResponseOK>(options: GetContentPropertyForFolderByIdRequest): Promise<GetContentPropertyForFolderByIdResponseOK | T>;
    /**
  * Update a content property for a folder by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the folder.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-folder-id-properties-property-id-put
  * @param options Request options.
  */
    updateContentPropertyById<T = UpdateContentPropertyForFolderByIdResponseOK>(options: UpdateContentPropertyForFolderByIdRequest): Promise<UpdateContentPropertyForFolderByIdResponseOK | T>;
    /**
  * Deletes a content property for a folder by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the folder.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-folders-folder-id-properties-property-id-delete
  * @param options Request options.
  */
    deleteContentPropertyById<T = DeleteContentPropertyForFolderByIdResponseOK>(options: DeleteContentPropertyForFolderByIdRequest): Promise<DeleteContentPropertyForFolderByIdResponseOK | T>;
}
declare class ContentPropertyWhiteboardGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Retrieves Content Properties tied to a specified whiteboard.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the whiteboard.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-id-properties-get
  * @param options Request options.
  */
    getContentProperties<T = GetContentPropertiesForWhiteboardResponseOK>(options: GetContentPropertiesForWhiteboardRequest): Promise<GetContentPropertiesForWhiteboardResponseOK | T>;
    /**
  * Creates a new content property for a whiteboard.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the whiteboard.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-id-properties-post
  * @param options Request options.
  */
    createContentProperty<T = CreateContentPropertyForWhiteboardResponseOK>(options: CreateContentPropertyForWhiteboardRequest): Promise<CreateContentPropertyForWhiteboardResponseOK | T>;
    /**
  * Retrieves a specific Content Property by ID that is attached to a specified whiteboard.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the whiteboard.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-whiteboard-id-properties-property-id-get
  * @param options Request options.
  */
    getContentPropertyById<T = GetContentPropertyForWhiteboardByIdResponseOK>(options: GetContentPropertyForWhiteboardByIdRequest): Promise<GetContentPropertyForWhiteboardByIdResponseOK | T>;
    /**
  * Update a content property for a whiteboard by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the whiteboard.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-whiteboard-id-properties-property-id-put
  * @param options Request options.
  */
    updateContentPropertyById<T = UpdateContentPropertyForWhiteboardByIdResponseOK>(options: UpdateContentPropertyForWhiteboardByIdRequest): Promise<UpdateContentPropertyForWhiteboardByIdResponseOK | T>;
    /**
  * Deletes a content property for a whiteboard by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the whiteboard.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-content-properties/#api-whiteboards-whiteboard-id-properties-property-id-delete
  * @param options Request options.
  */
    deleteContentPropertyById<T = DeleteContentPropertyForWhiteboardByIdResponseOK>(options: DeleteContentPropertyForWhiteboardByIdRequest): Promise<DeleteContentPropertyForWhiteboardByIdResponseOK | T>;
}
declare class CustomContentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    BlogPost: CustomContentBlogPostGroup;
    Page: CustomContentPageGroup;
    Space: CustomContentSpaceGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all custom content for a given type. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content, the container of the custom content, and the corresponding space (if different from the container).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-blogposts-id-custom-content-get
  * @param options Request options.
  */
    getCustomContentByType<T = GetCustomContentByTypeResponseOK>(options: GetCustomContentByTypeRequest): Promise<GetCustomContentByTypeResponseOK | T>;
    /**
  * Creates a new custom content in the given space, page, blogpost or other custom content.
  
  Only one of `spaceId`, `pageId`, `blogPostId`, or `customContentId` is required in the request body.
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space. Permission to create custom content in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-custom-content-post
  * @param options Request options.
  */
    createCustomContent<T = CreateCustomContentResponseOK>(options: CreateCustomContentRequest): Promise<CreateCustomContentResponseOK | T>;
    /**
  * Returns a specific piece of custom content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content, the container of the custom content, and the corresponding space (if different from the container).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-custom-content-id-get
  * @param options Request options.
  */
    getCustomContentById<T = GetCustomContentByIdResponseOK>(options: GetCustomContentByIdRequest): Promise<GetCustomContentByIdResponseOK | T>;
    /**
  * Update a custom content by id.
  At most one of `spaceId`, `pageId`, `blogPostId`, or `customContentId` is allowed in the request body.
  Note that if `spaceId` is specified, it must be the same as the `spaceId` used for creating the custom content
  as moving custom content to a different space is not supported.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space. Permission to update custom content in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-custom-content-id-put
  * @param options Request options.
  */
    updateCustomContent<T = UpdateCustomContentResponseOK>(options: UpdateCustomContentRequest): Promise<UpdateCustomContentResponseOK | T>;
    /**
  * Delete a custom content by id.
  
  Deleting a custom content will either move it to the trash or permanently delete it (purge it), depending on the apiSupport.
  To permanently delete a **trashed** custom content, the endpoint must be called with the following param `purge=true`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blogpost and its corresponding space.
  Permission to delete custom content in the space.
  Permission to administer the space (if attempting to purge).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-custom-content-id-delete
  * @param options Request options.
  */
    deleteCustomContent<T = DeleteCustomContentResponseOK>(options: DeleteCustomContentRequest): Promise<DeleteCustomContentResponseOK | T>;
}
declare class CustomContentBlogPostGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all custom content for a given type within a given blogpost. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content, the container of the custom content (blog post), and the corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-blogposts-id-custom-content-get
  * @param options Request options.
  */
    getCustomContentByType<T = GetCustomContentByTypeInBlogPostResponseOK>(options: GetCustomContentByTypeInBlogPostRequest): Promise<GetCustomContentByTypeInBlogPostResponseOK | T>;
}
declare class CustomContentPageGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all custom content for a given type within a given page. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content, the container of the custom content (page), and the corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-pages-id-custom-content-get
  * @param options Request options.
  */
    getCustomContentByType<T = GetCustomContentByTypeInPageResponseOK>(options: GetCustomContentByTypeInPageRequest): Promise<GetCustomContentByTypeInPageResponseOK | T>;
}
declare class CustomContentSpaceGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all custom content for a given type within a given space. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content and the corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-custom-content/#api-spaces-id-custom-content-get
  * @param options Request options.
  */
    getCustomContentByType<T = GetCustomContentByTypeInSpaceResponseOK>(options: GetCustomContentByTypeInSpaceRequest): Promise<GetCustomContentByTypeInSpaceResponseOK | T>;
}
declare class LabelGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Attachment: LabelAttachmentGroup;
    BlogPost: LabelBlogPostGroup;
    CustomContent: LabelCustomContentGroup;
    Page: LabelPageGroup;
    Space: LabelSpaceGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all labels. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only labels that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-labels-get
  * @param options Request options.
  */
    getLabels<T = GetLabelsResponseOK>(options?: GetLabelsRequest): Promise<GetLabelsResponseOK | T>;
}
declare class LabelAttachmentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the labels of specific attachment. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the parent content of the attachment and its corresponding space.
  Only labels that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-attachments-id-labels-get
  * @param options Request options.
  */
    getLabels<T = GetLabelsForAttachmentResponseOK>(options: GetLabelsForAttachmentRequest): Promise<GetLabelsForAttachmentResponseOK | T>;
}
declare class LabelBlogPostGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the labels of specific blog post. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the blog post and its corresponding space.
  Only labels that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-blogposts-id-labels-get
  * @param options Request options.
  */
    getLabels<T = GetLabelsForBlogPostResponseOK>(options: GetLabelsForBlogPostRequest): Promise<GetLabelsForBlogPostResponseOK | T>;
}
declare class LabelCustomContentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the labels for a specific piece of custom content. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content and its corresponding space.
  Only labels that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-custom-content-id-labels-get
  * @param options Request options.
  */
    getLabels<T = GetLabelsForCustomContentResponseOK>(options: GetLabelsForCustomContentRequest): Promise<GetLabelsForCustomContentResponseOK | T>;
}
declare class LabelPageGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the labels of specific page. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  Only labels that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-pages-id-labels-get
  * @param options Request options.
  */
    getLabels<T = GetLabelsForPageResponseOK>(options: GetLabelsForPageRequest): Promise<GetLabelsForPageResponseOK | T>;
}
declare class LabelSpaceGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the labels of specific space. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the space.
  Only labels that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-spaces-id-labels-get
  * @param options Request options.
  */
    getLabels<T = GetLabelsForSpaceResponseOK>(options: GetLabelsForSpaceRequest): Promise<GetLabelsForSpaceResponseOK | T>;
    /**
  * Returns the labels of space content (pages, blogposts etc). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the space.
  Only labels that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-label/#api-spaces-id-content-labels-get
  * @param options Request options.
  */
    getLabelsForContent<T = GetLabelsForSpaceContentResponseOK>(options: GetLabelsForSpaceContentRequest): Promise<GetLabelsForSpaceContentResponseOK | T>;
}
declare class LikeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    BlogPost: LikeBlogPostGroup;
    Page: LikePageGroup;
    Comment: LikeCommentGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
}
declare class LikeBlogPostGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the count of likes of specific blog post.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the blog post and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-blogposts-id-likes-count-get
  * @param options Request options.
  */
    getLikeCount<T = GetLikeCountForBlogPostResponseOK>(options: GetLikeCountForBlogPostRequest): Promise<GetLikeCountForBlogPostResponseOK | T>;
    /**
  * Returns the account IDs of likes of specific blog post.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the blog post and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-blogposts-id-likes-users-get
  * @param options Request options.
  */
    getAccountIdsOfLikes<T = GetAccountIdsOfLikesForBlogPostResponseOK>(options: GetAccountIdsOfLikesForBlogPostRequest): Promise<GetAccountIdsOfLikesForBlogPostResponseOK | T>;
}
declare class LikePageGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the count of likes of specific page.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-pages-id-likes-count-get
  * @param options Request options.
  */
    getLikeCount<T = GetLikeCountForPageResponseOK>(options: GetLikeCountForPageRequest): Promise<GetLikeCountForPageResponseOK | T>;
    /**
  * Returns the account IDs of likes of specific page.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-pages-id-likes-users-get
  * @param options Request options.
  */
    getAccountIdsOfLikes<T = GetAccountIdsOfLikesForPageResponseOK>(options: GetAccountIdsOfLikesForPageRequest): Promise<GetAccountIdsOfLikesForPageResponseOK | T>;
}
declare class LikeCommentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Footer: LikeCommentFooterGroup;
    Inline: LikeCommentInlineGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
}
declare class LikeCommentFooterGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the count of likes of specific footer comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page/blogpost and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-footer-comments-id-likes-count-get
  * @param options Request options.
  */
    getLikeCount<T = GetLikeCountForFooterCommentResponseOK>(options: GetLikeCountForFooterCommentRequest): Promise<GetLikeCountForFooterCommentResponseOK | T>;
    /**
  * Returns the account IDs of likes of specific footer comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page/blogpost and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-footer-comments-id-likes-users-get
  * @param options Request options.
  */
    getAccountIdsOfLikes<T = GetAccountIdsOfLikesForFooterCommentResponseOK>(options: GetAccountIdsOfLikesForFooterCommentRequest): Promise<GetAccountIdsOfLikesForFooterCommentResponseOK | T>;
}
declare class LikeCommentInlineGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the count of likes of specific inline comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page/blogpost and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-inline-comments-id-likes-count-get
  * @param options Request options.
  */
    getLikeCount<T = GetLikeCountForInlineCommentResponseOK>(options: GetLikeCountForInlineCommentRequest): Promise<GetLikeCountForInlineCommentResponseOK | T>;
    /**
  * Returns the account IDs of likes of specific inline comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page/blogpost and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-like/#api-inline-comments-id-likes-users-get
  * @param options Request options.
  */
    getAccountIdsOfLikes<T = GetAccountIdsOfLikesForInlineCommentResponseOK>(options: GetAccountIdsOfLikesForInlineCommentRequest): Promise<GetAccountIdsOfLikesForInlineCommentResponseOK | T>;
}
declare class PageGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the pages of specified label. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-labels-id-pages-get
  * @param options Request options.
  */
    getPagesForLabel<T = GetPagesForLabelResponseOK>(options: GetPagesForLabelRequest): Promise<GetPagesForLabelResponseOK | T>;
    /**
  * Returns all pages. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only pages that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-get
  * @param options Request options.
  */
    getPages<T = GetPagesResponseOK>(options?: GetPagesRequest): Promise<GetPagesResponseOK | T>;
    /**
  * Creates a page in the space.
  
  Pages are created as published by default unless specified as a draft in the status field. If creating a published page, the title must be specified.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the corresponding space. Permission to create a page in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-post
  * @param options Request options.
  */
    createPage<T = CreatePageResponseOK>(options: CreatePageRequest): Promise<CreatePageResponseOK | T>;
    /**
  * Returns a specific page.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get
  * @param options Request options.
  */
    getPageById<T = GetPageByIdResponseOK>(options: GetPageByIdRequest): Promise<GetPageByIdResponseOK | T>;
    /**
  * Update a page by id.
  
  When the "current" version is updated, the provided body content is considered as the latest version. This latest body content
  will be attempted to be merged into the draft version through a content reconciliation algorithm. If two versions are significantly diverged,
  the latest provided content may entirely override what was previously in the draft.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page and its corresponding space. Permission to update pages in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-put
  * @param options Request options.
  */
    updatePage<T = UpdatePageResponseOK>(options: UpdatePageRequest): Promise<UpdatePageResponseOK | T>;
    /**
  * Delete a page by id.
  
  By default this will delete pages that are non-drafts. To delete a page that is a draft, the endpoint must be called on a
  draft with the following param `draft=true`. Discarded drafts are not sent to the trash and are permanently deleted.
  
  Deleting a page moves the page to the trash, where it can be restored later. To permanently delete a page (or "purge" it),
  the endpoint must be called on a **trashed** page with the following param `purge=true`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page and its corresponding space.
  Permission to delete pages in the space.
  Permission to administer the space (if attempting to purge).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-delete
  * @param options Request options.
  */
    deletePage<T = DeletePageResponseOK>(options: DeletePageRequest): Promise<DeletePageResponseOK | T>;
    /**
  * Returns all pages in a space. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission) and 'View' permission for the space.
  Only pages that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-spaces-id-pages-get
  * @param options Request options.
  */
    getPagesInSpace<T = GetPagesInSpaceResponseOK>(options: GetPagesInSpaceRequest): Promise<GetPagesInSpaceResponseOK | T>;
}
declare class SpaceGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Property: SpacePropertyGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all spaces. The results will be sorted by id ascending. The number of results is limited by the `limit` parameter and
  additional results (if available) will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only spaces that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space/#api-spaces-get
  * @param options Request options.
  */
    getSpaces<T = GetSpacesResponseOK>(options?: GetSpacesRequest): Promise<GetSpacesResponseOK | T>;
    /**
  * Returns a specific space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space/#api-spaces-id-get
  * @param options Request options.
  */
    getSpaceById<T = GetSpaceByIdResponseOK>(options: GetSpaceByIdRequest): Promise<GetSpaceByIdResponseOK | T>;
}
declare class SpacePropertyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all properties for the given space. Space properties are a key-value storage associated with a space.
  The limit parameter specifies the maximum number of results returned in a single response. Use the `link` response header
  to paginate through additional results.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission) and 'View' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-get
  * @param options Request options.
  */
    getProperties<T = GetSpacePropertiesResponseOK>(options: GetSpacePropertiesRequest): Promise<GetSpacePropertiesResponseOK | T>;
    /**
  * Creates a new space property.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission) and 'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-post
  * @param options Request options.
  */
    createProperty<T = CreateSpacePropertyInSpaceResponseOK>(options: CreateSpacePropertyInSpaceRequest): Promise<CreateSpacePropertyInSpaceResponseOK | T>;
    /**
  * Retrieve a space property by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission) and 'View' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-property-id-get
  * @param options Request options.
  */
    getPropertyById<T = GetSpacePropertyByIdResponseOK>(options: GetSpacePropertyByIdRequest): Promise<GetSpacePropertyByIdResponseOK | T>;
    /**
  * Update a space property by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission) and 'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-property-id-put
  * @param options Request options.
  */
    updatePropertyById<T = UpdateSpacePropertyByIdResponseOK>(options: UpdateSpacePropertyByIdRequest): Promise<UpdateSpacePropertyByIdResponseOK | T>;
    /**
  * Deletes a space property by its id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission) and 'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-space-properties/#api-spaces-space-id-properties-property-id-delete
  * @param options Request options.
  */
    deletePropertyById<T = DeleteSpacePropertyByIdResponseOK>(options: DeleteSpacePropertyByIdRequest): Promise<DeleteSpacePropertyByIdResponseOK | T>;
}
declare class TaskGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all tasks. The number of results is limited by the `limit` parameter and additional results (if available)
  will be available through the `next` URL present in the `Link` response header.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only tasks that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-task/#api-tasks-get
  * @param options Request options.
  */
    getTasks<T = GetTasksResponseOK>(options?: GetTasksRequest): Promise<GetTasksResponseOK | T>;
    /**
  * Returns a specific task.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the containing page or blog post and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-task/#api-tasks-id-get
  * @param options Request options.
  */
    getTaskById<T = GetTaskByIdResponseOK>(options: GetTaskByIdRequest): Promise<GetTaskByIdResponseOK | T>;
    /**
  * Update a task by id. This endpoint currently only supports updating task status.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the containing page or blog post and view its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-task/#api-tasks-id-get
  * @param options Request options.
  */
    updateTask<T = UpdateTaskResponseOK>(options: UpdateTaskRequest): Promise<UpdateTaskResponseOK | T>;
}
declare class VersionGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Attachment: VersionAttachmentGroup;
    BlogPost: VersionBlogPostGroup;
    Page: VersionPageGroup;
    CustomContent: VersionCustomContentGroup;
    Comment: VersionCommentGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
}
declare class VersionAttachmentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the versions of specific attachment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the attachment and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-attachments-id-versions-get
  * @param options Request options.
  */
    getVersions<T = GetAttachmentVersionsResponseOK>(options: GetAttachmentVersionsRequest): Promise<GetAttachmentVersionsResponseOK | T>;
    /**
  * Retrieves version details for the specified attachment and version number.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the attachment.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-attachments-attachment-id-versions-version-number-get
  * @param options Request options.
  */
    getVersionDetails<T = GetVersionDetailsForAttachmentVersionResponseOK>(options: GetVersionDetailsForAttachmentVersionRequest): Promise<GetVersionDetailsForAttachmentVersionResponseOK | T>;
}
declare class VersionBlogPostGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the versions of specific blog post.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the blog post and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-blogposts-id-versions-get
  * @param options Request options.
  */
    getVersions<T = GetBlogPostVersionsResponseOK>(options: GetBlogPostVersionsRequest): Promise<GetBlogPostVersionsResponseOK | T>;
    /**
  * Retrieves version details for the specified blog post and version number.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the blog post.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-blogposts-blogpost-id-versions-version-number-get
  * @param options Request options.
  */
    getVersionDetails<T = GetVersionDetailsForBlogPostVersionResponseOK>(options: GetVersionDetailsForBlogPostVersionRequest): Promise<GetVersionDetailsForBlogPostVersionResponseOK | T>;
}
declare class VersionPageGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the versions of specific page.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-pages-id-versions-get
  * @param options Request options.
  */
    getVersions<T = GetPageVersionsResponseOK>(options: GetPageVersionsRequest): Promise<GetPageVersionsResponseOK | T>;
    /**
  * Retrieves version details for the specified page and version number.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-pages-page-id-versions-version-number-get
  * @param options Request options.
  */
    getVersionDetails<T = GetVersionDetailsForPageVersionResponseOK>(options: GetVersionDetailsForPageVersionRequest): Promise<GetVersionDetailsForPageVersionResponseOK | T>;
}
declare class VersionCustomContentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the versions of specific custom content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the custom content and its corresponding page and space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-custom-content-custom-content-id-versions-get
  * @param options Request options.
  */
    getVersions<T = GetCustomContentVersionsResponseOK>(options: GetCustomContentVersionsRequest): Promise<GetCustomContentVersionsResponseOK | T>;
    /**
  * Retrieves version details for the specified custom content and version number.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-custom-content-custom-content-id-versions-get
  * @param options Request options.
  */
    getVersionDetails<T = GetVersionDetailsForCustomContentVersionResponseOK>(options: GetVersionDetailsForCustomContentVersionRequest): Promise<GetVersionDetailsForCustomContentVersionResponseOK | T>;
}
declare class VersionCommentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Footer: VersionCommentFooterGroup;
    Inline: VersionCommentInlineGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
}
declare class VersionCommentFooterGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Retrieves the versions of the specified footer comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blog post and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-footer-comments-id-versions-get
  * @param options Request options.
  */
    getVersions<T = GetFooterCommentVersionsResponseOK>(options: GetFooterCommentVersionsRequest): Promise<GetFooterCommentVersionsResponseOK | T>;
    /**
  * Retrieves version details for the specified footer comment version.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blog post and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-footer-comments-id-versions-version-number-get
  * @param options Request options.
  */
    getVersionDetails<T = GetVersionDetailsForFooterCommentVersionResponseOK>(options: GetVersionDetailsForFooterCommentVersionRequest): Promise<GetVersionDetailsForFooterCommentVersionResponseOK | T>;
}
declare class VersionCommentInlineGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Retrieves the versions of the specified inline comment.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blog post and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-inline-comments-id-versions-get
  * @param options Request options.
  */
    getVersions<T = GetInlineCommentVersionsResponseOK>(options: GetInlineCommentVersionsRequest): Promise<GetInlineCommentVersionsResponseOK | T>;
    /**
  * Retrieves version details for the specified inline comment version.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content of the page or blog post and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-version/#api-inline-comments-id-versions-version-number-get
  * @param options Request options.
  */
    getVersionDetails<T = GetVersionDetailsForInlineCommentVersionResponseOK>(options: GetVersionDetailsForInlineCommentVersionRequest): Promise<GetVersionDetailsForInlineCommentVersionResponseOK | T>;
}
declare class WhiteboardGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Creates a whiteboard in the space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the corresponding space. Permission to create a whiteboard in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-post
  * @param options Request options.
  */
    createWhiteboard<T = CreateWhiteboardResponseOK>(options: CreateWhiteboardRequest): Promise<CreateWhiteboardResponseOK | T>;
    /**
  * Returns a specific whiteboard.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the whiteboard and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get
  * @param options Request options.
  */
    getWhiteboardById<T = GetWhiteboardByIdResponseOK>(options: GetWhiteboardByIdRequest): Promise<GetWhiteboardByIdResponseOK | T>;
    /**
  * Delete a whiteboard by id.
  
  Deleting a whiteboard moves the whiteboard to the trash, where it can be restored later
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the whiteboard and its corresponding space.
  Permission to delete whiteboards in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-delete
  * @param options Request options.
  */
    deleteWhiteboard<T = DeleteWhiteboardResponseOK>(options: DeleteWhiteboardRequest): Promise<DeleteWhiteboardResponseOK | T>;
}
declare class DescendantGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns descendants in the content tree for a given whiteboard by ID in top-to-bottom order (that is, the highest descendant is the first
  item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available by calling this endpoint with the cursor in the response payload. There is also a `depth` parameter specifying depth
  of descendants to be fetched.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each descendant. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the whiteboard and its corresponding space
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-whiteboards-id-descendants-get
  * @param options Request options.
  */
    getWhiteboardDescendants<T = GetWhiteboardDescendantsResponseOK>(options: GetWhiteboardDescendantsRequest): Promise<GetWhiteboardDescendantsResponseOK | T>;
    /**
  * Returns descendants in the content tree for a given database by ID in top-to-bottom order (that is, the highest descendant is the first
  item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available by calling this endpoint with the cursor in the response payload. There is also a `depth` parameter specifying depth
  of descendants to be fetched.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each descendant. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the database and its corresponding space
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-databases-id-descendants-get
  * @param options Request options.
  */
    getDatabaseDescendants<T = GetDatabaseDescendantsResponseOK>(options: GetDatabaseDescendantsRequest): Promise<GetDatabaseDescendantsResponseOK | T>;
    /**
  * Returns descendants in the content tree for a given smart link by ID in top-to-bottom order (that is, the highest descendant is the first
  item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available by calling this endpoint with the cursor in the response payload. There is also a `depth` parameter specifying depth
  of descendants to be fetched.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  
  This endpoint returns minimal information about each descendant. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the smart link and its corresponding space
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-embeds-id-descendants-get
  * @param options Request options.
  */
    getSmartLinkDescendants<T = GetSmartLinkDescendantsResponseOK>(options: GetSmartLinkDescendantsRequest): Promise<GetSmartLinkDescendantsResponseOK | T>;
    /**
  * Returns descendants in the content tree for a given folder by ID in top-to-bottom order (that is, the highest descendant is the first
  item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available by calling this endpoint with the cursor in the response payload. There is also a `depth` parameter specifying depth
  of descendants to be fetched.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each descendant. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the  and its corresponding space
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-folders-id-descendants-get
  * @param options Request options.
  */
    getFolderDescendants<T = GetFolderDescendantsResponseOK>(options: GetFolderDescendantsRequest): Promise<GetFolderDescendantsResponseOK | T>;
    /**
  * Returns descendants in the content tree for a given page by ID in top-to-bottom order (that is, the highest descendant is the first
  item in the response payload). The number of results is limited by the `limit` parameter and additional results (if available)
  will be available by calling this endpoint with the cursor in the response payload. There is also a `depth` parameter specifying depth
  of descendants to be fetched.
  
  The following types of content will be returned:
  - Database
  - Embed
  - Folder
  - Page
  - Whiteboard
  
  This endpoint returns minimal information about each descendant. To fetch more details, use a related endpoint based on the content type, such
  as:
  
  - [Get database by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get)
  - [Get embed by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get)
  - [Get folder by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get)
  - [Get page by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-page/#api-pages-id-get)
  - [Get whiteboard by id](https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-whiteboard/#api-whiteboards-id-get).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Permission to view the page and its corresponding space
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-descendants/#api-pages-id-descendants-get
  * @param options Request options.
  */
    getPageDescendants<T = GetPageDescendantsResponseOK>(options: GetPageDescendantsRequest): Promise<GetPageDescendantsResponseOK | T>;
}
declare class FolderGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Creates a folder in the space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the corresponding space. Permission to create a folder in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-post
  * @param options Request options.
  */
    createFolder<T = CreateFolderResponseOK>(options: CreateFolderRequest): Promise<CreateFolderResponseOK | T>;
    /**
  * Returns a specific folder.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the folder and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-get
  * @param options Request options.
  */
    getFolderById<T = GetFolderByIdResponseOK>(options: GetFolderByIdRequest): Promise<GetFolderByIdResponseOK | T>;
    /**
  * Delete a folder by id.
  
  Deleting a folder moves the folder to the trash, where it can be restored later
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the folder and its corresponding space.
  Permission to delete folders in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-folder/#api-folders-id-delete
  * @param options Request options.
  */
    deleteFolder<T = DeleteFolderResponseOK>(options: DeleteFolderRequest): Promise<DeleteFolderResponseOK | T>;
}
declare class DatabaseGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Creates a database in the space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the corresponding space. Permission to create a database in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-post
  * @param options Request options.
  */
    createDatabase<T = CreateDatabaseResponseOK>(options: CreateDatabaseRequest): Promise<CreateDatabaseResponseOK | T>;
    /**
  * Returns a specific database.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the database and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-get
  * @param options Request options.
  */
    getDatabaseById<T = GetDatabaseByIdResponseOK>(options: GetDatabaseByIdRequest): Promise<GetDatabaseByIdResponseOK | T>;
    /**
  * Delete a database by id.
  
  Deleting a database moves the database to the trash, where it can be restored later
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the database and its corresponding space.
  Permission to delete databases in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-database/#api-databases-id-delete
  * @param options Request options.
  */
    deleteDatabase<T = DeleteDatabaseResponseOK>(options: DeleteDatabaseRequest): Promise<DeleteDatabaseResponseOK | T>;
}
declare class SmartLinkGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Creates a Smart Link in the content tree in the space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the corresponding space. Permission to create a Smart Link in the content tree in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-post
  * @param options Request options.
  */
    createSmartLink<T = CreateSmartLinkResponseOK>(options: CreateSmartLinkRequest): Promise<CreateSmartLinkResponseOK | T>;
    /**
  * Returns a specific Smart Link in the content tree.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the Smart Link in the content tree and its corresponding space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-get
  * @param options Request options.
  */
    getSmartLinkById<T = GetSmartLinkByIdResponseOK>(options: GetSmartLinkByIdRequest): Promise<GetSmartLinkByIdResponseOK | T>;
    /**
  * Delete a Smart Link in the content tree by id.
  
  Deleting a Smart Link in the content tree moves the Smart Link to the trash, where it can be restored later
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the Smart Link in the content tree and its corresponding space.
  Permission to delete Smart Links in the content tree in the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v2/api-group-smart-link/#api-embeds-id-delete
  * @param options Request options.
  */
    deleteSmartLink<T = DeleteSmartLinkResponseOK>(options: DeleteSmartLinkRequest): Promise<DeleteSmartLinkResponseOK | T>;
}
declare class V1Group {
    private implementation;
    private getGlobalErrorStrategy;
    Content: V1ContentGroup;
    Watcher: V1WatcherGroup;
    UserGroup: V1UserGroupGroup;
    Label: V1LabelGroup;
    LongRunningTask: V1LongRunningTaskGroup;
    Relation: V1RelationGroup;
    Search: V1SearchGroup;
    Setting: V1SettingGroup;
    Space: V1SpaceGroup;
    Template: V1TemplateGroup;
    Theme: V1ThemeGroup;
    User: V1UserGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
}
declare class V1ContentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Attachment: V1ContentAttachmentGroup;
    Body: V1ContentBodyGroup;
    Move: V1ContentMoveGroup;
    Descendant: V1ContentDescendantGroup;
    Copy: V1ContentCopyGroup;
    Label: V1ContentLabelGroup;
    Restriction: V1ContentRestrictionGroup;
    Version: V1ContentVersionGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Publishes a shared draft of a page created from a blueprint.
  
  By default, the following objects are expanded: `body.storage`, `history`, `space`, `version`, `ancestors`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the draft and 'Add' permission for the space that
  the content will be created in.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-blueprint-instance-draftid-put
  * @param options Request options.
  */
    publishSharedDraft<T = PublishSharedDraftResponseOK>(options: PublishSharedDraftRequest): Promise<PublishSharedDraftResponseOK | T>;
    /**
  * Publishes a legacy draft of a page created from a blueprint. Legacy drafts
  will eventually be removed in favor of shared drafts. For now, this method
  works the same as [Publish shared draft](#api-content-blueprint-instance-draftId-put).
  
  By default, the following objects are expanded: `body.storage`, `history`, `space`, `version`, `ancestors`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the draft and 'Add' permission for the space that
  the content will be created in.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-blueprint-instance-draftid-post
  * @param options Request options.
  */
    publishLegacyDraft<T = PublishLegacyDraftResponseOK>(options: PublishLegacyDraftRequest): Promise<PublishLegacyDraftResponseOK | T>;
    /**
  * Returns the list of content that matches a Confluence Query Language
  (CQL) query. For information on CQL, see:
  [Advanced searching using CQL](https://developer.atlassian.com/cloud/confluence/advanced-searching-using-cql/).
  
  Example initial call:
  ```
  /wiki/rest/api/content/search?cql=type=page&limit=25
  ```
  
  Example response:
  ```
  {
    "results": [
      { ... },
      { ... },
      ...
      { ... }
    ],
    "limit": 25,
    "size": 25,
    ...
    "_links": {
      "base": "<url>",
      "context": "<url>",
      "next": "/rest/api/content/search?cql=type=page&limit=25&cursor=raNDoMsTRiNg",
      "self": "<url>"
    }
  }
  ```
  
  When additional results are available, returns `next` and `prev` URLs to retrieve them in subsequent calls. The URLs each contain a cursor that points to the appropriate set of results. Use `limit` to specify the number of results returned in each call.
  Example subsequent call (taken from example response):
  ```
  /wiki/rest/api/content/search?cql=type=page&limit=25&cursor=raNDoMsTRiNg
  ```
  The response to this will have a `prev` URL similar to the `next` in the example response.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  Only content that the user has permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content/#api-wiki-rest-api-content-search-get
  * @param options Request options.
  */
    searchContentByCql<T = SearchContentByCQLResponseOK>(options: SearchContentByCQLRequest): Promise<SearchContentByCQLResponseOK | T>;
}
declare class V1ContentAttachmentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Adds an attachment to a piece of content. If the attachment already exists
  for the content, then the attachment is updated (i.e. a new version of the
  attachment is created).
  
  Note, you must set a `X-Atlassian-Token: nocheck` header on the request
  for this method, otherwise it will be blocked. This protects against XSRF
  attacks, which is necessary as this method accepts multipart/form-data.
  
  The media type 'multipart/form-data' is defined in [RFC 7578](https://www.ietf.org/rfc/rfc7578.txt).
  Most client libraries have classes that make it easier to implement
  multipart posts, like the [MultipartEntityBuilder](https://hc.apache.org/httpcomponents-client-5.1.x/current/httpclient5/apidocs/)
  Java class provided by Apache HTTP Components.
  
  Note, according to [RFC 7578](https://tools.ietf.org/html/rfc7578#section-4.5),
  in the case where the form data is text,
  the charset parameter for the "text/plain" Content-Type may be used to
  indicate the character encoding used in that part. In the case of this
  API endpoint, the `comment` body parameter should be sent with `type=text/plain`
  and `charset=utf-8` values. This will force the charset to be UTF-8.
  
  Example: This curl command attaches a file ('example.txt') to a piece of
  content (id='123') with a comment and `minorEdits`=true. If the 'example.txt'
  file already exists, it will update it with a new version of the attachment.
  
  ``` bash
  curl -D- \
    -u admin:admin \
    -X PUT \
    -H 'X-Atlassian-Token: nocheck' \
    -F 'file=@"example.txt"' \
    -F 'minorEdit="true"' \
    -F 'comment="Example attachment comment"; type=text/plain; charset=utf-8' \
    http://myhost/rest/api/content/123/child/attachment
  ```
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-put
  * @param options Request options.
  */
    createOrUpdateAttachment<T = CreateOrUpdateContentAttachmentResponseOK>(options: CreateOrUpdateContentAttachmentRequest): Promise<CreateOrUpdateContentAttachmentResponseOK | T>;
    /**
  * Adds an attachment to a piece of content. This method only adds a new
  attachment. If you want to update an existing attachment, use
  [Create or update attachments](#api-content-id-child-attachment-put).
  
  Note, you must set a `X-Atlassian-Token: nocheck` header on the request
  for this method, otherwise it will be blocked. This protects against XSRF
  attacks, which is necessary as this method accepts multipart/form-data.
  
  The media type 'multipart/form-data' is defined in [RFC 7578](https://www.ietf.org/rfc/rfc7578.txt).
  Most client libraries have classes that make it easier to implement
  multipart posts, like the [MultipartEntityBuilder](https://hc.apache.org/httpcomponents-client-5.1.x/current/httpclient5/apidocs/)
  Java class provided by Apache HTTP Components.
  
  Note, according to [RFC 7578](https://tools.ietf.org/html/rfc7578#section-4.5),
  in the case where the form data is text,
  the charset parameter for the "text/plain" Content-Type may be used to
  indicate the character encoding used in that part. In the case of this
  API endpoint, the `comment` body parameter should be sent with `type=text/plain`
  and `charset=utf-8` values. This will force the charset to be UTF-8.
  
  Example: This curl command attaches a file ('example.txt') to a container
  (id='123') with a comment and `minorEdits`=true.
  
  ``` bash
  curl -D- \
    -u admin:admin \
    -X POST \
    -H 'X-Atlassian-Token: nocheck' \
    -F 'file=@"example.txt"' \
    -F 'minorEdit="true"' \
    -F 'comment="Example attachment comment"; type=text/plain; charset=utf-8' \
    http://myhost/rest/api/content/123/child/attachment
  ```
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-post
  * @param options Request options.
  */
    createAttachment<T = CreateContentAttachmentResponseOK>(options: CreateContentAttachmentRequest): Promise<CreateContentAttachmentResponseOK | T>;
    /**
  * Updates the attachment properties, i.e. the non-binary data of an attachment
  like the filename, media-type, comment, and parent container.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-attachmentid-put
  * @param options Request options.
  */
    updateAttachmentProperties<T = UpdateContentAttachmentPropertiesResponseOK>(options: UpdateContentAttachmentPropertiesRequest): Promise<UpdateContentAttachmentPropertiesResponseOK | T>;
    /**
  * Updates the binary data of an attachment, given the attachment ID, and
  optionally the comment and the minor edit field.
  
  This method is essentially the same as [Create or update attachments](#api-content-id-child-attachment-put),
  except that it matches the attachment ID rather than the name.
  
  Note, you must set a `X-Atlassian-Token: nocheck` header on the request
  for this method, otherwise it will be blocked. This protects against XSRF
  attacks, which is necessary as this method accepts multipart/form-data.
  
  The media type 'multipart/form-data' is defined in [RFC 7578](https://www.ietf.org/rfc/rfc7578.txt).
  Most client libraries have classes that make it easier to implement
  multipart posts, like the [MultipartEntityBuilder](https://hc.apache.org/httpcomponents-client-5.1.x/current/httpclient5/apidocs/)
  Java class provided by Apache HTTP Components.
  
  Note, according to [RFC 7578](https://tools.ietf.org/html/rfc7578#section-4.5),
  in the case where the form data is text,
  the charset parameter for the "text/plain" Content-Type may be used to
  indicate the character encoding used in that part. In the case of this
  API endpoint, the `comment` body parameter should be sent with `type=text/plain`
  and `charset=utf-8` values. This will force the charset to be UTF-8.
  
  Example: This curl command updates an attachment (id='att456') that is attached
  to a piece of content (id='123') with a comment and `minorEdits`=true.
  
  ``` bash
  curl -D- \
    -u admin:admin \
    -X POST \
    -H 'X-Atlassian-Token: nocheck' \
    -F 'file=@"example.txt"' \
    -F 'minorEdit="true"' \
    -F 'comment="Example attachment comment"; type=text/plain; charset=utf-8' \
    http://myhost/rest/api/content/123/child/attachment/att456/data
  ```
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---attachments/#api-wiki-rest-api-content-id-child-attachment-attachmentid-data-post
  * @param options Request options.
  */
    updateAttachmentData<T = UpdateContentAttachmentDataResponseOK>(options: UpdateContentAttachmentDataRequest): Promise<UpdateContentAttachmentDataResponseOK | T>;
}
declare class V1ContentBodyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Macro: V1ContentBodyMacroGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Deprecated, use the [single asynchronous endpoint](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-to-post)
  or the [bulk asynchronous endpoint](https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-bulk-tasks-post) instead.
  
  Converts a content body from one format to another format.
  
  Supported conversions:
  
  - storage: view, export_view, styled_view, editor
  - editor: storage
  - view: none
  - export_view: none
  - styled_view: none
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  If request specifies 'contentIdContext', 'View' permission for the space, and permission to view the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-to-post
  * @param options Request options.
  * @deprecated
  */
    convertBody<T = ConvertContentBodyResponseOK>(options: ConvertContentBodyRequest): Promise<ConvertContentBodyResponseOK | T>;
    /**
  * Converts a content body from one format to another format asynchronously.
  Returns the asyncId for the asynchronous task.
  
  Supported conversions:
  
  - atlas_doc_format: editor, export_view, storage, styled_view, view
  - storage: atlas_doc_format, editor, export_view, styled_view, view
  - editor: storage
  
  No other conversions are supported at the moment.
  Once a conversion is completed, it will be available for 5 minutes at the result endpoint.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  If request specifies 'contentIdContext', 'View' permission for the space, and permission to view the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-to-post
  * @param options Request options.
  */
    asyncConvertBody<T = AsyncConvertContentBodyResponseOK>(options: AsyncConvertContentBodyRequest): Promise<AsyncConvertContentBodyResponseOK | T>;
    /**
  * Returns the asynchronous content body for the corresponding id if the task is complete
  or returns the status of the task.
  
  After the task is completed, the result can be obtained for 5 minutes, or until an identical conversion request is made again,
  with allowCache query param set to false.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  If request specifies 'contentIdContext', 'View' permission for the space, and permission to view the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-body/#api-wiki-rest-api-contentbody-convert-async-id-get
  * @param options Request options.
  */
    getAsyncConvertResult<T = GetAsyncConvertContentBodyResultResponseOK>(options: GetAsyncConvertContentBodyResultRequest): Promise<GetAsyncConvertContentBodyResultResponseOK | T>;
}
declare class V1ContentBodyMacroGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the body of a macro in storage format, for the given macro ID.
  This includes information like the name of the macro, the body of the macro,
  and any macro parameters. This method is mainly used by Cloud apps.
  
  About the macro ID: When a macro is created in a new version of content,
  Confluence will generate a random ID for it, unless an ID is specified
  (by an app). The macro ID will look similar to this: '50884bd9-0cb8-41d5-98be-f80943c14f96'.
  The ID is then persisted as new versions of content are created, and is
  only modified by Confluence if there are conflicting IDs.
  
  For Forge macros, the value for macro ID is the "local ID" of that particular ADF node.
  This value can be retrieved either client-side by calling view.getContext() and accessing "localId"
  on the resulting object, or server-side by examining the "local-id" parameter node inside the "parameters" node.
  
  Note that there are other attributes named "local-id", but only this particular one is used to store the macro ID.
  
  Example:
  <ac:adf-node type="extension">
    <ac:adf-attribute key="extension-type">com.atlassian.ecosystem</ac:adf-attribute>
    <ac:adf-attribute key="parameters">
        <ac:adf-parameter key="local-id">e9c4aa10-73fa-417c-888d-48c719ae4165</ac:adf-parameter>
    </ac:adf-parameter>
  </ac:adf-node>
  
  Note, to preserve backwards compatibility this resource will also match on
  the hash of the macro body, even if a macro ID is found. This check will
  eventually become redundant, as macro IDs are generated for pages and
  transparently propagate out to all instances.
  
  This backwards compatibility logic does not apply to Forge macros; those
  can only be retrieved by their ID.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content that the macro is in.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---macro-body/#api-wiki-rest-api-content-id-history-version-macro-id-macroid-get
  * @param options Request options.
  */
    getMacroById<T = GetMacroBodyByIdResponseOK>(options: GetMacroBodyByIdRequest): Promise<GetMacroBodyByIdResponseOK | T>;
}
declare class V1ContentMoveGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Move a page to a new location relative to a target page:
  
  * `before` - move the page under the same parent as the target, before the target in the list of children
  * `after` - move the page under the same parent as the target, after the target in the list of children
  * `append` - move the page to be a child of the target
  
  Caution: This API can move pages to the top level of a space. Top-level pages are difficult to find in the UI
  because they do not show up in the page tree display. To avoid this, never use `before` or `after` positions
  when the `targetId` is a top-level page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-pageid-move-position-targetid-put
  * @param options Request options.
  */
    movePageToNewLocationRelativeToTargetPage<T = MovePageToNewLocationRelativeToTargetPageResponseOK>(options: MovePageToNewLocationRelativeToTargetPageRequest): Promise<MovePageToNewLocationRelativeToTargetPageResponseOK | T>;
}
declare class V1ContentDescendantGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a map of the descendants of a piece of content. This is similar
  to [Get content children](#api-content-id-child-get), except that this
  method returns child pages at all levels, rather than just the direct
  child pages.
  
  A piece of content has different types of descendants, depending on its type:
  
  - `page`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `whiteboard`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `database`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `embed`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `folder`: descendant is `page`, `whiteboard`, `database`, `embed`, `folder`, `comment`, `attachment`
  - `blogpost`: descendant is `comment`, `attachment`
  - `attachment`: descendant is `comment`
  - `comment`: descendant is `attachment`
  
  The map will always include all descendant types that are valid for the content.
  However, if the content has no instances of a descendant type, the map will
  contain an empty array for that descendant type.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space, and permission to view the content if it
  is a page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-get
  * @param options Request options.
  * @deprecated
  */
    getDescendants<T = GetContentDescendantsResponseOK>(options: GetContentDescendantsRequest): Promise<GetContentDescendantsResponseOK | T>;
    /**
  * Returns all descendants of a given type, for a piece of content. This is
  similar to [Get content children by type](#api-content-id-child-type-get),
  except that this method returns child pages at all levels, rather than just
  the direct child pages.
  
  A piece of content has different types of descendants, depending on its type:
  
  - `page`: descendant is `page`, `comment`, `attachment`
  - `blogpost`: descendant is `comment`, `attachment`
  - `attachment`: descendant is `comment`
  - `comment`: descendant is `attachment`
  
  Custom content types that are provided by apps can also be returned.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space, and permission to view the content if it
  is a page.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-descendant-type-get
  * @param options Request options.
  * @deprecated
  */
    getDescendantsByType<T = GetContentDescendantsByTypeResponseOK>(options: GetContentDescendantsByTypeRequest): Promise<GetContentDescendantsByTypeResponseOK | T>;
}
declare class V1ContentCopyGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Copy page hierarchy allows the copying of an entire hierarchy of pages and their associated properties, permissions and attachments.
   The id path parameter refers to the content id of the page to copy, and the new parent of this copied page is defined using the destinationPageId in the request body.
   The titleOptions object defines the rules of renaming page titles during the copy;
   for example, search and replace can be used in conjunction to rewrite the copied page titles.
  
   Response example:
   <pre><code>
   {
        "id" : "1180606",
        "links" : {
             "status" : "/rest/api/longtask/1180606"
        }
   }
   </code></pre>
   Use the /longtask/<taskId> REST API to get the copy task status.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-pagehierarchy-copy-post
  * @param options Request options.
  */
    copyPageHierarchy<T = CopyPageHierarchyResponseOK>(options: CopyPageHierarchyRequest): Promise<CopyPageHierarchyResponseOK | T>;
    /**
  * Copies a single page and its associated properties, permissions, attachments, and custom contents.
   The `id` path parameter refers to the content ID of the page to copy. The target of the page to be copied
   is defined using the `destination` in the request body and can be one of the following types.
  
    - `space`: page will be copied to the specified space as a root page on the space
    - `parent_page`: page will be copied as a child of the specified parent page
    - `existing_page`: page will be copied and replace the specified page
  
  By default, the following objects are expanded: `space`, `history`, `version`.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: 'Add' permission for the space that the content will be copied in and permission to update the content if copying to an `existing_page`.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content---children-and-descendants/#api-wiki-rest-api-content-id-copy-post
  * @param options Request options.
  */
    copySinglePage<T = CopySinglePageResponseOK>(options: CopySinglePageRequest): Promise<CopySinglePageResponseOK | T>;
}
declare class V1ContentLabelGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Adds labels to a piece of content. Does not modify the existing labels.
  
  Notes:
  
  - Labels can also be added when creating content ([Create content](#api-content-post)).
  - Labels can be updated when updating content ([Update content](#api-content-id-put)).
  This will delete the existing labels and replace them with the labels in
  the request.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-post
  * @param options Request options.
  */
    addLabel<T = AddContentLabelResponseOK>(options: AddContentLabelRequest): Promise<AddContentLabelResponseOK | T>;
    /**
  * Removes a label from a piece of content. Labels can't be deleted from archived content.
  This is similar to [Remove label from content](#api-content-id-label-label-delete)
  except that the label name is specified via a query parameter.
  
  Use this method if the label name has "/" characters, as
  [Remove label from content using query parameter](#api-content-id-label-delete)
  does not accept "/" characters for the label name.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-delete
  * @param options Request options.
  */
    removeLabelWithQueryParameter<T = RemoveContentLabelWithQueryParameterResponseOK>(options: RemoveContentLabelWithQueryParameterRequest): Promise<RemoveContentLabelWithQueryParameterResponseOK | T>;
    /**
  * Removes a label from a piece of content. Labels can't be deleted from archived content.
  This is similar to [Remove label from content using query parameter](#api-content-id-label-delete)
  except that the label name is specified via a path parameter.
  
  Use this method if the label name does not have "/" characters, as the path
  parameter does not accept "/" characters for security reasons. Otherwise,
  use [Remove label from content using query parameter](#api-content-id-label-delete).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-labels/#api-wiki-rest-api-content-id-label-label-delete
  * @param options Request options.
  */
    removeLabel<T = RemoveContentLabelResponseOK>(options: RemoveContentLabelRequest): Promise<RemoveContentLabelResponseOK | T>;
}
declare class V1ContentRestrictionGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Group: V1ContentRestrictionGroupGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the restrictions on a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-get
  * @param options Request options.
  */
    getRestrictions<T = GetContentRestrictionsResponseOK>(options: GetContentRestrictionsRequest): Promise<GetContentRestrictionsResponseOK | T>;
    /**
  * Updates restrictions for a piece of content. This removes the existing
  restrictions and replaces them with the restrictions in the request.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-put
  * @param options Request options.
  */
    updateRestrictions<T = UpdateContentRestrictionsResponseOK>(options: UpdateContentRestrictionsRequest): Promise<UpdateContentRestrictionsResponseOK | T>;
    /**
  * Adds restrictions to a piece of content. Note, this does not change any
  existing restrictions on the content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-post
  * @param options Request options.
  */
    addRestrictions<T = AddContentRestrictionsResponseOK>(options: AddContentRestrictionsRequest): Promise<AddContentRestrictionsResponseOK | T>;
    /**
  * Removes all restrictions (read and update) on a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-delete
  * @param options Request options.
  */
    deleteRestrictions<T = DeleteContentRestrictionsResponseOK>(options: DeleteContentRestrictionsRequest): Promise<DeleteContentRestrictionsResponseOK | T>;
    /**
  * Returns restrictions on a piece of content by operation. This method is
  similar to [Get restrictions](#api-content-id-restriction-get) except that
  the operations are properties of the return object, rather than items in
  a results array.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-get
  * @param options Request options.
  */
    getRestrictionsByOperation<T = GetContentRestrictionsByOperationResponseOK>(options: GetContentRestrictionsByOperationRequest): Promise<GetContentRestrictionsByOperationResponseOK | T>;
    /**
  * Returns the restictions on a piece of content for a given operation (read
  or update).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-get
  * @param options Request options.
  */
    getRestrictionsForOperation<T = GetContentRestrictionsForOperationResponseOK>(options: GetContentRestrictionsForOperationRequest): Promise<GetContentRestrictionsForOperationResponseOK | T>;
}
declare class V1ContentRestrictionGroupGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns whether the specified content restriction applies to a group.
  For example, if a page with `id=123` has a `read` restriction for the `123456` group id,
  the following request will return `true`:
  
  `/wiki/rest/api/content/123/restriction/byOperation/read/byGroupId/123456`
  
  Note that a response of `true` does not guarantee that the group can view the page, as it does not account for
  account-inherited restrictions, space permissions, or even product access. For more
  information, see [Confluence permissions](https://confluence.atlassian.com/x/_AozKw).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-get
  * @param options Request options.
  */
    getGroupStatus<T = GetContentRestrictionGroupStatusResponseOK>(options: GetContentRestrictionGroupStatusRequest): Promise<GetContentRestrictionGroupStatusResponseOK | T>;
    /**
  * Adds a group to a content restriction by Group Id. That is, grant read or update
  permission to the group for a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-put
  * @param options Request options.
  */
    addGroup<T = AddContentRestrictionGroupResponseOK>(options: AddContentRestrictionGroupRequest): Promise<AddContentRestrictionGroupResponseOK | T>;
    /**
  * Removes a group from a content restriction. That is, remove read or update
  permission for the group for a piece of content.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to edit the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-restrictions/#api-wiki-rest-api-content-id-restriction-byoperation-operationkey-bygroupid-groupid-delete
  * @param options Request options.
  */
    removeGroup<T = RemoveContentRestrictionGroupResponseOK>(options: RemoveContentRestrictionGroupRequest): Promise<RemoveContentRestrictionGroupResponseOK | T>;
}
declare class V1ContentVersionGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Restores a historical version to be the latest version. That is, a new version
  is created with the content of the historical version.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-post
  * @param options Request options.
  */
    restoreVersion<T = RestoreContentVersionResponseOK>(options: RestoreContentVersionRequest): Promise<RestoreContentVersionResponseOK | T>;
    /**
  * Delete a historical version. This does not delete the changes made to the
  content in that version, rather the changes for the deleted version are
  rolled up into the next version. Note, you cannot delete the current version.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to update the content.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-versions/#api-wiki-rest-api-content-id-version-versionnumber-delete
  * @param options Request options.
  */
    deleteVersion<T = DeleteContentVersionResponseOK>(options: DeleteContentVersionRequest): Promise<DeleteContentVersionResponseOK | T>;
}
declare class V1WatcherGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Content: V1WatcherContentGroup;
    Label: V1WatcherLabelGroup;
    Space: V1WatcherSpaceGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the watches for a page. A user that watches a page will receive
  receive notifications when the page is updated.
  
  If you want to manage watches for a page, use the following `user` methods:
  
  - [Get content watch status for user](#api-user-watch-content-contentId-get)
  - [Add content watch](#api-user-watch-content-contentId-post)
  - [Remove content watch](#api-user-watch-content-contentId-delete)
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-content-id-notification-child-created-get
  * @param options Request options.
  */
    getWatchesForPage<T = GetWatchesForPageResponseOK>(options: GetWatchesForPageRequest): Promise<GetWatchesForPageResponseOK | T>;
    /**
  * Returns all space watches for the space that the content is in. A user that
  watches a space will receive receive notifications when any content in the
  space is updated.
  
  If you want to manage watches for a space, use the following `user` methods:
  
  - [Get space watch status for user](#api-user-watch-space-spaceKey-get)
  - [Add space watch](#api-user-watch-space-spaceKey-post)
  - [Remove space watch](#api-user-watch-space-spaceKey-delete)
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-content-id-notification-created-get
  * @param options Request options.
  */
    getWatchesForSpace<T = GetWatchesForSpaceResponseOK>(options: GetWatchesForSpaceRequest): Promise<GetWatchesForSpaceResponseOK | T>;
    /**
     * Returns a list of watchers of a space
     * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-space-spacekey-watch-get
     * @param options Request options.
     */
    getSpaceWatchers<T = GetSpaceWatchersResponseOK>(options: GetSpaceWatchersRequest): Promise<GetSpaceWatchersResponseOK | T>;
}
declare class V1WatcherContentGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns whether a user is watching a piece of content. Choose the user by
  doing one of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-get
  * @param options Request options.
  */
    getWatcherStatus<T = GetContentWatcherStatusResponseOK>(options: GetContentWatcherStatusRequest): Promise<GetContentWatcherStatusResponseOK | T>;
    /**
  * Adds a user as a watcher to a piece of content. Choose the user by doing
  one of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  Note, you must add the `X-Atlassian-Token: no-check` header when making a
  request, as this operation has XSRF protection.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-post
  * @param options Request options.
  */
    addWatcher<T = AddContentWatcherResponseOK>(options: AddContentWatcherRequest): Promise<AddContentWatcherResponseOK | T>;
    /**
  * Removes a user as a watcher from a piece of content. Choose the user by
  doing one of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-content-contentid-delete
  * @param options Request options.
  */
    removeWatcher<T = RemoveContentWatcherResponseOK>(options: RemoveContentWatcherRequest): Promise<RemoveContentWatcherResponseOK | T>;
}
declare class V1WatcherLabelGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns whether a user is watching a label. Choose the user by doing one
  of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-get
  * @param options Request options.
  */
    getWatcherStatus<T = GetLabelWatcherStatusResponseOK>(options: GetLabelWatcherStatusRequest): Promise<GetLabelWatcherStatusResponseOK | T>;
    /**
  * Adds a user as a watcher to a label. Choose the user by doing one of the
  following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  Note, you must add the `X-Atlassian-Token: no-check` header when making a
  request, as this operation has XSRF protection.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-post
  * @param options Request options.
  */
    addWatcher<T = AddLabelWatcherResponseOK>(options: AddLabelWatcherRequest): Promise<AddLabelWatcherResponseOK | T>;
    /**
  * Removes a user as a watcher from a label. Choose the user by doing one of
  the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-label-labelname-delete
  * @param options Request options.
  */
    removeWatcher<T = RemoveLabelWatcherResponseOK>(options: RemoveLabelWatcherRequest): Promise<RemoveLabelWatcherResponseOK | T>;
}
declare class V1WatcherSpaceGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns whether a user is watching a space. Choose the user by
  doing one of the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-get
  * @param options Request options.
  */
    getWatcherStatus<T = GetSpaceWatcherStatusResponseOK>(options: GetSpaceWatcherStatusRequest): Promise<GetSpaceWatcherStatusResponseOK | T>;
    /**
  * Adds a user as a watcher to a space. Choose the user by doing one of the
  following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  Note, you must add the `X-Atlassian-Token: no-check` header when making a
  request, as this operation has XSRF protection.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-post
  * @param options Request options.
  */
    addWatcher<T = AddSpaceWatcherResponseOK>(options: AddSpaceWatcherRequest): Promise<AddSpaceWatcherResponseOK | T>;
    /**
  * Removes a user as a watcher from a space. Choose the user by doing one of
  the following:
  
  - Specify a user via a query parameter: Use the `accountId` to identify the user.
  - Do not specify a user: The currently logged-in user will be used.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Confluence Administrator' global permission if specifying a user, otherwise
  permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-content-watches/#api-wiki-rest-api-user-watch-space-spacekey-delete
  * @param options Request options.
  */
    removeWatcher<T = RemoveSpaceWatcherResponseOK>(options: RemoveSpaceWatcherRequest): Promise<RemoveSpaceWatcherResponseOK | T>;
}
declare class V1UserGroupGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Member: V1UserGroupMemberGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all user groups. The returned groups are ordered alphabetically in
  ascending order by group name.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-get
  * @param options Request options.
  */
    getUserGroups<T = GetUserGroupsResponseOK>(options?: GetUserGroupsRequest): Promise<GetUserGroupsResponseOK | T>;
    /**
  * Creates a new user group.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  User must be a site admin.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-post
  * @param options Request options.
  */
    createUserGroup<T = CreateUserGroupResponseOK>(options: CreateUserGroupRequest): Promise<CreateUserGroupResponseOK | T>;
    /**
  * Delete user group.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  User must be a site admin.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-by-id-delete
  * @param options Request options.
  */
    deleteUserGroupById<T = DeleteUserGroupByIdResponseOK>(options: DeleteUserGroupByIdRequest): Promise<DeleteUserGroupByIdResponseOK | T>;
    /**
  * Returns a user group for a given group id.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-by-id-get
  * @param options Request options.
  */
    getUserGroupById<T = GetUserGroupByIdResponseOK>(options: GetUserGroupByIdRequest): Promise<GetUserGroupByIdResponseOK | T>;
}
declare class V1UserGroupMemberGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Adds a user as a member in a group represented by its groupId
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  User must be a site admin.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-userbygroupid-post
  * @param options Request options.
  */
    addMemberById<T = AddUserGroupMembersByIdResponseOK>(options: AddUserGroupMembersByIdRequest): Promise<AddUserGroupMembersByIdResponseOK | T>;
    /**
  * Remove user as a member from a group.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  User must be a site admin.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-userbygroupid-delete
  * @param options Request options.
  */
    removeMemberById<T = RemoveUserGroupMembersByIdResponseOK>(options: RemoveUserGroupMembersByIdRequest): Promise<RemoveUserGroupMembersByIdResponseOK | T>;
    /**
  * Returns the users that are members of a group.
  
  Use updated Get group API
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-group/#api-wiki-rest-api-group-groupid-membersbygroupid-get
  * @param options Request options.
  */
    getMembersById<T = GetUserGroupMembersByIdResponseOK>(options: GetUserGroupMembersByIdRequest): Promise<GetUserGroupMembersByIdResponseOK | T>;
}
declare class V1LabelGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns label information and a list of contents associated with the label.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission). Only contents
  that the user is permitted to view is returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-label-info/#api-wiki-rest-api-label-get
  * @param options Request options.
  */
    getInfo<T = GetLabelInfoResponseOK>(options: GetLabelInfoRequest): Promise<GetLabelInfoResponseOK | T>;
}
declare class V1LongRunningTaskGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns information about all active long-running tasks (e.g. space export),
  such as how long each task has been running and the percentage of each task
  that has completed.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-long-running-task/#api-wiki-rest-api-longtask-get
  * @param options Request options.
  */
    getLongRunningTasks<T = GetLongRunningTasksResponseOK>(options?: GetLongRunningTasksRequest): Promise<GetLongRunningTasksResponseOK | T>;
    /**
  * Returns information about an active long-running task (e.g. space export),
  such as how long it has been running and the percentage of the task that
  has completed.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-long-running-task/#api-wiki-rest-api-longtask-id-get
  * @param options Request options.
  */
    getLongRunningTask<T = GetLongRunningTaskResponseOK>(options: GetLongRunningTaskRequest): Promise<GetLongRunningTaskResponseOK | T>;
}
declare class V1RelationGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all target entities that have a particular relationship to the
  source entity. Note, relationships are one way.
  
  For example, the following method finds all content that the current user
  has an 'ignore' relationship with:
  `GET /wiki/rest/api/relation/ignore/from/user/current/to/content`
  Note, 'ignore' is an example custom relationship type.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view both the target entity and source entity.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-get
  * @param options Request options.
  */
    findTargetEntitiesRelatedToSourceEntity<T = FindTargetEntitiesRelatedToSourceEntityResponseOK>(options: FindTargetEntitiesRelatedToSourceEntityRequest): Promise<FindTargetEntitiesRelatedToSourceEntityResponseOK | T>;
    /**
  * Find whether a particular type of relationship exists from a source
  entity to a target entity. Note, relationships are one way.
  
  For example, you can use this method to find whether the current user has
  selected a particular page as a favorite (i.e. 'save for later'):
  `GET /wiki/rest/api/relation/favourite/from/user/current/to/content/123`
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view both the target entity and source entity.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-get
  * @param options Request options.
  */
    findRelationshipFromSourceToTarget<T = FindRelationshipFromSourceToTargetResponseOK>(options: FindRelationshipFromSourceToTargetRequest): Promise<FindRelationshipFromSourceToTargetResponseOK | T>;
    /**
  * Creates a relationship between two entities (user, space, content). The
  'favourite' relationship is supported by default, but you can use this method
  to create any type of relationship between two entities.
  
  For example, the following method creates a 'sibling' relationship between
  two pieces of content:
  `PUT /wiki/rest/api/relation/sibling/from/content/123/to/content/456`
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-put
  * @param options Request options.
  */
    createRelationship<T = CreateRelationshipResponseOK>(options: CreateRelationshipRequest): Promise<CreateRelationshipResponseOK | T>;
    /**
  * Deletes a relationship between two entities (user, space, content).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  For favourite relationships, the current user can only delete their own
  favourite relationships. A space administrator can delete favourite
  relationships for any user.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-from-sourcetype-sourcekey-to-targettype-targetkey-delete
  * @param options Request options.
  */
    deleteRelationship<T = DeleteRelationshipResponseOK>(options: DeleteRelationshipRequest): Promise<DeleteRelationshipResponseOK | T>;
    /**
  * Returns all target entities that have a particular relationship to the
  source entity. Note, relationships are one way.
  
  For example, the following method finds all users that have a 'collaborator'
  relationship to a piece of content with an ID of '1234':
  `GET /wiki/rest/api/relation/collaborator/to/content/1234/from/user`
  Note, 'collaborator' is an example custom relationship type.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view both the target entity and source entity.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-relation/#api-wiki-rest-api-relation-relationname-to-targettype-targetkey-from-sourcetype-get
  * @param options Request options.
  */
    findSourceEntitiesRelatedToTargetEntity<T = FindSourceEntitiesRelatedToTargetEntityResponseOK>(options: FindSourceEntitiesRelatedToTargetEntityRequest): Promise<FindSourceEntitiesRelatedToTargetEntityResponseOK | T>;
}
declare class V1SearchGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Searches for content using the
  [Confluence Query Language (CQL)](https://developer.atlassian.com/cloud/confluence/advanced-searching-using-cql/).
  
  **Note that CQL input queries submitted through the `/wiki/rest/api/search` endpoint no longer support user-specific fields like `user`, `user.fullname`, `user.accountid`, and `user.userkey`.**
  See this [deprecation notice](https://developer.atlassian.com/cloud/confluence/deprecation-notice-search-api/) for more details.
  
  Example initial call:
  ```
  /wiki/rest/api/search?cql=type=page&limit=25
  ```
  
  Example response:
  ```
  {
    "results": [
      { ... },
      { ... },
      ...
      { ... }
    ],
    "limit": 25,
    "size": 25,
    ...
    "_links": {
      "base": "<url>",
      "context": "<url>",
      "next": "/rest/api/search?cql=type=page&limit=25&cursor=raNDoMsTRiNg",
      "self": "<url>"
    }
  }
  ```
  
  When additional results are available, returns `next` and `prev` URLs to retrieve them in subsequent calls. The URLs each contain a cursor that points to the appropriate set of results. Use `limit` to specify the number of results returned in each call.
  
  Example subsequent call (taken from example response):
  ```
  /wiki/rest/api/search?cql=type=page&limit=25&cursor=raNDoMsTRiNg
  ```
  The response to this will have a `prev` URL similar to the `next` in the example response.
  
  If the expand query parameter is used with the `body.export_view` and/or `body.styled_view` properties, then the query limit parameter will be restricted to a maximum value of 25.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to view the entities. Note, only entities that the user has
  permission to view will be returned.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-search/#api-wiki-rest-api-search-get
  * @param options Request options.
  */
    searchContent<T = SearchContentResponseOK>(options: SearchContentRequest): Promise<SearchContentResponseOK | T>;
    /**
  * Searches for users using user-specific queries from the
  [Confluence Query Language (CQL)](https://developer.atlassian.com/cloud/confluence/advanced-searching-using-cql/).
  
  Note that CQL input queries submitted through the `/wiki/rest/api/search/user` endpoint only support user-specific fields like `user`, `user.fullname`, `user.accountid`, and `user.userkey`.
  
  Note that some user fields may be set to null depending on the user's privacy settings.
  These are: email, profilePicture, displayName, and timeZone.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-search/#api-wiki-rest-api-search-user-get
  * @param options Request options.
  */
    searchUsers<T = SearchUsersResponseOK>(options: SearchUsersRequest): Promise<SearchUsersResponseOK | T>;
}
declare class V1SettingGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the look and feel settings for the site or a single space. This
  includes attributes such as the color scheme, padding, and border radius.
  
  The look and feel settings for a space can be inherited from the global
  look and feel settings or provided by a theme.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  None
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-get
  * @param options Request options.
  */
    getLookAndFeelSettings<T = GetLookAndFeelSettingsResponseOK>(options?: GetLookAndFeelSettingsRequest): Promise<GetLookAndFeelSettingsResponseOK | T>;
    /**
  * Updates the look and feel settings for the site or for a single space.
  If custom settings exist, they are updated. If no custom settings exist,
  then a set of custom settings is created.
  
  Note, if a theme is selected for a space, the space look and feel settings
  are provided by the theme and cannot be overridden.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-custom-post
  * @param options Request options.
  */
    updateLookAndFeelSettings<T = UpdateLookAndFeelSettingsResponseOK>(options: UpdateLookAndFeelSettingsRequest): Promise<UpdateLookAndFeelSettingsResponseOK | T>;
    /**
  * Resets the custom look and feel settings for the site or a single space.
  This changes the values of the custom settings to be the same as the
  default settings. It does not change which settings (default or custom)
  are selected. Note, the default space settings are inherited from the
  current global settings.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-lookandfeel-custom-delete
  * @param options Request options.
  */
    resetLookAndFeelSettings<T = ResetLookAndFeelSettingsResponseOK>(options?: ResetLookAndFeelSettingsRequest): Promise<ResetLookAndFeelSettingsResponseOK | T>;
    /**
  * Returns the system information for the Confluence Cloud tenant. This
  information is used by Atlassian.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-settings/#api-wiki-rest-api-settings-systeminfo-get
  * @param options Request options.
  */
    getSystemInfo<T = GetSystemInfoResponseOK>(options?: GetSystemInfoRequest): Promise<GetSystemInfoResponseOK | T>;
}
declare class V1SpaceGroup {
    private implementation;
    private getGlobalErrorStrategy;
    Private: V1SpacePrivateGroup;
    Setting: V1SpaceSettingGroup;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Creates a new space. Note, currently you cannot set space labels when
  creating a space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Create Space(s)' global permission.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-post
  * @param options Request options.
  */
    createSpace<T = CreateSpaceResponseOK>(options: CreateSpaceRequest): Promise<CreateSpaceResponseOK | T>;
    /**
  * Updates the name, description, or homepage of a space.
  
  -   For security reasons, permissions cannot be updated via the API and
  must be changed via the user interface instead.
  -   Currently you cannot set space labels when updating a space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-put
  * @param options Request options.
  */
    updateSpace<T = UpdateSpaceResponseOK>(options: UpdateSpaceRequest): Promise<UpdateSpaceResponseOK | T>;
    /**
  * Permanently deletes a space without sending it to the trash. Note, the space will be deleted in a long running task.
  Therefore, the space may not be deleted yet when this method has
  returned. Clients should poll the status link that is returned in the
  response until the task completes.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-spacekey-delete
  * @param options Request options.
  */
    deleteSpace<T = DeleteSpaceResponseOK>(options: DeleteSpaceRequest): Promise<DeleteSpaceResponseOK | T>;
}
declare class V1SpacePrivateGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Creates a new space that is only visible to the creator. This method is
  the same as the [Create space](#api-space-post) method with permissions
  set to the current user only. Note, currently you cannot set space
  labels when creating a space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Create Space(s)' global permission.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space/#api-wiki-rest-api-space-private-post
  * @param options Request options.
  */
    createSpace<T = CreatePrivateSpaceResponseOK>(options: CreatePrivateSpaceRequest): Promise<CreatePrivateSpaceResponseOK | T>;
}
declare class V1SpaceSettingGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns the settings of a space. Currently only the
  `routeOverrideEnabled` setting can be returned.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-settings/#api-wiki-rest-api-space-spacekey-settings-get
  * @param options Request options.
  */
    getSettings<T = GetSpaceSettingsResponseOK>(options: GetSpaceSettingsRequest): Promise<GetSpaceSettingsResponseOK | T>;
    /**
  * Updates the settings for a space. Currently only the
  `routeOverrideEnabled` setting can be updated.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-space-settings/#api-wiki-rest-api-space-spacekey-settings-put
  * @param options Request options.
  */
    updateSettings<T = UpdateSpaceSettingsResponseOK>(options: UpdateSpaceSettingsRequest): Promise<UpdateSpaceSettingsResponseOK | T>;
}
declare class V1TemplateGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Updates a content template. Note, blueprint templates cannot be updated
  via the REST API.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space to update a space template or 'Confluence Administrator'
  global permission to update a global template.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-put
  * @param options Request options.
  */
    updateContentTemplate<T = UpdateContentTemplateResponseOK>(options: UpdateContentTemplateRequest): Promise<UpdateContentTemplateResponseOK | T>;
    /**
  * Creates a new content template. Note, blueprint templates cannot be created via the REST API.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space to create a space template or 'Confluence Administrator'
  global permission to create a global template.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-post
  * @param options Request options.
  */
    createContentTemplate<T = CreateContentTemplateResponseOK>(options: CreateContentTemplateRequest): Promise<CreateContentTemplateResponseOK | T>;
    /**
  * Returns all templates provided by blueprints. Use this method to retrieve
  all global blueprint templates or all blueprint templates in a space.
  
  Note, all global blueprints are inherited by each space. Space blueprints
  can be customised without affecting the global blueprints.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space to view blueprints for the space and permission
  to access the Confluence site ('Can use' global permission) to view global blueprints.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-blueprint-get
  * @param options Request options.
  */
    getBlueprintTemplates<T = GetBlueprintTemplatesResponseOK>(options?: GetBlueprintTemplatesRequest): Promise<GetBlueprintTemplatesResponseOK | T>;
    /**
  * Returns all content templates. Use this method to retrieve all global
  content templates or all content templates in a space.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space to view space templates and permission to
  access the Confluence site ('Can use' global permission) to view global templates.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-page-get
  * @param options Request options.
  */
    getContentTemplates<T = GetContentTemplatesResponseOK>(options?: GetContentTemplatesRequest): Promise<GetContentTemplatesResponseOK | T>;
    /**
  * Returns a content template. This includes information about template,
  like the name, the space or blueprint that the template is in, the body
  of the template, and more.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'View' permission for the space to view space templates and permission to
  access the Confluence site ('Can use' global permission) to view global templates.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-contenttemplateid-get
  * @param options Request options.
  */
    getContentTemplate<T = GetContentTemplateResponseOK>(options: GetContentTemplateRequest): Promise<GetContentTemplateResponseOK | T>;
    /**
  * Deletes a template. This results in different actions depending on the
  type of template:
  
  - If the template is a content template, it is deleted.
  - If the template is a modified space-level blueprint template, it reverts
  to the template inherited from the global-level blueprint template.
  - If the template is a modified global-level blueprint template, it reverts
  to the default global-level blueprint template.
  
   Note, unmodified blueprint templates cannot be deleted.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
          'Admin' permission for the space to delete a space template or 'Confluence Administrator'
          global permission to delete a global template.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-template/#api-wiki-rest-api-template-contenttemplateid-delete
  * @param options Request options.
  */
    removeTemplate<T = RemoveTemplateResponseOK>(options: RemoveTemplateRequest): Promise<RemoveTemplateResponseOK | T>;
}
declare class V1ThemeGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns all themes, not including the default theme.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: None
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-get
  * @param options Request options.
  */
    getThemes<T = GetThemesResponseOK>(options?: GetThemesRequest): Promise<GetThemesResponseOK | T>;
    /**
  * Returns the globally assigned theme.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: None
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-selected-get
  * @param options Request options.
  */
    getGlobalTheme<T = GetGlobalThemeResponseOK>(options?: GetGlobalThemeRequest): Promise<GetGlobalThemeResponseOK | T>;
    /**
  * Returns a theme. This includes information about the theme name,
  description, and icon.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**: None
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-settings-theme-themekey-get
  * @param options Request options.
  */
    getTheme<T = GetThemeResponseOK>(options: GetThemeRequest): Promise<GetThemeResponseOK | T>;
    /**
  * Returns the theme selected for a space, if one is set. If no space
  theme is set, this means that the space is inheriting the global look
  and feel settings.
  
  **[Permissions required](https://confluence.atlassian.com/x/_AozKw)**: ‘View’ permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-get
  * @param options Request options.
  */
    getSpaceTheme<T = GetSpaceThemeResponseOK>(options: GetSpaceThemeRequest): Promise<GetSpaceThemeResponseOK | T>;
    /**
  * Sets the theme for a space. Note, if you want to reset the space theme to
  the default Confluence theme, use the 'Reset space theme' method instead
  of this method.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-put
  * @param options Request options.
  */
    setSpaceTheme<T = SetSpaceThemeResponseOK>(options: SetSpaceThemeRequest): Promise<SetSpaceThemeResponseOK | T>;
    /**
  * Resets the space theme. This means that the space will inherit the
  global look and feel settings
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  'Admin' permission for the space.
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-themes/#api-wiki-rest-api-space-spacekey-theme-delete
  * @param options Request options.
  */
    resetSpaceTheme<T = ResetSpaceThemeResponseOK>(options: ResetSpaceThemeRequest): Promise<ResetSpaceThemeResponseOK | T>;
}
declare class V1UserGroup {
    private implementation;
    private getGlobalErrorStrategy;
    constructor(implementation: PlatformImplementation, getGlobalErrorStrategy: GetGlobalErrorStrategy);
    /**
  * Returns a user. This includes information about the user, such as the
  display name, account ID, profile picture, and more. The information returned may be
  restricted by the user's profile visibility settings.
  
  **Note:** to add, edit, or delete users in your organization, see the
  [user management REST API](/cloud/admin/user-management/about/).
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-group-users
  * @param options Request options.
  */
    getUser<T = GetUserResponseOK>(options: GetUserRequest): Promise<GetUserResponseOK | T>;
    /**
  * Returns information about how anonymous users are represented, like the
  profile picture and display name.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-anonymous-get
  * @param options Request options.
  */
    getAnonymousUser<T = GetAnonymousUserResponseOK>(options?: GetAnonymousUserRequest): Promise<GetAnonymousUserResponseOK | T>;
    /**
  * Returns the currently logged-in user. This includes information about
  the user, like the display name, userKey, account ID, profile picture,
  and more.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-current-get
  * @param options Request options.
  */
    getCurrentUser<T = GetCurrentUserResponseOK>(options?: GetCurrentUserRequest): Promise<GetCurrentUserResponseOK | T>;
    /**
  * Returns the groups that a user is a member of.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-memberof-get
  * @param options Request options.
  */
    getGroupsWhereUserMember<T = GetGroupsWhereUserMemberResponseOK>(options: GetGroupsWhereUserMemberRequest): Promise<GetGroupsWhereUserMemberResponseOK | T>;
    /**
  * Returns user details for the ids provided in the request.
  Currently this API returns a maximum of 100 results.
  If more than 100 account ids are passed in, then the first 100 will be returned.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-bulk-get
  * @param options Request options.
  */
    getUsersWithIds<T = GetUsersWithIdsResponseOK>(options: GetUsersWithIdsRequest): Promise<GetUsersWithIdsResponseOK | T>;
    /**
  * Returns a user's email address regardless of the user's profile visibility settings. For Connect apps, this API is only available to apps approved by
  Atlassian, according to these [guidelines](https://community.developer.atlassian.com/t/guidelines-for-requesting-access-to-email-address/27603).
  For Forge apps, this API only supports access via asApp() requests.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-email-get
  * @param options Request options.
  */
    getUserEmail<T = GetUserEmailResponseOK>(options: GetUserEmailRequest): Promise<GetUserEmailResponseOK | T>;
    /**
  * Returns a user's email address regardless of the user’s profile visibility settings. For Connect apps, this API is only available to apps approved by
  Atlassian, according to these [guidelines](https://community.developer.atlassian.com/t/guidelines-for-requesting-access-to-email-address/27603).
  For Forge apps, this API only supports access via asApp() requests.
  
  Any accounts which are not available will not be included in the result.
  
  **[Permissions](https://confluence.atlassian.com/x/_AozKw) required**:
  Permission to access the Confluence site ('Can use' global permission).
  * Documentation: https://developer.atlassian.com/cloud/confluence/rest/v1/api-group-users/#api-wiki-rest-api-user-email-bulk-get
  * @param options Request options.
  */
    getUserEmails<T = GetUserEmailsResponseOK>(options: GetUserEmailsRequest): Promise<GetUserEmailsResponseOK | T>;
}
export {};
//# sourceMappingURL=index.d.ts.map